SystemOrganization addCategory: #'EFO-LCF-Model'!

!TimeZone class methodsFor: '*efo-lcf-model' stamp: 'efo 3/27/2012 08:43'!
default
 	"Answer the default time zone - GMT"
 
 	^ self timeZones detect: [ :tz | tz offset = 3 hours ]
 ! !

!TimeZone class methodsFor: '*efo-lcf-model' stamp: 'efo 3/27/2012 08:38'!
timeZones

	^ {
		self offset:  3 hours name: 'Buenos Aires Time' abbreviation: 'BAS'.
		self offset:  0 hours name: 'Universal Time' abbreviation: 'UTC'.
		self offset:  0 hours name: 'Greenwich Mean Time' abbreviation: 'GMT'.
		self offset:  1 hours name: 'British Summer Time' abbreviation: 'BST'.
		self offset:  2 hours name: 'South African Standard Time' abbreviation: 'SAST'.
		self offset: -8 hours name: 'Pacific Standard Time' abbreviation: 'PST'.
		self offset: -7 hours name: 'Pacific Daylight Time' abbreviation: 'PDT'.
		self offset: -7 hours name: 'Mountain Standard Time' abbreviation: 'MST'.
		self offset: -6 hours name: 'Mountain Daylight Time' abbreviation: 'MDT'.
		self offset: -6 hours name: 'Central Standard Time' abbreviation: 'CST'.
		self offset: -5 hours name: 'Central Daylight Time' abbreviation: 'CDT'.
		self offset: -5 hours name: 'Eastern Standard Time' abbreviation: 'EST'.
		self offset: -4 hours name: 'Eastern Daylight Time' abbreviation: 'EDT'.
	}

! !

!String methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/13/2012 13:52'!
inline
	"the inverse of #lines"
	| inlined |

	inlined := self species new.
	
 	( self withBlanksTrimmed withBlanksCondensed ) linesDo: [ :line |
		inlined := inlined, line, ' '.
	].

	^ inlined! !

PUChangeUser subclass: #LCFLoad
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFLoad class methodsFor: 'as yet unclassified' stamp: 'efo 8/16/2011 23:22'!
isAbstract
	^ false! !

!LCFLoad class methodsFor: 'as yet unclassified' stamp: 'efo 3/8/2012 09:53'!
isValidIn: aContext
"	^ aContext isLoggedIn and: [{'corrector'. 'admin' } includes: aContext user group name ]"
	^ aContext isLoggedIn and: [ aContext user name = 'emilio' ].! !

!LCFLoad class methodsFor: 'as yet unclassified' stamp: 'efo 8/16/2011 23:22'!
label
	^ 'Recargar'! !

!LCFLoad methodsFor: 'as yet unclassified' stamp: 'efo 2/25/2012 14:21'!
doExecute

	super doExecute.
	(self context root childrenDecoration at: 'cicloa' ) reload.
	(self context root childrenDecoration at: 'ciclob' ) reload.
	(self context root childrenDecoration at: 'cicloc' ) reload.
	! !

!LCFLoad methodsFor: 'as yet unclassified' stamp: 'efo 8/16/2011 23:13'!
isQuick
	^ true! !

PUChangeUser subclass: #LCFLoadUsers
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFLoadUsers class methodsFor: 'as yet unclassified' stamp: 'efo 2/27/2012 23:30'!
buildUsers: kernel
	| file line list usr registeredGroup role |
	
	registeredGroup := (kernel groupNamed: 'registered' ifNone: [] ).
	
	[ 
		file := FileStream readOnlyFileNamed: 'LCF\users.txt'.
		file nextLine.
		[ (line :=  file nextLine )isEmptyOrNil ] whileFalse: [
			list := line subStrings: ','.
			usr := PUUser named: (list at: 1)  withBlanksTrimmed .
			usr password: (list at: 2) withBlanksTrimmed.
			usr firstName: (list at: 4) withBlanksTrimmed.
			usr lastName: (list at: 5) withBlanksTrimmed.
			usr email: (list at: 6) withBlanksTrimmed.
			role := kernel groupNamed: (list at: 3) withBlanksTrimmed ifNone: [].
			role users add: usr.
			registeredGroup users add: usr.
			usr groups add: role.
			usr groups add: registeredGroup.
			kernel users add: usr.
		].

	] ensure: [file close].
! !

!LCFLoadUsers class methodsFor: 'as yet unclassified' stamp: 'efo 2/27/2012 23:19'!
isAbstract
	^ false! !

!LCFLoadUsers class methodsFor: 'as yet unclassified' stamp: 'efo 3/8/2012 09:52'!
isValidIn: aContext
"	^ aContext isLoggedIn and: [{'corrector'. 'admin' } includes: aContext user group name ]"
	^ aContext isLoggedIn and: [ aContext user name = 'emilio' ].! !

!LCFLoadUsers class methodsFor: 'as yet unclassified' stamp: 'efo 2/27/2012 23:34'!
label
	^ 'Recargar Usuarios'! !

!LCFLoadUsers methodsFor: 'as yet unclassified' stamp: 'efo 2/27/2012 23:35'!
doExecute

	super doExecute.
	self class buildUsers: self kernel
	! !

!LCFLoadUsers methodsFor: 'as yet unclassified' stamp: 'efo 2/27/2012 23:19'!
isQuick
	^ true! !

PUChangeUser subclass: #LCFSave
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFSave class methodsFor: 'as yet unclassified' stamp: 'efo 8/7/2011 23:03'!
isAbstract
	^ false! !

!LCFSave class methodsFor: 'as yet unclassified' stamp: 'efo 3/8/2012 09:50'!
isValidIn: aContext
"	^ aContext isLoggedIn and: [{'corrector'. 'admin' } includes: aContext user group name ]"
	^ aContext isLoggedIn and: [ aContext user name = 'emilio' ].! !

!LCFSave class methodsFor: 'as yet unclassified' stamp: 'efo 8/7/2011 23:03'!
label
	^ 'Salvar'! !

!LCFSave methodsFor: 'testing' stamp: 'efo 5/11/2012 13:52'!
doExecute
	LatexWriter new generateLaTeX: 'latexample'.
	super doExecute.
	self context root propertyAt: 'savedOn' put: TimeStamp current.
	(self context root childrenDecoration at: 'cicloa' ) write.
	(self context root childrenDecoration at: 'ciclob' ) write.
	(self context root childrenDecoration at: 'cicloc' ) write.
	! !

!LCFSave methodsFor: 'testing' stamp: 'efo 8/7/2011 23:02'!
isQuick
	^ true! !

WAFileLibrary subclass: #LCFDeploymentLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFDeploymentLibrary methodsFor: 'uploaded' stamp: 'efo 3/30/2012 14:47'!
lcfIco
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 36 0 0 0 36 8 6 0 0 0 225 0 152 152 0 0 0 9 112 72 89 115 0 0 14 195 0 0 14 195 1 199 111 168 100 0 0 9 64 73 68 65 84 88 133 157 152 11 92 205 105 26 199 255 145 88 76 134 165 48 99 71 116 209 57 157 83 167 156 114 74 185 37 229 54 110 21 50 35 180 136 137 24 115 249 104 102 151 153 93 246 51 236 184 12 209 184 148 98 103 89 98 205 140 92 150 113 255 48 218 181 36 35 194 200 101 66 110 209 77 234 183 207 243 234 61 254 117 46 107 188 159 207 195 233 252 223 255 255 253 254 159 223 243 62 207 243 30 69 177 49 0 52 34 139 37 43 174 173 173 133 180 103 207 158 225 198 141 27 216 189 59 7 139 22 125 129 184 184 177 24 58 100 8 134 12 30 132 81 35 71 34 101 238 92 100 103 111 195 249 243 231 81 85 85 5 245 189 53 53 53 229 100 139 232 153 205 109 173 107 117 60 124 248 176 53 45 188 155 110 174 149 15 163 239 176 118 237 26 68 14 24 0 173 198 31 222 221 6 194 211 243 47 232 208 97 35 218 187 110 135 171 203 14 250 188 25 157 58 45 131 70 51 22 26 239 64 244 8 234 129 249 243 231 161 168 168 136 97 212 47 85 68 80 1 47 5 67 19 245 116 243 77 121 115 89 89 25 86 172 248 10 65 129 70 2 9 64 135 246 63 160 105 211 135 112 112 168 5 207 182 110 181 112 116 172 64 171 86 249 4 30 11 95 189 14 211 18 19 113 253 250 117 181 183 42 105 173 4 50 7 155 48 229 229 229 38 162 47 149 55 157 57 115 6 253 250 245 197 136 225 195 224 235 171 71 199 142 155 237 64 88 183 215 95 191 72 47 162 71 55 175 15 224 111 240 199 55 223 252 77 200 94 7 85 243 244 233 211 143 172 66 61 120 240 192 64 215 31 213 77 196 230 205 127 71 160 177 59 178 178 50 113 236 216 49 122 104 111 52 110 92 245 171 129 26 55 174 164 123 131 209 174 237 41 180 105 157 75 82 134 97 214 172 100 84 84 84 152 161 42 43 43 103 214 131 57 124 248 112 187 234 234 234 91 18 38 53 117 37 233 31 136 188 188 179 226 166 105 137 83 241 230 27 171 126 53 140 52 239 110 211 224 214 121 169 248 236 228 244 144 254 30 137 248 248 241 32 16 9 245 244 222 189 123 81 2 38 50 50 178 41 237 134 189 18 102 203 150 45 2 230 242 229 203 224 65 160 232 221 43 12 191 109 83 248 202 64 46 237 118 145 103 162 204 113 231 232 88 70 18 142 18 113 69 146 201 64 47 201 201 201 233 160 220 190 125 123 188 220 77 121 121 121 66 166 179 20 59 114 148 150 62 66 128 191 17 77 154 84 188 50 144 179 243 207 98 103 58 57 149 153 191 115 114 122 66 144 225 72 93 185 194 28 232 36 227 14 133 200 110 243 31 20 208 136 232 31 142 140 140 116 168 7 197 22 5 180 145 222 234 217 43 3 137 56 210 26 208 188 249 149 122 223 183 114 46 132 94 231 47 114 86 157 66 213 138 164 75 91 189 154 118 211 112 33 145 122 60 122 244 8 6 63 246 80 229 43 3 177 249 104 35 208 166 205 113 139 239 221 220 86 138 93 92 93 253 92 58 1 84 90 90 10 83 143 32 252 247 244 105 52 28 172 113 104 207 16 202 41 55 94 17 166 86 196 140 206 39 129 18 105 134 197 117 71 199 74 130 53 225 228 201 147 47 128 50 51 51 17 19 61 74 4 117 195 193 215 223 25 23 71 57 40 243 165 33 26 53 170 70 139 22 55 208 190 253 62 120 122 76 160 196 104 162 196 26 72 59 45 217 234 252 78 157 86 137 53 120 125 133 255 25 58 100 48 246 237 221 107 1 35 199 190 125 123 69 0 118 236 248 35 92 92 174 161 101 203 98 252 166 217 109 10 214 95 224 234 122 149 74 198 17 42 31 27 209 233 205 69 228 137 137 226 141 253 13 1 24 71 117 46 35 61 29 119 238 220 193 226 197 139 9 110 178 240 88 67 32 39 167 251 4 29 0 218 250 224 93 70 187 200 128 251 247 239 219 4 226 34 57 33 62 30 161 33 33 180 144 65 72 24 18 108 18 255 247 237 211 27 131 6 70 97 116 108 44 62 73 73 193 247 223 127 135 252 252 124 81 114 212 133 117 213 170 84 184 119 141 179 10 228 224 80 67 105 96 24 37 99 170 4 251 247 255 11 17 17 225 86 229 106 40 221 161 67 7 49 48 42 82 44 198 153 150 19 27 199 24 151 2 117 241 180 102 27 54 100 160 107 151 81 86 129 216 186 116 89 135 57 239 207 134 194 228 243 231 205 179 11 195 139 238 220 185 19 35 222 30 10 189 143 22 103 207 158 85 231 14 28 167 210 242 87 146 100 215 174 93 118 128 54 16 80 180 77 160 214 173 143 163 95 223 62 80 166 76 153 140 245 235 215 217 132 97 73 71 142 24 142 120 189 30 199 189 180 152 233 235 135 119 223 25 39 188 242 248 241 99 225 177 238 1 254 248 106 249 114 92 185 114 197 38 80 90 218 106 184 187 91 151 140 237 181 215 46 137 142 66 225 28 176 117 235 63 172 194 20 23 255 130 190 97 161 216 64 213 186 176 179 39 18 9 102 236 216 49 34 126 78 156 56 33 100 250 58 45 13 231 206 229 217 149 139 109 233 210 37 20 212 9 54 129 156 157 75 68 124 42 195 135 13 67 246 182 109 22 48 28 31 188 251 54 18 204 207 111 121 96 146 159 1 203 151 45 19 137 115 27 205 239 67 193 252 228 201 147 255 27 59 210 62 255 252 51 116 113 75 178 83 94 238 61 7 98 247 111 220 152 101 1 196 109 199 116 189 47 174 255 206 29 155 180 122 188 55 125 154 185 143 225 152 226 118 149 23 121 89 160 153 51 146 224 225 145 106 7 168 136 164 15 128 178 112 225 2 17 144 234 193 139 68 134 247 195 127 220 53 184 70 222 137 162 248 225 54 148 31 204 41 224 52 101 244 11 23 46 136 216 225 0 231 249 5 5 5 40 44 44 180 9 20 57 32 130 114 216 97 59 64 185 8 11 13 133 242 237 183 59 69 208 242 77 114 220 188 121 19 3 124 124 4 204 79 110 158 24 72 112 188 40 123 102 252 248 119 49 101 242 100 60 166 114 179 102 205 26 12 136 232 143 132 73 19 225 71 29 101 127 154 199 221 129 108 190 164 177 252 6 63 63 180 108 113 201 38 208 27 29 179 69 174 83 46 93 122 30 221 229 229 101 102 160 127 238 216 129 25 148 105 89 174 60 119 111 140 137 142 22 15 46 185 123 87 44 46 147 30 123 139 83 254 31 62 253 84 188 68 226 212 41 244 150 61 69 15 174 6 186 122 245 42 181 31 6 52 107 86 106 179 222 121 121 197 139 13 162 200 226 201 174 151 131 51 230 98 83 136 0 186 208 249 133 135 100 19 167 94 76 54 88 178 72 135 211 220 79 82 230 214 155 179 59 39 135 186 196 190 34 35 91 3 226 226 235 163 237 33 36 23 197 117 225 130 5 72 122 111 186 89 182 237 219 183 99 166 255 115 15 201 24 82 159 24 26 90 113 113 49 110 210 89 141 63 207 155 247 71 232 180 26 236 217 179 199 124 125 6 5 180 123 215 63 219 148 139 139 112 84 100 164 216 52 2 136 221 205 157 226 93 146 132 7 31 4 35 235 98 136 161 50 53 58 241 80 185 203 212 150 159 127 14 131 7 13 194 182 173 91 133 247 226 40 79 173 14 50 193 100 240 195 209 163 71 69 252 176 2 109 219 30 176 10 195 94 211 106 70 96 211 166 77 47 218 15 126 16 47 248 225 135 31 152 101 225 93 118 186 171 55 254 77 49 20 67 9 145 23 98 73 212 48 12 152 156 60 83 148 5 153 185 195 168 31 47 32 153 115 186 249 32 144 60 187 110 221 90 234 0 252 69 223 99 13 200 197 101 63 122 134 4 139 156 38 128 168 117 229 134 26 183 110 221 130 177 123 0 78 157 58 37 188 148 73 139 68 233 116 232 21 20 132 57 115 222 23 71 101 150 198 94 174 201 204 220 128 201 58 95 20 145 87 217 179 63 116 211 33 144 228 115 119 79 176 10 227 228 84 74 222 233 41 234 164 116 132 146 158 158 126 89 62 112 203 150 205 226 132 193 199 102 118 245 199 31 127 132 146 146 18 113 45 43 43 75 184 126 123 118 54 237 174 74 11 152 187 212 243 4 27 141 248 209 67 35 96 100 252 245 38 47 185 186 90 182 174 138 82 67 165 36 17 191 79 72 48 135 2 213 194 114 197 217 217 89 161 24 170 146 18 204 158 61 139 178 240 8 177 181 27 142 139 23 11 68 45 235 211 187 151 144 247 192 129 253 34 73 230 230 230 98 204 232 88 44 241 209 155 97 216 118 80 49 214 120 155 168 201 175 176 136 27 55 183 47 17 78 167 98 62 68 200 20 18 22 22 246 252 160 200 31 40 153 213 202 118 130 15 113 49 49 209 66 215 134 227 224 193 131 232 73 45 200 151 20 232 179 189 53 152 106 12 196 212 238 70 124 161 161 77 160 130 97 217 162 169 244 184 117 94 105 9 211 121 9 130 77 38 92 187 118 173 94 45 7 79 145 35 41 41 73 145 174 99 185 56 201 113 22 230 164 38 7 23 86 46 184 105 4 163 246 132 53 59 234 169 133 94 235 71 201 240 190 25 166 73 147 199 36 211 116 241 123 1 195 168 170 67 57 217 169 122 64 14 14 14 74 74 74 138 162 46 160 220 227 112 189 250 154 122 25 118 41 255 38 212 75 175 195 101 218 69 246 96 216 59 113 58 61 201 242 167 58 175 212 210 233 245 16 201 23 138 73 19 39 152 101 170 3 122 74 86 192 48 245 128 36 84 114 114 178 162 254 161 137 79 179 111 15 29 34 2 154 143 216 25 122 3 138 222 178 239 157 239 40 118 124 52 70 58 24 22 83 243 127 4 26 77 12 130 169 135 202 166 13 33 95 88 58 157 211 158 132 177 0 146 35 34 34 66 225 147 130 186 60 28 61 114 68 52 242 70 242 208 112 74 154 169 4 182 203 83 131 92 47 31 252 228 165 195 5 79 31 156 161 109 190 215 195 27 225 116 93 171 241 19 191 122 244 15 15 71 122 250 122 115 14 83 141 42 53 136 93 32 213 4 241 4 9 198 121 130 91 90 238 149 248 135 130 94 148 34 140 36 105 0 85 114 127 63 95 116 167 211 11 119 147 163 99 99 68 129 61 79 167 15 142 59 245 253 117 195 2 68 218 255 0 165 13 60 136 79 147 92 203 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!LCFDeploymentLibrary methodsFor: 'uploaded' stamp: 'efo 3/30/2012 14:47'!
lcfIco2
	^ #(0 0 1 0 1 0 16 16 0 0 1 0 32 0 104 4 0 0 22 0 0 0 40 0 0 0 16 0 0 0 32 0 0 0 1 0 32 0 0 0 0 0 0 4 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 252 252 252 253 247 247 247 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 103 117 237 253 42 51 220 253 229 230 239 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 72 116 250 253 0 51 246 253 73 95 225 253 247 247 247 253 255 255 255 253 255 255 255 253 255 255 255 253 253 253 253 253 249 249 249 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 83 137 252 253 0 87 254 253 0 88 252 253 126 146 226 253 251 251 251 253 242 242 247 253 164 164 233 253 70 70 222 253 30 30 216 253 226 226 237 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 95 152 252 253 0 126 255 253 0 111 255 253 3 103 251 253 63 97 231 253 17 55 231 253 0 45 236 253 0 11 226 253 32 33 220 253 242 242 245 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 252 252 252 253 79 145 249 253 0 158 255 253 0 98 255 253 0 149 255 253 0 149 254 253 0 106 250 253 0 33 233 253 2 31 232 253 185 185 233 253 254 254 254 253 255 255 255 253 255 255 255 253 254 254 254 253 232 237 245 253 148 184 243 253 58 136 245 253 0 136 254 253 0 163 255 253 0 113 255 253 0 134 255 253 0 118 255 253 0 84 250 253 0 92 250 253 107 113 225 253 253 253 253 253 255 255 255 253 255 255 255 253 254 254 254 253 107 164 246 253 7 108 252 253 0 118 255 253 0 135 255 253 0 134 255 253 0 128 255 253 0 104 255 253 0 82 255 253 0 110 255 253 0 146 255 253 4 77 240 253 231 231 237 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 80 153 251 253 1 113 254 253 0 129 255 253 0 143 255 253 0 147 255 253 0 144 255 253 0 116 255 253 0 89 255 253 0 96 255 253 0 144 255 253 0 114 250 253 143 149 220 253 253 253 253 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 227 238 251 253 158 199 250 253 88 171 251 253 9 149 254 253 0 167 255 253 0 121 255 253 0 143 255 253 0 136 255 253 0 89 255 253 0 104 253 253 7 60 235 253 187 187 226 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 138 184 251 253 0 155 255 253 0 109 255 253 0 162 255 253 0 143 255 253 0 133 255 253 0 88 251 253 0 30 233 253 25 31 219 253 223 223 236 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 161 197 252 253 0 137 255 253 0 115 255 253 4 140 253 253 154 182 242 253 163 188 251 253 89 130 247 253 19 37 230 253 0 0 222 253 151 151 227 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 169 201 252 253 0 109 255 253 0 117 255 253 113 161 240 253 253 253 253 253 255 255 255 253 254 254 254 253 250 250 252 253 212 212 245 253 249 249 251 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 177 205 252 253 0 94 255 253 38 115 246 253 241 243 247 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 227 236 253 253 61 127 250 253 197 213 243 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0) asByteArray! !

!LCFDeploymentLibrary methodsFor: 'uploaded' stamp: 'efo 3/30/2012 14:44'!
logoPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 36 0 0 0 36 8 6 0 0 0 225 0 152 152 0 0 0 9 112 72 89 115 0 0 14 195 0 0 14 195 1 199 111 168 100 0 0 9 64 73 68 65 84 88 133 157 152 11 92 205 105 26 199 255 145 88 76 134 165 48 99 71 116 209 57 157 83 167 156 114 74 185 37 229 54 110 21 50 35 180 136 137 24 115 249 104 102 151 153 93 246 51 236 184 12 209 184 148 98 103 89 98 205 140 92 150 113 255 48 218 181 36 35 194 200 101 66 110 209 77 234 183 207 243 234 61 254 117 46 107 188 159 207 195 233 252 223 255 255 253 254 159 223 243 62 207 243 30 69 177 49 0 52 34 139 37 43 174 173 173 133 180 103 207 158 225 198 141 27 216 189 59 7 139 22 125 129 184 184 177 24 58 100 8 134 12 30 132 81 35 71 34 101 238 92 100 103 111 195 249 243 231 81 85 85 5 245 189 53 53 53 229 100 139 232 153 205 109 173 107 117 60 124 248 176 53 45 188 155 110 174 149 15 163 239 176 118 237 26 68 14 24 0 173 198 31 222 221 6 194 211 243 47 232 208 97 35 218 187 110 135 171 203 14 250 188 25 157 58 45 131 70 51 22 26 239 64 244 8 234 129 249 243 231 161 168 168 136 97 212 47 85 68 80 1 47 5 67 19 245 116 243 77 121 115 89 89 25 86 172 248 10 65 129 70 2 9 64 135 246 63 160 105 211 135 112 112 168 5 207 182 110 181 112 116 172 64 171 86 249 4 30 11 95 189 14 211 18 19 113 253 250 117 181 183 42 105 173 4 50 7 155 48 229 229 229 38 162 47 149 55 157 57 115 6 253 250 245 197 136 225 195 224 235 171 71 199 142 155 237 64 88 183 215 95 191 72 47 162 71 55 175 15 224 111 240 199 55 223 252 77 200 94 7 85 243 244 233 211 143 172 66 61 120 240 192 64 215 31 213 77 196 230 205 127 71 160 177 59 178 178 50 113 236 216 49 122 104 111 52 110 92 245 171 129 26 55 174 164 123 131 209 174 237 41 180 105 157 75 82 134 97 214 172 100 84 84 84 152 161 42 43 43 103 214 131 57 124 248 112 187 234 234 234 91 18 38 53 117 37 233 31 136 188 188 179 226 166 105 137 83 241 230 27 171 126 53 140 52 239 110 211 224 214 121 169 248 236 228 244 144 254 30 137 248 248 241 32 16 9 245 244 222 189 123 81 2 38 50 50 178 41 237 134 189 18 102 203 150 45 2 230 242 229 203 224 65 160 232 221 43 12 191 109 83 248 202 64 46 237 118 145 103 162 204 113 231 232 88 70 18 142 18 113 69 146 201 64 47 201 201 201 233 160 220 190 125 123 188 220 77 121 121 121 66 166 179 20 59 114 148 150 62 66 128 191 17 77 154 84 188 50 144 179 243 207 98 103 58 57 149 153 191 115 114 122 66 144 225 72 93 185 194 28 232 36 227 14 133 200 110 243 31 20 208 136 232 31 142 140 140 116 168 7 197 22 5 180 145 222 234 217 43 3 137 56 210 26 208 188 249 149 122 223 183 114 46 132 94 231 47 114 86 157 66 213 138 164 75 91 189 154 118 211 112 33 145 122 60 122 244 8 6 63 246 80 229 43 3 177 249 104 35 208 166 205 113 139 239 221 220 86 138 93 92 93 253 92 58 1 84 90 90 10 83 143 32 252 247 244 105 52 28 172 113 104 207 16 202 41 55 94 17 166 86 196 140 206 39 129 18 105 134 197 117 71 199 74 130 53 225 228 201 147 47 128 50 51 51 17 19 61 74 4 117 195 193 215 223 25 23 71 57 40 243 165 33 26 53 170 70 139 22 55 208 190 253 62 120 122 76 160 196 104 162 196 26 72 59 45 217 234 252 78 157 86 137 53 120 125 133 255 25 58 100 48 246 237 221 107 1 35 199 190 125 123 69 0 118 236 248 35 92 92 174 161 101 203 98 252 166 217 109 10 214 95 224 234 122 149 74 198 17 42 31 27 209 233 205 69 228 137 137 226 141 253 13 1 24 71 117 46 35 61 29 119 238 220 193 226 197 139 9 110 178 240 88 67 32 39 167 251 4 29 0 218 250 224 93 70 187 200 128 251 247 239 219 4 226 34 57 33 62 30 161 33 33 180 144 65 72 24 18 108 18 255 247 237 211 27 131 6 70 97 116 108 44 62 73 73 193 247 223 127 135 252 252 124 81 114 212 133 117 213 170 84 184 119 141 179 10 228 224 80 67 105 96 24 37 99 170 4 251 247 255 11 17 17 225 86 229 106 40 221 161 67 7 49 48 42 82 44 198 153 150 19 27 199 24 151 2 117 241 180 102 27 54 100 160 107 151 81 86 129 216 186 116 89 135 57 239 207 134 194 228 243 231 205 179 11 195 139 238 220 185 19 35 222 30 10 189 143 22 103 207 158 85 231 14 28 167 210 242 87 146 100 215 174 93 118 128 54 16 80 180 77 160 214 173 143 163 95 223 62 80 166 76 153 140 245 235 215 217 132 97 73 71 142 24 142 120 189 30 199 189 180 152 233 235 135 119 223 25 39 188 242 248 241 99 225 177 238 1 254 248 106 249 114 92 185 114 197 38 80 90 218 106 184 187 91 151 140 237 181 215 46 137 142 66 225 28 176 117 235 63 172 194 20 23 255 130 190 97 161 216 64 213 186 176 179 39 18 9 102 236 216 49 34 126 78 156 56 33 100 250 58 45 13 231 206 229 217 149 139 109 233 210 37 20 212 9 54 129 156 157 75 68 124 42 195 135 13 67 246 182 109 22 48 28 31 188 251 54 18 204 207 111 121 96 146 159 1 203 151 45 19 137 115 27 205 239 67 193 252 228 201 147 255 27 59 210 62 255 252 51 116 113 75 178 83 94 238 61 7 98 247 111 220 152 101 1 196 109 199 116 189 47 174 255 206 29 155 180 122 188 55 125 154 185 143 225 152 226 118 149 23 121 89 160 153 51 146 224 225 145 106 7 168 136 164 15 128 178 112 225 2 17 144 234 193 139 68 134 247 195 127 220 53 184 70 222 137 162 248 225 54 148 31 204 41 224 52 101 244 11 23 46 136 216 225 0 231 249 5 5 5 40 44 44 180 9 20 57 32 130 114 216 97 59 64 185 8 11 13 133 242 237 183 59 69 208 242 77 114 220 188 121 19 3 124 124 4 204 79 110 158 24 72 112 188 40 123 102 252 248 119 49 101 242 100 60 166 114 179 102 205 26 12 136 232 143 132 73 19 225 71 29 101 127 154 199 221 129 108 190 164 177 252 6 63 63 180 108 113 201 38 208 27 29 179 69 174 83 46 93 122 30 221 229 229 101 102 160 127 238 216 129 25 148 105 89 174 60 119 111 140 137 142 22 15 46 185 123 87 44 46 147 30 123 139 83 254 31 62 253 84 188 68 226 212 41 244 150 61 69 15 174 6 186 122 245 42 181 31 6 52 107 86 106 179 222 121 121 197 139 13 162 200 226 201 174 151 131 51 230 98 83 136 0 186 208 249 133 135 100 19 167 94 76 54 88 178 72 135 211 220 79 82 230 214 155 179 59 39 135 186 196 190 34 35 91 3 226 226 235 163 237 33 36 23 197 117 225 130 5 72 122 111 186 89 182 237 219 183 99 166 255 115 15 201 24 82 159 24 26 90 113 113 49 110 210 89 141 63 207 155 247 71 232 180 26 236 217 179 199 124 125 6 5 180 123 215 63 219 148 139 139 112 84 100 164 216 52 2 136 221 205 157 226 93 146 132 7 31 4 35 235 98 136 161 50 53 58 241 80 185 203 212 150 159 127 14 131 7 13 194 182 173 91 133 247 226 40 79 173 14 50 193 100 240 195 209 163 71 69 252 176 2 109 219 30 176 10 195 94 211 106 70 96 211 166 77 47 218 15 126 16 47 248 225 135 31 152 101 225 93 118 186 171 55 254 77 49 20 67 9 145 23 98 73 212 48 12 152 156 60 83 148 5 153 185 195 168 31 47 32 153 115 186 249 32 144 60 187 110 221 90 234 0 252 69 223 99 13 200 197 101 63 122 134 4 139 156 38 128 168 117 229 134 26 183 110 221 130 177 123 0 78 157 58 37 188 148 73 139 68 233 116 232 21 20 132 57 115 222 23 71 101 150 198 94 174 201 204 220 128 201 58 95 20 145 87 217 179 63 116 211 33 144 228 115 119 79 176 10 227 228 84 74 222 233 41 234 164 116 132 146 158 158 126 89 62 112 203 150 205 226 132 193 199 102 118 245 199 31 127 132 146 146 18 113 45 43 43 75 184 126 123 118 54 237 174 74 11 152 187 212 243 4 27 141 248 209 67 35 96 100 252 245 38 47 185 186 90 182 174 138 82 67 165 36 17 191 79 72 48 135 2 213 194 114 197 217 217 89 161 24 170 146 18 204 158 61 139 178 240 8 177 181 27 142 139 23 11 68 45 235 211 187 151 144 247 192 129 253 34 73 230 230 230 98 204 232 88 44 241 209 155 97 216 118 80 49 214 120 155 168 201 175 176 136 27 55 183 47 17 78 167 98 62 68 200 20 18 22 22 246 252 160 200 31 40 153 213 202 118 130 15 113 49 49 209 66 215 134 227 224 193 131 232 73 45 200 151 20 232 179 189 53 152 106 12 196 212 238 70 124 161 161 77 160 130 97 217 162 169 244 184 117 94 105 9 211 121 9 130 77 38 92 187 118 173 94 45 7 79 145 35 41 41 73 145 174 99 185 56 201 113 22 230 164 38 7 23 86 46 184 105 4 163 246 132 53 59 234 169 133 94 235 71 201 240 190 25 166 73 147 199 36 211 116 241 123 1 195 168 170 67 57 217 169 122 64 14 14 14 74 74 74 138 162 46 160 220 227 112 189 250 154 122 25 118 41 255 38 212 75 175 195 101 218 69 246 96 216 59 113 58 61 201 242 167 58 175 212 210 233 245 16 201 23 138 73 19 39 152 101 170 3 122 74 86 192 48 245 128 36 84 114 114 178 162 254 161 137 79 179 111 15 29 34 2 154 143 216 25 122 3 138 222 178 239 157 239 40 118 124 52 70 58 24 22 83 243 127 4 26 77 12 130 169 135 202 166 13 33 95 88 58 157 211 158 132 177 0 146 35 34 34 66 225 147 130 186 60 28 61 114 68 52 242 70 242 208 112 74 154 169 4 182 203 83 131 92 47 31 252 228 165 195 5 79 31 156 161 109 190 215 195 27 225 116 93 171 241 19 191 122 244 15 15 71 122 250 122 115 14 83 141 42 53 136 93 32 213 4 241 4 9 198 121 130 91 90 238 149 248 135 130 94 148 34 140 36 105 0 85 114 127 63 95 116 167 211 11 119 147 163 99 99 68 129 61 79 167 15 142 59 245 253 117 195 2 68 218 255 0 165 13 60 136 79 147 92 203 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!LCFDeploymentLibrary methodsFor: 'uploaded' stamp: 'efo 4/3/2012 14:43'!
screenLcfCss
	^ '/* HEADER */
.icon a {outline: none; background: white;}
.search input.text {
	border: 1px solid white;
	color: black;}
.search input.text:focus {
	border: 1px solid #9E9EB2;
	color: black;}
.search input {
	color: #ff6633;
	font-size: 1em;
	outline: none;
	width: 98%;
	border: 0;
	margin-top: 0.1em;
	padding: 0.3em;
	padding-top: 0;
	background: 0;}
.search ul {
	margin: 0;
	padding: 0;
	background: white;
	list-style-type: none;
	border: 1px solid #9E9EB2;
	border-top: 0;}
.search li.selected a {color: #fff;}
.search li.selected {
	background-color: #9E9EB2;
	color: white;}
.search li {
	margin: 0;
	display: block;
	padding: 0.2em;
	cursor: pointer;
	list-style-type: none;}
.menu ul {
	margin: 0;
	margin-top: 0.6em;
	padding-bottom: 0.2em;
	list-style-type: none;}
.menu ul li {
	display: inline;
	margin-right: 1.5em;
	list-style-type: none;}
.menu li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.5em;
	padding-bottom: 0.3em;}
.menu li a.active {
	color: white;
	background: none repeat scroll 0 0 #757591;
}

.userCommandMenu ul {
	margin: 0;
	margin-top: 0.2em;
	padding-bottom: 0.2em;
	margin-bottom: 1em;
	list-style-type: none;}
.userCommandMenu ul li {
	display: inline;
	margin: 0;
	margin-right: 0.9em;
	list-style-type: none;}

/*BLOG*/
div.post {margin-bottom: 4.5em;}
div.comment {margin-bottom: 3em;}
.meta {font-size: 80%; color: #aaa;}
.leavecomment {margin-top: 4.5em; margin-bottom: 4.5em;}
.comments {margin-top: 4.5em;}


/* NAVIGATION */
.sidebar ul {
	margin-top: 0;
	margin-left: 0;
	list-style-type: none;}
.sidebar ul ul {
	margin-bottom: 0;
	margin-left: 1.5em;}
.sidebar ul li {
	margin-top: 1.5em;}
.sidebar ul li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.3em;
	padding-bottom: 0.3em;}
.sidebar p,
.sidebar h1, .sidebar h2, .sidebar h3,
.sidebar .postticker .timestamp,
.sidebar .postticker .summary {padding-left: 0.3em;}
.sidebar .active,

/*MAIN BODY*/
.mainbody {
	padding-top: 4em;
	padding-bottom: 15em;}
.postticker ul {
	font-size: 80%;
	color: #aaa;
	list-style: none;
	margin-left: 0;}
.postticker ul li {
	margin-bottom: 1.5em;}
.postticker .timestamp {color: #aaa; font-size: 80%;}
.postticker .subscribe,
.postticker .timestamp .time,
.postticker .timestamp .author {display: none;}
.postticker a.post {color: #aaa;}


/* FOOTER */
.footer {
	color: #aaa;
	font-size: 80%;
	text-align: left;}
.footer a { color: #aaa;}
.footer ul {list-style: none; margin-left: 0em;}
.footer ul ul {margin-left: 1.5em;}
.footer .commands ul, .footer .views ul {display: inline;}
.footer .commands ul li, .footer .views ul li {display: inline; padding-right: 1em;}


/* META */
.metaenvironment h1.heading {display: none;}
.metaheader {background: #C3D9FF; font-size: 200%}
.metaheader ul {display: inline; margin: 0;}
.metaheader li {list-style: none; display: inline; margin: 0;}
.metaheader li:after {content: "/"}
.metaenvironment.container {border: 1px solid #C3D9FF; margin-top: 0;}
.metafooter {background: #C3D9FF;}
.metafooter li {list-style: none;}


/*DEFAULT*/
body {
	margin-top: 0;
	font: 14px Arial,Helvetica Neue,Helvetica,sans-serif
}
h1, h2, h3, h4, h5, h6 { margin: 0; font-weight: inherit; font-size: 100%; line-height: inherit; }
h1.heading { font-size: 2em; margin-bottom: 1.5em; }
h1 { font-size: 1.5em; line-height: 1; margin-bottom: 1em; }
.maincontents {font-size: 1.5em;}
h2 { font-size: 1.2em; height: 1.25em; line-height: 1.25; margin-bottom: 1.25em; }
h3 { font-size: 1em; font-weight: bold; margin-bottom: 1.5em; }
h4 { font-size: 1em; font-weight: bold; }
h5 { font-size: 1em; }
textarea {width: 100%;}
input.text, input.password {width: 200px;}
input[type="button"], input[type="submit"], input[type="reset"], input[type="file"], button { margin-left: 0.5em;}


/* PIER */
.broken { color: red; font-weight: bold;}
.protected { color: #aaa; }
a {
  color: #1F1F5C;
  font-weight: 600;
}
a:hover {
	color: white;
	background: #9E9EB2; }
a:hover.nobackground {background: white;}
a.view, a.command {color: gray;}
a {text-decoration: none;}
a.environment:after {content: "*";}
.right {text-align: right;}
.left {text-align: left;}
.center {text-align: center;}
.float {float: right;}
.nobullets ul {list-style: none; margin-left: 0;}
.nobullets ul li {list-style: none; margin-left: 0;}
tr th {background: #eee; font-weight: normal;}
label {font-weight: normal;}
tr.group th {background: white; font-size: 1em; font-weight: bold; margin-top: 1.5em; }
td.required:after {color: #ff6633; content: "*"; margin-left: 0.5em;}

/* JQueryDialog support */
element.style {
    height: auto;
    min-height: 100px;
    width: auto;
    display: block;
    left: 394px;
    outline: 0 none;
    top: 418px;
    z-index: 1002;
}
.ui-helper-clearfix:after {
    clear: both;
    content: ".";
    display: block;
    height: 0;
    visibility: hidden;
}

.ui-draggable .ui-dialog-titlebar {
    cursor: move;
}

.ui-dialog .ui-dialog-titlebar {
    padding: 0.5em 1em 0.3em;
    position: relative;
}
.ui-corner-all {
    border-radius: 4px 4px 4px 4px;
}
.ui-widget-header {
    background: url("images/ui-bg_highlight-soft_75_cccccc_1x100.png") repeat-x scroll 50% 50% #CCCCCC;
    border: 1px solid #AAAAAA;
    color: #222222;
    font-weight: bold;
}
.ui-helper-clearfix {
    display: block;
}
.ui-widget {
    font-family: Verdana,Arial,sans-serif;
    font-size: 1.1em;
    background: lightGray;
}


.ui-dialog .ui-dialog-content {
    background: #fffff0;
    border: 0 none;
    overflow: auto;
    padding: 0.5em 1em;
}
.ui-widget-content {
    background: url("images/ui-bg_flat_75_ffffff_40x100.png") repeat-x scroll 50% 50% #FFFFFF;
    border: 1px solid #AAAAAA;
    color: #222222;
}
.ui-dialog {
    overflow: hidden;
    padding: 0.2em;
    position: absolute;
    width: 500px;
}

#flag-dialog-comments {
    background: none repeat scroll 0 0 #eeffcc;
    margin-top: 1em;
    padding: 1em;
    border-radius: 6px;
}

.flag-comment-content {
	margin-bottom: 0;
}
.flag-comment-user{
    font-style: Italic;
    margin-bottom: 0.5em;
	text-align: right;
}

.change-text {
	padding-left: 10px;
	padding-top: 5px;
	padding-right: 10px;
	color: blue;
	font-size: 104%;
}
.change-user {
    background-image: url("http://lcf.seasidehosting.st/resources/arrow_up.png");
    background-position: left top;
    background-repeat: no-repeat;
    font-size: 104%;
    font-weight: bold;
    margin-left: 50px;
    height: 25px;
    padding-left: 60px;
    padding-right: 10px;
}

textarea {width:400px;}

.th {
 width: 20px;
}
'! !

!LCFDeploymentLibrary methodsFor: 'as yet unclassified' stamp: 'efo 3/30/2012 14:44'!
selectorsToInclude
	^ #(screenLcfCss lcfIco)! !

PRDistribution subclass: #PRLCFDistribution
	instanceVariableNames: 'book sidechaptertreeWidget logoutCommandWidget logOutUserPage logcommandsPage userstatusWidget logInUserPage savePage bookEnvironmentPage inicioPage homeEnvironmentPage contactoPage proyectoPage bookA bookB bookC colaborarPage ocultaPage progressPage adminMenuWidget changesPage commentsPage bookEnvironmentPageA bookEnvironmentPageB sidechaptertreeWidgetA sidechaptertreeWidgetB sessionsPage glosarios glosariosEnvironmentPage sideglosariosWidget'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!PRLCFDistribution class methodsFor: 'as yet unclassified' stamp: 'efo 5/11/2011 22:15'!
title
	^ 'Ligth, Camera, Fayth'! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/10/2012 12:08'!
ElogInUserPage

	| command |
	
	^ logInUserPage ifNil: [
		command := (PRComponent named: 'justlogin')
			title: 'Just Login Command';
			componentClass: PRCommandsWidget;
			write: (Array with: PULogin) using: PRCommandsWidget descriptionCommandClasses ;
			yourself.
			
		logInUserPage := (PRPage named: 'loginuser') 
		addChild: ((PRComponent named: 'widget') componentClass: PRVisitorUserGroup; yourself);
		addChild: (command);
		contents: '+widget+ +justlogin+';
		yourself
	]
! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/10/2012 11:23'!
ElogOutUserPage

	| command |
	command := (PRComponent named: 'justlogout')
		title: 'Just Logout Command';
		componentClass: PRCommandsWidget;
		write: (Array with: PULogout) using: PRCommandsWidget descriptionCommandClasses ;
		yourself.
	
	^ logOutUserPage ifNil: [
		logOutUserPage := (PRPage named: 'logoutuser') 
		addChild: (command);
		contents: 'Logged in as +value:user+ (+justlogout+?)';
		yourself
	]
! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/10/2012 11:18'!
ElogcommandsPage
	^ logcommandsPage ifNil: [
		logcommandsPage := (PRPage named: 'logcommands') 
		addChild: ((PRComponent named: 'logOutWidget') componentClass: PRLogOutCommandsWidget; yourself);
		contents: '+logOutWidget+';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/10/2012 12:06'!
EloggedInUserPage
	| outCommand inCommand |
	^ loggedInUserPage ifNil: [
		outCommand := (PRComponent named: 'justlogout')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: (Array with: PULogout) using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
		inCommand := (PRComponent named: 'justlogin2')
			title: 'Just Login Command';
			componentClass: PRCommandsWidget;
			write: (Array with: PULogin) using: PRCommandsWidget descriptionCommandClasses ;
			yourself.
						
		loggedInUserPage := (PRPage named: 'loggedinuser') 
		addChild: ((PRComponent named: 'widget') componentClass: LCFUserStatus; yourself);
		addChild: inCommand;
		addChild: outCommand;
		contents: '+widget+ +justlogout+ +justlogin2+';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/10/2012 11:15'!
ElogoutCommandWidget
	^ logoutCommandWidget ifNil: [
		logoutCommandWidget := (PRComponent named: 'justlogoutcommand')
		title: 'Just Logout Command';
		componentClass: PRCommandsWidget;
		write: (Array with: PULogout) using: PRCommandsWidget descriptionCommandClasses ;
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/10/2012 12:33'!
EsavePage
	| commandSave commandLoad |
	^ savePage ifNil: [
		commandSave := (PRComponent named: 'savepagecomp')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: (Array with: LCFSave) using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
		commandLoad := (PRComponent named: 'loadpagecomp')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: (Array with: LCFLoad) using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
			
		savePage := (PRPage named: 'savepage') 
		addChild: commandSave;
		addChild: (commandLoad);
		contents: '+savepagecomp+ +loadpagecomp+';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 5/4/2012 10:16'!
aboutPage
	^ aboutPage ifNil: [
		super aboutPage title: 'Agenda';
					contents: '
{{{<iframe src="https://www.google.com/calendar/embed?src=8efgm1lnduf72vl1a9eucobrks%40group.calendar.google.com&ctz=America/Argentina/Buenos_Aires" style="border: 0" width="800" height="600" frameborder="0" scrolling="no"></iframe>}}}

_

!!Como est construido este sitio
', super aboutPage contents; 
				yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 2/13/2012 14:24'!
adminMenuPage
	^ adminMenuWidget ifNil: 
		[ adminMenuWidget := (PRPage named: 'adminMenu')
			contents:
'- *Home>/*
- *Proyecto>/proyecto*
- *Colaborar>/colaborar*
- *Contacto>/contacto*
- *Avance>/progress*
- *About>/about*';
			yourself ]! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 12/6/2011 14:37'!
book
	^ book! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 5/22/2011 23:13'!
book: aLFCBook 
	book := aLFCBook! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 16:30'!
bookA
	^ bookA ifNil: [ 
		"book := "
		bookA := (LCFBook named: 'cicloa')
			title: self headTitle, ' - Ciclo A'; 
			headTitle: 'Ciclo A'; 
			localEnvironment: self bookEnvironmentPage;
			filename: 'bookA';
			load;
			yourself
	]. ! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 16:29'!
bookB
	^ bookB ifNil: [ 
		bookB := (LCFBook named: 'ciclob')
			title: self headTitle, ' - Ciclo B'; 
			headTitle: 'Ciclo B'; 
			localEnvironment: self bookEnvironmentPage;
			filename: 'bookB';
			load;
			yourself
	]. ! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 16:29'!
bookC
	^ bookC ifNil: [ 
		bookC := (LCFBook named: 'cicloc')
			title: self headTitle, ' - Ciclo C'; 
			headTitle: 'Ciclo C'; 
			localEnvironment: self bookEnvironmentPage;
			filename: 'bookC';
			load;
			yourself
	]. ! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 2/10/2012 13:31'!
bookEnvironmentPage
	^ bookEnvironmentPage ifNil: [
		bookEnvironmentPage := (PRPage named: 'bookenvironment')
		title: '_Book Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-6">}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertree+{{{</div>
		<div class="contents column prepend-1 span-13 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 2/22/2012 13:15'!
bookEnvironmentPageA
	^ bookEnvironmentPageA ifNil: [
		bookEnvironmentPageA := (PRPage named: 'bookenvironmenta')
		title: '_Book EnvironmentA';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-6">}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertreea+{{{</div>
		<div class="contents column prepend-1 span-13 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 2/22/2012 13:15'!
bookEnvironmentPageB
	^ bookEnvironmentPageB ifNil: [
		bookEnvironmentPageB := (PRPage named: 'bookenvironmentb')
		title: '_Book EnvironmentB';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-6">}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertreeb+{{{</div>
		<div class="contents column prepend-1 span-13 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 2/26/2012 23:42'!
buildGroups 
	{ PUGroup named: 'corrector'. PUGroup named: 'traductor'. PUGroup named: 'registered' } do: [ :each |
		self kernel groups add: each.
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/27/2012 23:33'!
buildUsers
	LCFLoadUsers buildUsers: self kernel.! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 15:19'!
changesPage
	^ changesPage ifNil: [
		changesPage := (LCFChanges named: 'changes') 
			title: self headTitle, ' - Cambios'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 5/3/2012 09:51'!
chapters
	^ self bookA chapters, self bookB chapters, self bookC chapters! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/29/2012 09:57'!
colaborarPage
	^ colaborarPage ifNil: [
		colaborarPage := (PRPage named: 'colaborar') 
			title: self headTitle, ' - Colaborar'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 
'Para poder colaborar es necesario registrarse, por favor siga los pasos indicados en *Contacto>/contacto*.

Una vez obtenido un usuario y habindose logeado en el sitio podr observar controles al lado de cada prrafo editable.

|Use|+http://lcf.seasidehosting.st/resources/edit.png+|para acceder al dilogo de edicin del prrafo adyacente.|

El dilogo le ofrecer el texto del prrafo en ingls, una traducin automtica aproximada del texto realizada por el traductor de google y un cuadro de edicin en el que introducir el texto en castellano correspondiente.

Luego puede aceptar o cancelar.

|Use|+http://lcf.seasidehosting.st/resources/flag_red.png+|para asentar un comentario para el corrector.|

Se ofrecer un cuadro de texto en el que ingresar el comentario y un panel con la historia de comentarios anteriores y sus autores.

Puede usar el boton "Agregar" para incluir su comentario en la historia o presionar la tecla Esc para abandonar el dilogo.
'; yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 15:19'!
commentsPage
	^ commentsPage ifNil: [
		commentsPage := (LCFComments named: 'comments') 
			title: self headTitle, ' - Comentarios'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/29/2012 10:01'!
contactoPage
	^ contactoPage ifNil: [
		contactoPage := (PRPage named: 'contacto') 
			title: self headTitle, ' - Contacto'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 
'La *Comunidad Barat>http://www.comunidadbarat.org/* le da la bienvenida a este emprendimiento comunitario.

Para poder colaborar es necesario registrase gestionando una cuenta que le permita interactuar en el sitio.
Una vez logeado podr navegar los captulos e ir traduciendo los prrafos.

Para poder realizar esta operacin y obtener un usuario por favor escriba a emilioOca@gmail.com
'; yourself.
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 5/11/2011 22:06'!
efoWidget
	^ (PRComponent named: 'transPair')
		title: 'Translation Pair';
		componentClass: LCFPairWidget;
		yourself
	! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 12/13/2011 13:51'!
environmentPage
	^ environmentPage ifNil: [
		environmentPage := (PRPage named: 'environment')
		title: '_Environment';
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<h1 class="heading">}}}+>value:structure|level=2+{{{</h1>
		<h1>}}}+>value:structure|level=0|lower=3+{{{</h1>
		<div class="column span-14 contents">
			}}}+/system/components/contents+{{{
		</div>
		<div class="column span-6 prepend-6 last sidebar">
			<h2>Navigation</h2>
			}}}+/system/components/children+{{{
		</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 12/13/2011 13:41'!
footerPage
	^ footerPage ifNil: [
		footerPage := (PRPage named: 'footer')
		contents:
'{{{<div class="footer column span-20 last">
	<div class="column span-18">
		}}}
		{{{
		<div class="commands">}}}+/system/components/commands+{{{</div>
		<div class="views">}}}+/system/components/views+{{{</div>
		<div class="sitemap">}}}+/system/components/sitemap+{{{</div>
	</div>
	<div class="column span-6 last">}}}+/system/components/poweredby+{{{</div>
</div>}}}';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 5/4/2012 15:30'!
glosarios
	^ glosarios ifNil: [ 
		glosarios := (LCFGlosarios named: 'glosarios')
			title: self headTitle, ' - Glosarios'; 
"			headTitle: 'Glosarios'; "
			localEnvironment: self glosariosEnvironmentPage;
			yourself
	]. ! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 5/7/2012 14:15'!
glosariosEnvironmentPage
	^ glosariosEnvironmentPage ifNil: [
		glosariosEnvironmentPage := (PRPage named: 'glosariosenvironment')
		title: '_Glosarios Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-4">}}}
 			+/system/components/logStatusUser+


			+/system/components/sideglosarios+{{{</div>
		<div class="contents column prepend span-15 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 15:18'!
headTitle
	^ 'Lights, Camera, Faith!!'.! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 2/13/2012 14:45'!
headerPage
	^ headerPage ifNil: [
		headerPage := (PRPage named: 'header')
		contents:
'{{{<div class="column span-20 last header">
	<div class="menu">}}}+/system/components/menu|menu+{{{</div>
</div>}}}';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 2/29/2012 15:45'!
homeEnvironmentPage
	^ homeEnvironmentPage ifNil: [
		homeEnvironmentPage := (PRPage named: 'homeenvironment')
		title: '_Home Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-3 last">}}}
 			+/system/components/logStatusUser+
			{{{</div>
		<div class="contents column prepend-1 span-16 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/13/2012 13:48'!
introduccionPage
	^ (PRPage named: 'introduccion') 
			title: self headTitle, ' - Introduccin'; 
			localEnvironment: self homeEnvironmentPage;
			contents: '!!Prlogo

''''Algunos somos cientificos. Algunos matemticos. Algunos, filsofos. Todos somos narradores. Nos gusta escuchar y contar historias.''''

''''Cuando la Palabra se hizo carne, Jess apareci en la Tierra, alguno dir en forma de historia. El naci. El vivi tranquilamente en Nazaret antes de embarcarse en la misin de predicar las noticias de Dios sobre arrepentimiento, el perdn de los pecados y la venida de Dios en la Tierra. l sufri, muri y, como una dimension nueva en la historia humana, resucit de entre los muertos. Con la muerte, acept la voluntad de su Padre, y su Padre, al recibirlo, como muestra de amor, lo volvi a la vida.''''

''''Esa es nuestra historia Cristiana.''''

''''Domingo a domingo, festividad tras festividad, escuchamos los captulos de esa historia. A veces nos parece familiar. A veces un poco diferente. Debemos tener la posibilidad de abrir las escrituras para un entendimiento mayor y poder profundizar nuestra fe.''''

''''"Luz, Cmara, F!!" esta diseado para ayudarnos a apreciar las historias del Evangelio y otras lecturas que han sido seleccionadas para acompaarlas. Como mtodo, se toman pelculas populares, y se crea un dialogo entre dichas pelculas y los Evangelios. La historia de una pelcula y los temas pueden iluminar el Evangelio, a veces en forma de paralelismo, en otras ocasiones como un contraste. La historia del Evangelio nos puede ayudar a encontrar niveles mas profundos en el significado de la pelcula.''''

...

MSC Peter Malone'; yourself.! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 3/30/2012 11:29'!
kernel
	^ kernel ifNil: [
		kernel := PRKernel named: 'Comunidad Barat'.
		kernel root: self root.
		kernel
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/29/2012 15:44'!
logStatusUserPage
	| commnads |
	^ loggedInUserPage ifNil: [
		commnads := (PRComponent named: 'userCommnads')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: {PULogout. PULogin. LCFSave. LCFLoad. } using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
			
		loggedInUserPage := (PRPage named: 'logStatusUser') 
		addChild: ((PRComponent named: 'widget') componentClass: LCFUserStatus; yourself);
		addChild: commnads;
		addChild:  ((PRComponent named: 'reloadUserCommnads')
			title: 'reload user command';
			componentClass: PRCommandsWidget;
 			write: { LCFLoadUsers } using: PRCommandsWidget descriptionCommandClasses;
 			yourself);
		contents: '+widget+ {{{
		<div class="userCommandMenu">
			}}}+userCommnads+ 
			+reloadUserCommnads+
			{{{
		</div>
			}}}';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 2/10/2012 13:31'!
mainEnvironmentPage
	^ mainEnvironmentPage ifNil: [
		mainEnvironmentPage := (PRPage named: 'mainenvironment')
		title: '_Main Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="contents column span-12">}}}+/system/components/contents+{{{</div>
		<div class="postticker column prepend-0 span-6 last">
			}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertree+
			{{{
		</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 12/16/2011 12:07'!
makeCorrector: aStructure

	aStructure securityDecoration owner: (self kernel userNamed: 'admin' ifNone: []).
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: (self kernel groupNamed: 'corrector' ifNone: []).
! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 2/26/2012 23:41'!
makeLogged: aStructure

	aStructure securityDecoration owner: (self kernel userNamed: 'admin' ifNone: []).
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: (self kernel groupNamed: 'registered' ifNone: []).
! !

!PRLCFDistribution methodsFor: 'accessing' stamp: 'efo 8/3/2011 23:40'!
makeUsable: aStructure

	aStructure securityDecoration owner: (self kernel userNamed: 'admin' ifNone: []).
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: (self kernel groupNamed: 'admin' ifNone: []).
! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 5/4/2012 15:11'!
menuPage
	^ menuWidget ifNil: 
		[ menuWidget := (PRPage named: 'menu')
			contents:
'- *Home>/*
- *Ciclo A>/cicloa*
- *Ciclo B>/ciclob*
- *Ciclo C>/cicloc*
- *Glosarios>/glosarios*
- *Proyecto>/proyecto*
- *Colaborar>/colaborar*
- *Contacto>/contacto*

- *Avance>/progress*
- *Cambios>/changes*
- *Comentarios>/comments*
- *Usuarios>/sessions*
- *About>/about*
';
			yourself ]! !

!PRLCFDistribution methodsFor: 'enviroments' stamp: 'efo 12/13/2011 13:39'!
metaEnvironmentPage
	^ metaEnvironmentPage ifNil: [
		metaEnvironmentPage := (PRPage named: 'metaenvironment')
		title: '_Meta Environment';
"		hideFromMenus: true;"
		contents: '{{{<div class="container metaenvironment">
	<div class="span-20 last metaheader">
		Meta page: }}}+/system/components/breadcrumb+{{{
	</div>
	<div class="span-20 last">
		}}}+/system/components/contents+{{{
	</div>
	<div class="span-20 last metafooter">
		<div class="span-10">}}}+/system/components/commands+{{{</div>
		<div class="span-10 last">}}}+/system/components/sitemap+{{{</div>
	</div>
</div>}}}';
		yourself
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 15:20'!
ocultaPage
	^ ocultaPage ifNil: [
		ocultaPage := (PRPage named: 'oculta') 
			title: self headTitle, ' - Oculta'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 
'Este proyecto surge en el seno de la *Comunidad Barat>http://www.comunidadbarat.org/* con la intencin de acercar a sus miembros el anuncio de la Palabra desde los medios audio visuales.

Colaborando desinteresadamente logramos desarrollar este espacio, que ahora abrimos a todas las comunidades, y tiene como finalidad la traducion de los textos y su compilacin final en espaol en un docuemto electrnico que pueda ser descargado libremente y sin fines de lucro.

Peter Malone, sacerdote, crtico de cine y autor de los tres libros, cedi generosamente los textos originales y di su autorizacin para la publicacion final en espaol.

Para poder colaborar es necesario registrase, por favor siga los pasos indicados en *Contacto>/contacto*.

'; yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/13/2012 13:39'!
peterPage
	^ (PRPage named: 'peterMalone') 
			title: self headTitle, ' - Peter Malone Bio'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 'Nota: El *website de Peter Malone>http://www.signis.net/malone/* 
contiene comentarios sobre varios cientos de films, sus crticas desde 2009, 
posiciones de SIGNIS sobre algunos films particulares, 
entrevistas con directores Australianos y 
el SIGNIS Film Reviewing Project.

|""Peter Malone""|+http://www.signis.net/malone/img/wiki_up/Malone.jpg+|
!!!!!!CV/Breve


;Nacido
:Sydney, NSW, Australia, 8th August 1939.<br>
;Educacion
:Bowral, NSW.
;Orden Sacerdotal
:Rome, 3rd April, 1965.


!!Estudios
;Arts Degree MA Qual
:(Australian History), Australian National University, Canberra, 1960-8:
;Theology Degree
:Gregorian, Rome, 1962-6.
;Honorary Doctorate in Theology
:Melbourne, College of Divinity, Australia, 2008.


!!Academia
;Daramalan College
:Canberra (High School), 1966-7, 1970.
;Theology and Scripture
:Canberra, 1968-71
;Theology and Scripture
:Yarra Theological Union (Melbourne College of Divinity) 1972-1998
;National Pastoral Institute
:Melbourne, 1973-1988,(including Diploma in Social Communications).
;Director
:Australian Catholic Film Office, 1996-8

;OCIC (Organisation Catholique Internatiionale du Cinema)
:Pacific region, President, 1989-1998.
:Directors'' Committee, 1990-1998.
:World President, 1998-2001
:Contributor to Cine & Media

;SIGNIS (The World Catholic Association for Cinema)
:World President, 2001-2005
:Cinema Desk, director 2006-2010
:Cinema desk, member 2010
:Contributor to SIGNIS Media

!!Publicaciones

!!!!Libros
-The Film, Chevalier Press, Sydney, 1971.
-The Writing on the Wall, Westbooks, Perth, 1973 and 1978.
-200 Movies and Discussions I, Chevalier Press, Sydney, 1973.
-200 Movies and Discussions II, Chevalier Press, Sydney, 1975.
-Films and Values, Chevalier Press, Melbourne, 1978
-The Mystery of Christ, a course introducing theology, Y.T.U., Melbourne, 1983.
-Video at Home, ACTS, Melbourne, 1985.
-Nuclear Films, Spectrum, Melbourne, 1985.
-In Black and White and Colour, Aborigines in Australian Feature Films, Spectrum, Melbourne, 1987.
-Let a Viking Do it, Hagar and Family Illustrate the Myers Briggs Type Indicator, Collins Dove, Melbourne, 1988.
-Movie Christs and Antichrists, Parish Ministry Publications, Sydney, 1988; Crossroad, New York, 1990.
-Discovering an Australian Theology, co-ordinator, St Paul Publications, Sydney, 1988.
-The Australian Video Guide, Collins Dove, Melbourne, 1990.
-Traces of God, Collins Dove, Melbourne, 1991.
-Myers Briggs Goes to the Movies, Spectrum, Melbourne, 1991.
-Worth Watching: 30 Film Reviewers on Review, co-ordinator, Spectrum, Melbourne, 1994.
-Cinema Down Under, Australian Films at Home and to the World, OCIC, Brussels, 1996.
-Mirror, Mirror on the Screen, Type Resources, Gaithersberg, Md. 1996.
-From Back Pews to Front Stalls, Australian Feature Films in 100 years of Cinema, Co-ordinator, Chevalier Press, Sydney, 1996.
-Cinema, Religion and Values, OCIC, Brussels, 1999.  (French version: Festivals et Jurys. Criteres pour l''Attribution des prix).
-Developing an Australian Theology, St Paul Publications, Sydney, 1999.
-The Same as Christ Jesus, Gospel and Type, St Paul Publications, London, 2000.
-My Names,  Nelen Yubu, Sydney, 2000.
-Myth and Meaning, Australian directors in their own words, Currency Press, Sydney, 2001.
-Lights... Camera... Faith... A Movie Lectionary, Cycle A, Pauline Media, Boston, 2001.
-On Screen, Pauline Media, Manila, 2001.
-Lights... Camera... Faith... A Movie Lectionary, Cycle B, Pauline Media, Boston, 2002.
-Lights... Camera... Faith... A Movie Lectionary, Cycle C, Pauline Media, Boston, 2003.
-Can Movies be a Moral Compass? WACC, London, 2005.
-Lights...Camera... Faith...  The Ten Commandments, Pauline Media, Boston, 2006.
-Through a Catholic Lens (editor),  Rowman and Littlefield, 2007.
-Film and Faith,  CFA, Manila, 2008.
-Film and Faith and the Church, CFA, Manila, 2009.
-The Emergence of SIGNIS, Brussels, 2009
-Faith and Sacraments, CFA, Manila, 2011
-Jesus... According to the Scriptures, Chevalier Press, Sydney, 2011
-Film and Mary, CFA, Manila, 2012


!!!!Algunos Artculos
;Christology in the Suburbs: Edward Scissorhands
:in Explorations in Theology and Film, eds, Marsh, Ortiz, Blackwells, Oxford, 1997.
;Jesus on Screen
:in New Images of Religious Film, ed. John R. May, Sheed and Ward, Kansas City, 1997.
;Religion
:in The Oxford Companion to Australian Film, eds. McFarlane, Meyer, Bertrand, OUP, Melbourne, 1999.
;The Roman Catholic Church and Cinema (1967 to the present
:in The Routledge Companion to Religion and Film, ed. John Lyden, London and New York, 2009.
;Catholic Movies
:in The Continuum Companion to Religion and Film, ed. William Blizek, London, 2009.



!!Jurado en Festivales de Cine y Video

;Melbourne International Film Festival
:President of OCIC jury for Annual Award for Short Australian Film, from 1992-1998
:Member of Festival Jury, 1994

;3rd World Religious and Educational Videomarket and
:Videoforum, Drieburgen, Holland, 1992,  
:President of Jury.

;4th World Religious and Educational Videomarket and
:Videoforum, Cologne, Germany, 1996,
:President of Jury.

;European Religious and Educational Videomarket and
:Videoforum, Vilnius, Lithuania, 2000,
:President of Jury.

;Venice Film Festival,
:Member of OCIC jury, 1993, 1994, 1996.
:President of OCIC Jury, 1999, 2000,
:SIGNIS Jury, 2002, 2003, 2004, 2006, 2007. Member, 2008, 2009.

;Berlin Film Festival,
:Member of Ecumenical Jury, 1995,
:President of Ecumenical Jury, 1999.

;Turnhout Film Festival, Focus on the South,
:President of OCIC Jury, 1999.

;Cannes Film Festival,
:President of Ecumenical Jury, 2000.
:President of Future Talents Jury, Semaine de la Critique, 2001.
:President of Ecumenical Jury, 2004

;Troia Film Festival,
:President of OCIC Jury, 2001.

;Montreal Film Festival,
:President of Ecumenical Jury, 2001.
:Member of Jury, 2005.

;Infinity Festival, Alba,
:President of SIGNIS Jury, 2002

;Fajr Film Festival, Tehran,
:President''s award, 2002,
:President of INTERFAITH Jury, 2003, 2004, 2007.
:Member of Spirituality Cinema Jury, 2005, 2008.  

;Hong Kong International Film Festival.  
:President of SIGNIS Jury, 2004

;Dhaka International Film Festival.  
:President of Festival International Jury,
:SIGNIS award.  2006, 2010, 2012.

;Zanzibar International Film Festival,
:President of SIGNIS Jury, 2005, 2006.

;Golden Apricot Festival, Yerevan, Armenia.
:Member of Ecumenical Jury, 2007.

;BAFICI, Buenos Aires, Argentina.
:Member of SIGNIS Jury, 2008.

;Molodist Festival, Kiev, Ukraine.
:President of Ecumenical Jury, 2008.

;Washington International Film Festival.
:Member of SIGNIS Jury, 2009.

;Havana International Film Festival.
:Member of SIGNIS Jury, 2009.'; yourself.! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 15:20'!
progressPage
	^ progressPage ifNil: [
		progressPage := (LCFProgress named: 'progress') 
			title: self headTitle, ' - Progress'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/6/2012 15:20'!
proyectoPage
	^ proyectoPage ifNil: [
		proyectoPage := (PRPage named: 'proyecto') 
			title: self headTitle, ' - Proyecto'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 
'Este proyecto surge en el seno de la *Comunidad Barat>http://www.comunidadbarat.org/* con la intencin de acercar a sus miembros el anuncio de la Palabra desde los medios audio visuales.

Colaborando desinteresadamente logramos desarrollar este espacio, que ahora abrimos a todas las comunidades, y tiene como finalidad la traducion de los textos y su compilacin final en espaol en un docuemto electrnico que pueda ser descargado libremente y sin fines de lucro.

Peter Malone, sacerdote, crtico de cine y autor de los tres libros, cedi generosamente los textos originales y di su autorizacin para la publicacion final en espaol.

Para poder colaborar es necesario registrase, por favor siga los pasos indicados en *Contacto>/contacto*.

'; yourself.
	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 6/12/2012 13:53'!
register 
	| app authConf config |
	PRKernel reset.
	self kernel adminUser password: 'adminLcf'.
	app := ( PRPierFrame 
				registerAsApplication: 'lcf'
				kernel: self kernel).

	"segurizamos la app de configuracion"
	self secureConfig: ( app parent handlerAt: 'config' ) user: 'adminLcf' pass: 'lcf'.
	
	" se configura como default"
	app parent defaultName: app name.
	
	app preferenceAt: #sessionClass put: LCFSession.
	app preferenceAt: #resourceBaseUrl put: 'http://lcf.seasidehosting.st/resources/'.
	app preferenceAt: #serverPath put: '/lcf'. 
	

	"scriptaculous"				 
	app addLibrary: PTDeploymentLibrary .
	app addLibrary: SUDeploymentLibrary .
	app addLibrary: SUAllTestLibrary.
	
	"jQuery"
	app addLibrary: JQDeploymentLibrary.
	app addLibrary: JQUiDeploymentLibrary.

	app addLibrary: LCFDeploymentLibrary.
! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 5/7/2012 09:58'!
root
	self rootPage
		addChild: self bookA;
		addChild: self bookB;
		addChild: self bookC;
		addChild: self glosarios;
		addChild: self contactoPage;
		addChild: self colaborarPage;
		addChild: self proyectoPage;
		addChild: self progressPage;
		addChild: self sessionsPage;
		addChild: self changesPage;
		addChild: self commentsPage;
		addChild: self peterPage;
		addChild: self introduccionPage;
		addChild: (self aboutPage
				addChild: self syntaxPage;
				yourself);
		addChild: (self systemPage
			addChild: (self componentsPage
				addChild: self headerPage;
				addChild: self siteTitlePage;
				addChild: self footerPage;
				addChild: self menuPage;
"				addChild: self adminMenuPage;"
				addChild: self childrenWidget;
				addChild: self breadcrumbWidget;
				addChild: self googleAnalyticsWidget;
				addChild: self sitemapPage;
				addChild: self viewsPage;
				addChild: self commandsPage;				
"				addChild: self logcommandsPage;"
				addChild: self loginCommandWidget;
"				addChild: self logoutCommandWidget;"
				addChild: self contentsWidget;
" 				addChild: self stylesheetFile;
"		 		addChild: self postTickerWidget;
"				addChild: self blogArchiveWidget;"
				addChild: self searchWidget;
				addChild: self poweredPage;
"				addChild: self loggedInUserPage;"
"				addChild: self logOutUserPage;"
				addChild: self logStatusUserPage;
				addChild: self designChooserWidget;
				addChild: self documentWidget;
				addChild: self efoWidget;
				addChild: self sidechaptertreeWidget;
				addChild: self sideglosariosWidget;
" 				addChild: self savePage; "
				yourself);
			addChild: self systemManagementPage;
			addChild: (self templatesPage
				addChild: self environmentPage;
"				addChild: self blogEnvironmentPage;"
				addChild: self mainEnvironmentPage;
				addChild: self bookEnvironmentPage;
				addChild: self glosariosEnvironmentPage;
				addChild: self homeEnvironmentPage;
				addChild: self metaEnvironmentPage;
				yourself
			);
			yourself
		).
"	self blog localEnvironment: self blogEnvironmentPage."
	self aboutPage localEnvironment: self environmentPage.
	self environmentPage localEnvironment: self metaEnvironmentPage.
	self metaEnvironmentPage localEnvironment: self metaEnvironmentPage.
	self systemManagementPage localEnvironment: self metaEnvironmentPage.
"	self rootPage localStyleSheet: self stylesheetFile."
	self rootPage enumerator
		with;
		all;
		do: 
			[ :each | 
			each securityDecoration owner: self kernel users anyOne.
			each securityDecoration group: self kernel groups anyOne ].
	self makePrivate: self systemPage.
	self makePrivate: self environmentPage.
	self makePrivate: self blogEnvironmentPage.
	self makePrivate: self mainEnvironmentPage.
	self makePrivate: self metaEnvironmentPage.
	self makePrivate: self sitemapPage.
	self makePrivate: self viewsPage.
	self makePrivate: self commandsPage.
	self makePrivate: self systemManagementPage.
	
	self buildGroups.
	self buildUsers.

	self makeCorrector: self commentsPage.
	self makeCorrector: self changesPage.
	self makeLogged: self progressPage.
	self makeLogged: self sessionsPage.
	self makeLogged: self aboutPage.

" 	self makePrivate: self logcommandsPage.
 	self makePrivate: self loggedInUserPage.
"  
	^ self rootPage! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 5/30/2012 15:40'!
rootPage
	^ rootPage ifNil: [
		rootPage := (PRPage named: 'lcf')	
			title: self headTitle; 
			propertyAt: 'distro' put: self;
			localEnvironment: self homeEnvironmentPage;
			contents:
'A travs de este sitio nos encontramos con la obra del padre Peter Malone 
"Luz, Cmara, Fe!!" editados en tres tomos correspondientes 
a los ciclos litrgicos: *ciclo A>/cicloa*, *ciclo B>/ciclob* y *ciclo C>/cicloc*.

Cada uno de los volmenes cuenta con una amplia lista de pelculas que se sugieren una a una para cada domingo del ao, con la sinopsis del filme, un comentario a modo de reflexin y oracin final entrando de este modo en un dilogo profundo entre la propuesta cinematogrfica, la realidad que nos interpela y la Palabra de Dios.

Los libros *(ver introduccin)>/introduccion* estn escritos originalmente en ingls, siga estos enlaces para encontrarlos con su portada original.

- *Lights, Camera, Faith!!: A Movie Lectionary Guide to Scripture, Cycle A> http://www.amazon.com/Lights-Camera-Faith-Lectionary-Scripture/dp/081984490X/*
- *Lights, Camera, Faith!!: A Movie Lectionary Guide to Scripture, Cycle B> http://www.amazon.com/Lights-Camera-Faith-Lectiomary-Scripture/dp/0819844926/*
- *Lights, Camera, Faith!!: A Movie Lectionary Guide to Scripture, Cycle C> http://www.amazon.com/Lights-Camera-Faith-Lectionary-Scripture/dp/0819845019/*

*MSC Peter Malone>/peterMalone*  ha cedido sus textos para que sean traducidos y
compaginados en espaol a travs de un trabajo colectivo de evangelizacin, con
el objeto de que el producto final pueda ser descargado y distribuido en forma gratuita y sin fines de lucro.

Cmo puedo ayudar en la traduccin?
Cada libro se corresponde con un ciclo litrgico (*Ciclo A>/cicloa*, *Ciclo B>/ciclob*, *Ciclo C>/cicloc*). 
En ellos hay un captulo por cada fiesta,o tiempo durante el ao. Al presionar sobre ese tiempo litrgico, se expande un listado de las pelculas que corresponden a cada domingo de ese tiempo. Si nos posicionamos sobre una de las pelculas, hallaremos la ficha tcnica, comentario, semblanza con la Palabra, oracin y reflexin, separados en prrafos para que el texto pueda ser traducido en su totalidad o por prrafos, de modo que el colaborador pueda moderar su trabajo dentro de sus posibilidades reales de tiempo.

Quien no pueda colaborar con la traduccin puede consultar los textos ya traducidos o descargar documentos con esas versiones castellanas.

Para poder colaborar (*Cmo colaborar>/colaborar*) es necesario registrarse en el sitio a travs de la
pgina de contacto (*Contacto>/contacto*) y as obtener una cuenta que le permitir inscribirse en el
sitio y traducir los prrafos que se encuentren disponibles para dicha traduccin.'; yourself.

	]! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 6/12/2012 13:51'!
secureConfig: config user: user pass: pass
	| authConf |

	authConf := WAAuthConfiguration instance.
	
	(config configuration parents includes: authConf) ifFalse: [ 
		config configuration addParent: authConf.
		config addFilter: WAAuthenticationFilter new.
	].

	config preferenceAt: #login put: user;
                 preferenceAt: #passwordHash put: ( GRPlatform current secureHashFor: pass ).
				
! !

!PRLCFDistribution methodsFor: 'pages' stamp: 'efo 3/7/2012 15:14'!
sessionsPage
	^ sessionsPage ifNil: [
		sessionsPage := (LCFSessions named: 'sessions') 
			title: self headTitle, ' - Usuarios'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 5/22/2011 23:24'!
sidechaptertreeWidget
	^ sidechaptertreeWidget ifNil: [
		sidechaptertreeWidget := (PRComponent named: 'sidechaptertree')
		title: 'Side Chapter Tree';
		componentClass: LCFSideChapterTree;
		write: self book using: LCFSideChapterTree descriptionBook;
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/22/2012 13:17'!
sidechaptertreeWidgetA
	^ sidechaptertreeWidgetA ifNil: [
		sidechaptertreeWidget := (PRComponent named: 'sidechaptertreea')
		title: 'Side Chapter Tree A';
		componentClass: LCFSideChapterTree;
		write: self bookA using: LCFSideChapterTree descriptionBookA;
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/22/2012 13:17'!
sidechaptertreeWidgetB
	^ sidechaptertreeWidgetB ifNil: [
		sidechaptertreeWidget := (PRComponent named: 'sidechaptertreeb')
		title: 'Side Chapter Tree B';
		componentClass: LCFSideChapterTree;
		write: self bookB using: LCFSideChapterTree descriptionBookB;
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 5/4/2012 15:30'!
sideglosariosWidget
	^ sideglosariosWidget ifNil: [
		sideglosariosWidget := (PRComponent named: 'sideglosarios')
		title: 'Side Chapter Tree';
		componentClass: LCFSideGlosarios;
	"	write: self book using: LCFSideGlosarios descriptionBook;"
		yourself
	]! !

!PRLCFDistribution methodsFor: 'structures' stamp: 'efo 2/15/2012 15:44'!
stylesheetFile
	^ stylesheetFile ifNil: [
		stylesheetFile := (PRFile named: 'defaultCss')
		filename: 'style.css';
		mimetype: 'text/css';
		contents: 
'/* HEADER */
.icon a {outline: none; background: white;}
.search input.text {
	border: 1px solid white;
	color: black;}
.search input.text:focus {
	border: 1px solid #ff6633;
	color: black;}
.search input {
	color: #ff6633;
	font-size: 1em;
	outline: none;
	width: 98%;
	border: 0;
	margin-top: 0.1em;
	padding: 0.3em;
	padding-top: 0;
	background: 0;}
.search ul {
	margin: 0;
	padding: 0;
	background: white;
	list-style-type: none;
	border: 1px solid #ff6633;
	border-top: 0;}
.search li.selected a {color: #fff;}
.search li.selected {
	background-color: #ff6633;
	color: white;}
.search li {
	margin: 0;
	display: block;
	padding: 0.2em;
	cursor: pointer;
	list-style-type: none;}
.menu ul {
	margin: 0;
	margin-top: 0.2em;
	padding-bottom: 0.2em;
	list-style-type: none;}
.menu ul li {
	display: inline;
	margin: 0;
	margin-right: 1.5em;
	list-style-type: none;}
.menu li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.5em;
	padding-bottom: 0.3em;}
.menu li a.active {
	color: white;
	background: #ff6633;}

.userCommandMenu ul {
	margin: 0;
	margin-top: 0.2em;
	padding-bottom: 0.2em;
	margin-bottom: 1em;
	list-style-type: none;}
.userCommandMenu ul li {
	display: inline;
	margin: 0;
	margin-right: 0.9em;
	list-style-type: none;}

/*BLOG*/
div.post {margin-bottom: 4.5em;}
div.comment {margin-bottom: 3em;}
.meta {font-size: 80%; color: #aaa;}
.leavecomment {margin-top: 4.5em; margin-bottom: 4.5em;}
.comments {margin-top: 4.5em;}


/* NAVIGATION */
.sidebar ul {
	margin-top: 0;
	margin-left: 0;
	list-style-type: none;}
.sidebar ul ul {
	margin-bottom: 0;
	margin-left: 1.5em;}
.sidebar ul li {
	margin-top: 1.5em;}
.sidebar ul li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.3em;
	padding-bottom: 0.3em;}
.sidebar p,
.sidebar h1, .sidebar h2, .sidebar h3,
.sidebar .postticker .timestamp,
.sidebar .postticker .summary {padding-left: 0.3em;}
.sidebar .active,

/*MAIN BODY*/
.mainbody {
	padding-top: 4em;
	padding-bottom: 15em;}
.postticker ul {
	font-size: 80%;
	color: #aaa;
	list-style: none;
	margin-left: 0;}
.postticker ul li {
	margin-bottom: 1.5em;}
.postticker .timestamp {color: #aaa; font-size: 80%;}
.postticker .subscribe,
.postticker .timestamp .time,
.postticker .timestamp .author {display: none;}
.postticker a.post {color: #aaa;}


/* FOOTER */
.footer {
	color: #aaa;
	font-size: 80%;
	text-align: left;}
.footer a { color: #aaa;}
.footer ul {list-style: none; margin-left: 0em;}
.footer ul ul {margin-left: 1.5em;}
.footer .commands ul, .footer .views ul {display: inline;}
.footer .commands ul li, .footer .views ul li {display: inline; padding-right: 1em;}


/* META */
.metaenvironment h1.heading {display: none;}
.metaheader {background: #C3D9FF; font-size: 200%}
.metaheader ul {display: inline; margin: 0;}
.metaheader li {list-style: none; display: inline; margin: 0;}
.metaheader li:after {content: "/"}
.metaenvironment.container {border: 1px solid #C3D9FF; margin-top: 0;}
.metafooter {background: #C3D9FF;}
.metafooter li {list-style: none;}


/*DEFAULT*/
body {
	margin-top: 0;
	font: 14px Lucida Grande,Verdana,Arial,Helvetica,sans serif
}
h1, h2, h3, h4, h5, h6 { margin: 0; font-weight: inherit; font-size: 100%; line-height: inherit; }
h1.heading { font-size: 2em; margin-bottom: 1.5em; }
h1 { font-size: 1.5em; line-height: 1; margin-bottom: 1em; }
.maincontents {font-size: 1.5em;}
h2 { font-size: 1.2em; height: 1.25em; line-height: 1.25; margin-bottom: 1.25em; }
h3 { font-size: 1em; font-weight: bold; margin-bottom: 1.5em; }
h4 { font-size: 1em; font-weight: bold; }
h5 { font-size: 1em; }
textarea {width: 100%;}
input.text, input.password {width: 200px;}
input[type="button"], input[type="submit"], input[type="reset"], input[type="file"], button { margin-left: 0.5em;}


/* PIER */
.broken { color: red; font-weight: bold;}
.protected { color: #aaa; }
a {color: #ff6633;}
a:hover {
	color: white;
	background: #ff6633; }
a:hover.nobackground {background: white;}
a.view, a.command {color: gray;}
a {text-decoration: none;}
a.environment:after {content: "*";}
.right {text-align: right;}
.left {text-align: left;}
.center {text-align: center;}
.float {float: right;}
.nobullets ul {list-style: none; margin-left: 0;}
.nobullets ul li {list-style: none; margin-left: 0;}
tr th {background: #eee; font-weight: normal;}
label {font-weight: normal;}
tr.group th {background: white; font-size: 1em; font-weight: bold; margin-top: 1.5em; }
td.required:after {color: #ff6633; content: "*"; margin-left: 0.5em;}

/* JQueryDialog support */
element.style {
    height: auto;
    min-height: 100px;
    width: auto;
    display: block;
    left: 394px;
    outline: 0 none;
    top: 418px;
    z-index: 1002;
}
.ui-helper-clearfix:after {
    clear: both;
    content: ".";
    display: block;
    height: 0;
    visibility: hidden;
}

.ui-draggable .ui-dialog-titlebar {
    cursor: move;
}

.ui-dialog .ui-dialog-titlebar {
    padding: 0.5em 1em 0.3em;
    position: relative;
}
.ui-corner-all {
    border-radius: 4px 4px 4px 4px;
}
.ui-widget-header {
    background: url("images/ui-bg_highlight-soft_75_cccccc_1x100.png") repeat-x scroll 50% 50% #CCCCCC;
    border: 1px solid #AAAAAA;
    color: #222222;
    font-weight: bold;
}
.ui-helper-clearfix {
    display: block;
}
.ui-widget {
    font-family: Verdana,Arial,sans-serif;
    font-size: 1.1em;
    background: lightGray;
}


.ui-dialog .ui-dialog-content {
    background: #fffff0;
    border: 0 none;
    overflow: auto;
    padding: 0.5em 1em;
}
.ui-widget-content {
    background: url("images/ui-bg_flat_75_ffffff_40x100.png") repeat-x scroll 50% 50% #FFFFFF;
    border: 1px solid #AAAAAA;
    color: #222222;
}
.ui-dialog {
    overflow: hidden;
    padding: 0.2em;
    position: absolute;
    width: 500px;
}

#flag-dialog-comments {
    background: none repeat scroll 0 0 #eeffcc;
    margin-top: 1em;
    padding: 1em;
    border-radius: 6px;
}

.flag-comment-content {
	margin-bottom: 0;
}
.flag-comment-user{
    font-style: Italic;
    margin-bottom: 0.5em;
	text-align: right;
}

.change-text {
	padding-left: 10px; 
	padding-top: 5px;
	padding-right: 10px; 
	color: blue;
	font-size: 104%;
}
.change-user {
    background-image: url("http://lcf.seasidehosting.st/resources/arrow_up.png");
    background-position: left top;
    background-repeat: no-repeat;
    font-size: 104%;
    font-weight: bold;
    margin-left: 50px;
    min-height: 50px;
    padding-right: 60px;
    padding-top: 5px;
}

';
		yourself]! !

PRDefaultView subclass: #LCFBookView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFBookView methodsFor: 'as yet unclassified' stamp: 'efo 2/26/2012 00:06'!
renderContentOn: html
"	Transcript show: ('render!! ', self context structure name, ', user: ', self context user printString); 
		cr; flush."
	self context user ifNotNil: [
		self context user propertyAt: 'actualBook' put: self context structure.
	].

	super renderContentOn: html! !

PRDefaultView subclass: #LCFChangesView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFChangesView methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:23'!
renderBook: book on: html

	book changed do: [ :chapter |
		html text: chapter parent headTitle.
		html heading with: [ html anchor goto: (self context structure: chapter);
										with: chapter date eng.
							html text: ' ', chapter film eng ].	
			
		( chapter allPairs select: [ :pair | pair changes isEmpty not ] ) 
			do: [ :pair | 
				html div: [ pair renderViewOn: html with: self ].

				pair changes reverse do: [ :change |


					change renderHtmlOn: html like:
					(	(self context root propertyAt: 'savedOn' ifAbsent: [TimeStamp current ] ) < change time 
								ifTrue: [  'color: red;' ] ifFalse: [ 'color: blue' ]
					).

				]
			].

		 html break

	].! !

!LCFChangesView methodsFor: 'as yet unclassified' stamp: 'efo 5/11/2012 12:40'!
renderContentOn: html

	self renderHeadingOn: html.
	html div: [ 
		self renderBook: (self context root childrenDecoration at: 'cicloa' ) on: html.
		self renderBook: (self context root childrenDecoration at: 'ciclob' ) on: html.
		self renderBook: (self context root childrenDecoration at: 'cicloc' ) on: html.
	].
! !

!LCFChangesView methodsFor: 'as yet unclassified' stamp: 'efo 5/11/2012 14:29'!
renderHeadingOn: html
	(html div)
		style: 'float: right;';
		with: [ 
			(self context root hasProperty: 'savedOn') ifTrue: [ 
				(html div)
					style: 'float: right';
					with: [ html text: 'ltimo resguardo: ', 
						((self context root propertyAt: 'savedOn' ) utcOffset: -3 hours ) printHttpFormat.].
			] ifFalse: [
				(html div)
					style: 'float: right; color: red;';
					with: [html text: 'cambios sin resguardo'. ].
			].
		]! !

!LCFChangesView methodsFor: 'as yet unclassified' stamp: 'efo 2/15/2012 11:06'!
shouldRenderControls
	^ false! !

PRDefaultView subclass: #LCFChapterHtmlView
	instanceVariableNames: 'post comment command component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFChapterHtmlView methodsFor: 'as yet unclassified' stamp: 'efo 12/16/2011 13:35'!
chapter
	^ self context  structure! !

!LCFChapterHtmlView methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:25'!
renderContentOn: html
	| chapter tp |
	"html heading: chapter date."
	"	html heading level: 1; with: chapter film eng.
"
	chapter := self context structure.
	html div: [ 
		self renderNavHeadingOn: html with: chapter.
		html div: [ 
			html text: chapter parent headTitle.
			chapter date renderViewOn: html with: self.
			chapter lectures renderViewOn: html with: self.
			chapter crest ifNotNil: [ 
				html emphasis with: [ chapter crest renderViewOn: html with: self ]
			]
		].
	].

	chapter film renderViewOn: html with: self.
	chapter filmData renderViewOn: html with: self.
		
	(html heading) level: 2; id: 'outline'; with: 'Outline'.
	chapter outline do: [ :line | line renderViewOn: html with: self ].

	(html heading) level: 2; id: 'comment'; with: 'Comment'.
	chapter comment do: [ :line | line renderViewOn: html with: self ].

	(html heading) level: 2; id: 'gospel'; with: 'Dialogue with the Gospel'.
	html text: 'Focus:'.
	chapter gospelFocus renderViewOn: html with: self.
	chapter gospel do: [ :line | line renderViewOn: html with: self ].

	(html heading) level: 2; id: 'keysequences'; with: 'Some key sequences'.
	chapter keySequences doWithIndex: [ :line :idx | 
		line idx: idx.
		line renderViewOn: html with: self ].

	(html heading) level: 2; id: 'reflection'; with: 'For reflection and conversation'.
	chapter reflection do: [ :line | line renderViewOn: html with: self ].

	(html heading) level: 2; id: 'prayer'; with: 'Prayer:'.
	chapter prayer renderViewOn: html with: self.
! !

!LCFChapterHtmlView methodsFor: 'as yet unclassified' stamp: 'efo 4/24/2012 08:46'!
renderFileLink: html

	((FileDirectory uri: 'resources/') fileExists: self chapter chapterFileName, '.pdf' ) ifTrue: [
		html anchor 
			url: 'http://lcf.seasidehosting.st/resources/', self chapter chapterFileName, '.pdf';
			title: 'descargar versin castellana';
			with: [ html image url: 'http://lcf.seasidehosting.st/resources/adobe.png'.
					html html: 'descargar' ].
		html break.

	].



! !

!LCFChapterHtmlView methodsFor: 'as yet unclassified' stamp: 'efo 3/5/2012 11:16'!
renderNavBtn: html
	| prevChap nextChap |	
	prevChap := self context structure parent childrenDecoration children before: self context structure ifAbsent: [].
 	prevChap ifNotNil: [ 
		html anchor goto: (self context structure: prevChap );
					title: prevChap title;
					with: [  (html image)
							title: 'ir';
							url: 'http://lcf.seasidehosting.st/resources/left.png'.
						html html: prevChap title ].
	].

	html break.

	nextChap := self context structure parent childrenDecoration children after: self context structure ifAbsent: [].
 	nextChap ifNotNil: [ 
		html anchor goto: (self context structure: nextChap);
					title: nextChap title;
					with: [ html html: nextChap title.
						(html image)
							title: 'ir';
							url: 'http://lcf.seasidehosting.st/resources/right.png'.
						].
	].! !

!LCFChapterHtmlView methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:23'!
renderNavHeadingOn: html with: chapter
	(html div)
		style: 'float: right; margin: 10px;';
		with: [ 
					html text: 'traducido al ' , chapter translationProgress printString , '%'.
					html break.
					self renderFileLink: html.
					self renderNavBtn: html.
					html break.
					(html div)
						style: 'margin: 10px;';
						with: [ chapter poster renderViewOn: html with: self ] ]! !

!LCFChapterHtmlView methodsFor: 'as yet unclassified' stamp: 'efo 6/30/2011 22:08'!
renderUser: html
	self context user
		ifNil: [ html
				text: 'visitante';
				break ]
		ifNotNil: [ html text: 'usuario: ' , self context user name , ' (' , self context user groups any name , ')' ].
	html break.
	html break! !

!LCFChapterHtmlView methodsFor: 'testing' stamp: 'efo 2/14/2012 12:17'!
shouldRenderControls
	^ self context user notNil! !

PRDefaultView subclass: #LCFCommentsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFCommentsView methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:23'!
renderBook: book on: html
	
	book commented do: [ :chapter |
		html text: chapter parent headTitle.
		html heading with: [ html anchor goto: (self context structure: chapter);
										with: chapter date eng.
							html text: ' ', chapter film eng ].	
			
		( chapter allPairs select: [ :pair | pair comments isEmpty not ] ) 
			do: [ :pair | 
				html table
					id: self ajaxId; class: 'report';
					with: [ 
						html tableBody
							style: 'font-size: 80%;';
							with: [
								html tableRow: [
									html tableData title: chapter date fineSpa;
													with: [ pair renderViewOn: html with: self ].
									html tableData 	id: 'flag-dialog-comments';
													with: [
														pair comments do: [ :comment |
															html paragraph	class: 'flag-comment-content';
																			with: [ html text: comment comment. ].
															comment user renderOn: (html paragraph class: 'flag-comment-user'; yourself).
														]
													].
												
								].
							]

						]									

					].
				 html break. 
	].! !

!LCFCommentsView methodsFor: 'as yet unclassified' stamp: 'efo 3/7/2012 10:13'!
renderContentOn: html

	self renderBook: (self context root childrenDecoration at: 'cicloa' ) on: html.
	self renderBook: (self context root childrenDecoration at: 'ciclob' ) on: html.
	self renderBook: (self context root childrenDecoration at: 'cicloc' ) on: html.! !

!LCFCommentsView methodsFor: 'testing' stamp: 'efo 2/14/2012 12:16'!
shouldRenderControls
	^ false! !

PRDefaultView subclass: #LCFGlosariosView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFGlosariosView methodsFor: 'as yet unclassified' stamp: 'efo 5/29/2012 15:41'!
renderContentOn: html
	| glosario batcher |
	
	glosario := self context structure active.

	batcher := glosario batcherFrom: self context structure.

	html heading text: glosario title.

	html render: batcher.

	html table
		id: self ajaxId; class: 'report';
		with: [ 
			html tableHead: [
				html tableHeading 
"							style: 'min-width: 70px;';"
							text: (glosario headers at: 1).
				html tableHeading 
							style: 'min-width: 190px;';
							text: (glosario headers at: 2).
				html tableHeading 
"							style: 'min-width: 70px;';"
							text: (glosario headers at: 3).
			].
			html tableBody
				style: 'font-size: 80%;';
				with: [
					(batcher batch) do: [ :item | 
						html tableRow: [
							html tableData with: [ item key renderOn: html ].
							html tableData with: [ self renderDateContentOn: html with: item chapter ].
							html tableData title: item chapter film fineSpa;
											with: item chapter  film eng.
						]

					]. 	

				].

			].! !

!LCFGlosariosView methodsFor: 'as yet unclassified' stamp: 'efo 5/4/2012 15:25'!
renderDateContentOn: html with: chapter

	html anchor
		title: chapter date fineSpa;
		goto: (self context structure: chapter);
		with: chapter date eng! !

PRDefaultView subclass: #LCFProgressView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFProgressView methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 14:20'!
renderContentOn: html
	| book |
	
	book := self context user propertyAt: 'actualBook' ifAbsent: [ self context root childrenDecoration at: 'ciclob'. ].

	html text: book headTitle.
	html table
		id: self ajaxId; class: 'report';
		with: [ 
			html tableHead: [
				{ 'Fecha'. 'Pelcula'. 'Avance' } do: [ :header |
					html tableHeading 
							style: 'min-width: 70px;';
							text: header
				]
			].
			html tableBody
				style: 'font-size: 80%;';
				with: [
					book chapters do: [ :chapter |
						html tableRow: [
							html tableData with: [ self renderDateContentOn: html with: chapter ].
							html tableData title: chapter film fineSpa;
											with: chapter film eng.
							html tableData with: [ self renderExtrasOn: html with: chapter ].
						]
					]. 	

				].

			].! !

!LCFProgressView methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 13:41'!
renderDateContentOn: html with: chapter

	html anchor
		title: chapter date fineSpa;
		goto: (self context structure: chapter);
		with: chapter date eng! !

!LCFProgressView methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 13:45'!
renderExtrasOn: html with: chapter 
	html html: chapter translationProgress;
		html: '%'.
	self renderPdfAvailableOn: html with: chapter.
	self renderPosterAvailableOn: html with: chapter.! !

!LCFProgressView methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 13:37'!
renderPdfAvailableOn: html with: chapter
	^ ((FileDirectory uri: 'resources/') fileExists: chapter chapterFileName , '.pdf')
		ifTrue: [ 
			(html anchor)
				url: 'http://lcf.seasidehosting.st/resources/' , chapter chapterFileName , '.pdf';
				title: 'descargar versin castellana';
				with: [ html image url: 'http://lcf.seasidehosting.st/resources/adobe.png' ] 
		]! !

!LCFProgressView methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 13:49'!
renderPosterAvailableOn: html with: chapter
	^ ((FileDirectory uri: 'resources/') fileExists: chapter chapterFileName , '.jpg')
		ifTrue: [ 
			(html anchor)
				url: 'http://lcf.seasidehosting.st/resources/' , chapter chapterFileName , '.jpg';
				title: 'ver poster';
				with: [ html image url: 'http://lcf.seasidehosting.st/resources/poster_ico.png' ] 
		]! !

PRDefaultView subclass: #LCFSessionsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFSessionsView methodsFor: 'as yet unclassified' stamp: 'efo 6/12/2012 14:38'!
renderContentOn: html

	html table
		id: self ajaxId; class: 'report';
		with: [ 
			html tableHead: [
				{ 'Usuario'. 'Rol'. 'IP'. 'hora'. 'Ubicacin' } do: [ :header |
					html tableHeading: header ]
			].
			html tableBody
				style: 'font-size: 80%;';
				with: [
					self sessions do: [ :session |  | user |
						html tableRow: [
							session user renderOn: html tableData.
							html tableData with: session rol.
							html tableData with: session origen, ' (', session visits printString, ')'.	
							html tableData with: ( session lastAction utcOffset: -3 hours ) printHttpFormat .
							html tableData 
								 with: [ 
									html anchor
										goto: (self context structure: session structure );
										with: session structure title ].								

						]
					]. 	

				].

			].


! !

!LCFSessionsView methodsFor: 'testing' stamp: 'efo 6/1/2012 16:03'!
sessions
	| logs |
	logs := Dictionary new.
	self context application sessions do: [ :session | | log |
		log :=  logs at: session origen ifAbsentPut: [ SessionLog newOn: session ].
		log updateWith: session.
		
	].
	
	^ logs.
! !

!LCFSessionsView methodsFor: 'testing' stamp: 'efo 3/7/2012 15:17'!
shouldRenderControls
	^ false! !

PRCase subclass: #LCFBook
	instanceVariableNames: 'filename times chapters headTitle'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFBook class methodsFor: 'as yet unclassified' stamp: 'efo 5/27/2011 21:20'!
isAbstract
	^ false! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 2/23/2012 15:49'!
accept: aVisitor
"	Transcript show: ('activado!! ', self name, ' - ', aVisitor printString); 
		cr; flush."
	super accept: aVisitor.! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:09'!
changed
	^ self chapters select: [ :chapter | chapter hasChanges ]! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 2/22/2012 11:11'!
chapters
	^ "chapters ifNil: [ chapters := OrderedCollection new]."
	self childrenDecoration children select: [ :chapter | chapter class == LCFChapter ].! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 2/14/2012 11:22'!
commented
	^ self chapters select: [ :chapter | chapter hasComments ]! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 6/13/2012 10:38'!
fileTimeStamp
	^ (((DateAndTime now utcOffset: -3 hours) printString replaceAll: $T with: $-) replaceAll: $: with: $-) truncateTo: 19! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/6/2011 08:49'!
filename
	^ filename! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/6/2011 08:51'!
filename: aByteString 
	filename := aByteString.! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/19/2011 11:08'!
fullFilename
	^ self filename , '.txt'! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 3/6/2012 16:31'!
headTitle
	^ headTitle! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 3/6/2012 16:31'!
headTitle: anObject
	headTitle := anObject! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 3/26/2012 12:12'!
latexSingle

		self chapters select: [ :each | 
			each translationProgress > 60.
		] thenDo: [ :each | 
			each latex
		].
! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/19/2011 11:09'!
load
	( LCFChapter manyFrom: self fullFilename ) 
		do: [ :chap | self updateChild: chap ].! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/19/2011 11:15'!
reload
	self write.
	LCFChapter manyFrom: self fullFilename on: self chapters! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/19/2011 10:07'!
time: aLiturgicTime
	^ self times at: aLiturgicTime ifAbsentPut: [ TiempoLiturgico new: aLiturgicTime  ]
! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/13/2011 10:34'!
times 
	^ times ifNil: [ times := Dictionary new ].
! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 12/19/2011 10:05'!
updateChild: chap
	( self time: chap tiempo) addChap: chap.

	self addChild: chap.! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 2/23/2012 15:48'!
viewComponentClass
	^ LCFBookView! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 2/28/2012 11:37'!
write
	self writeOn: 'LCF', FileDirectory pathNameDelimiter asString, self filename, '.', self fileTimeStamp , '.txt'.
	self writeOn: 'LCF', FileDirectory pathNameDelimiter asString, self filename, '.last.txt'.! !

!LCFBook methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:25'!
writeOn: aFile
	| newChaps file line |

	newChaps := OrderedCollection new.

	[ 
		file  := MultiByteFileStream forceNewFileNamed: aFile.
"            file lineEndConvention: #crlf."
		self chapters do: [ :each | 
			file nextPutAll: 'MOVY
'.
			each writeOn: file
		].
	
		file nextPutAll: 'FIN
'.

	] ensure: [file close].! !

PRCase subclass: #LCFChanges
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFChanges class methodsFor: 'as yet unclassified' stamp: 'efo 2/13/2012 15:37'!
isAbstract
	^ false! !

!LCFChanges methodsFor: 'as yet unclassified' stamp: 'efo 2/13/2012 15:38'!
viewComponentClass
	^ LCFChangesView! !

PRCase subclass: #LCFChapter
	instanceVariableNames: 'date lectures crest film filmData poster outline comment gospelFocus gospel keySequences reflection prayer freezed tiempo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 5/29/2011 09:58'!
descriptionText
	^ MAMemoDescription new
		"default: self defaultText;
		parameterName: 'text';
		"accessor: #text;
		priority: 100;
		label: 'Text';
		yourself
"	^ PRDocumentDescription new
		default: self defaultDocument;
		parameterName: 'text';
		accessor: #text;
		label: 'El Texto';
		beRequired;
		yourself"! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 6/2/2011 00:29'!
from: aFile
	| file |

	[ 
		file := FileStream readOnlyFileNamed: 'LCF\', aFile.
		^ self readChapter: file.

	] ensure: [file close].
		
! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 5/23/2011 00:02'!
isAbstract
	^ false! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 12/19/2011 12:49'!
manyFrom: aFile
	| newChaps file line |

	newChaps := OrderedCollection new.

	[ 
		file := FileStream readOnlyFileNamed: 'LCF', FileDirectory pathNameDelimiter asString, aFile.
		[ file nextLine beginsWith: 'MOVY' ] whileTrue: [

			newChaps add: ( self readChapter:  file ).
		].

	^ newChaps.

	] ensure: [file close].
! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 12/19/2011 12:49'!
manyFrom: aFile on: newChaps
	| file line stream |

	[ stream := newChaps readStream.
		file := FileStream readOnlyFileNamed: 'LCF', FileDirectory pathNameDelimiter asString, aFile.
		file ifNotNil: [ 		
			[ file nextLine beginsWith: 'MOVY' ] whileTrue: [
				( self readChapter:  file into: stream next).
			].
		].

	^ newChaps.

	] ensure: [file close].
! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 12/13/2011 11:08'!
readAttrs: newChap on: line	
	newChap freezed: (line includesSubString: 'Locked;').
	newChap tiempo: (TiempoLiturgico keyFrom: line).

! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 12/6/2011 08:38'!
readChapter: file
	"PRLCFDistribution new register"
	^ self readChapter: file into: self new.
	! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:59'!
readChapter: file into: newChap
	"PRLCFDistribution new register"
	| line |

	self readAttrs: newChap on: file nextLine.
	
	newChap date: ((TransPairDate read: file ) level: 1; yourself ).
"Transcript show: newChap date eng; cr;flush."
	newChap lectures: (Lectures read: file).

	newChap crest: (TransPair read: file nextLine and: file) unanchored.

	newChap film: ((TransPairTitle read: file) level: 2; yourself).

	newChap filmData: (FilmData read: file).

	newChap poster: (Poster read: file).

	self assert: ( file nextLine = 'Outline' ).
	self assert: ( file nextLine isEmpty ).

	newChap outline: (self readSection: file stop: 'Comment').

	newChap comment: (self readSection: file stop: 'Dialogue with the Gospel').

	self assert: (file nextLine beginsWith: 'Focus:').
	self assert: file nextLine isEmpty.
	
	newChap gospelFocus: (TransPair read: file).
	newChap gospel: (self readSection: file stop: 'Some key sequences.').
	newChap keySequences: (self readSection: file stop: 'For reflection and conversation' with: TransPairKeySeq).
	newChap reflection: (self readSection: file stop: 'Prayer' with: TransPair).
	newChap prayer: (TransPair read: file).
	
	^ newChap .! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 8/17/2011 23:23'!
readSection: file stop: stop
	^ self readSection: file stop: stop with: TransPair! !

!LCFChapter class methodsFor: 'as yet unclassified' stamp: 'efo 8/17/2011 23:43'!
readSection: file stop: stop with:  transPair
	| line section |
	section := OrderedCollection new.
	
	[ (line := file nextLine) beginsWith: stop ] whileFalse: [
		section add: (transPair read: line and: file ).
	].
	self assert: ( file nextLine isEmpty ).

	^ section.! !

!LCFChapter methodsFor: 'comments' stamp: 'efo 4/23/2012 11:38'!
allPairs 
	| pairs |
	pairs := OrderedCollection new.
	pairs add: self date;
		add: self lectures;
		add: self crest;
		add: self film;
		add: self poster;
		addAll: self outline;
		addAll: self comment;
		add: self gospelFocus;
		addAll: self gospel;
		addAll: self keySequences ;
		add: self prayer.

	^  pairs.! !

!LCFChapter methodsFor: 'latex' stamp: 'efo 4/24/2012 09:01'!
assurePosterImage
	| file |

	((FileDirectory uri: 'resources/') fileExists: self chapterFileName, '.jpg' ) ifFalse: [
		[ 
			file  := FileStream fileNamed: ( 'resources', FileDirectory pathNameDelimiter asString, self chapterFileName, '.jpg' ).
			file binary.	
			file nextPutAll: (HTTPSocket httpGet: self poster link) contents. 
		] ensure: [file close].
	].! !

!LCFChapter methodsFor: 'latex' stamp: 'efo 4/23/2012 15:13'!
chapterFileName 
	^ self parent name, '_', self name.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 16:06'!
comment
	^ comment ifNil: [ comment := OrderedCollection new ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:49'!
comment: anObject
	comment := anObject! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 2/24/2012 14:00'!
crest
	^ crest! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 2/24/2012 14:00'!
crest: aPair
	crest := aPair! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/30/2011 00:35'!
date
	^ date! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/4/2011 13:54'!
date: aByteString 
	date := aByteString.
	self name: date eng asLegalSelector.
	self title: date eng.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/30/2011 00:32'!
film
	^ film! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/29/2011 23:58'!
film: aByteString 
	film := aByteString! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/2/2012 16:10'!
filmData
	^ filmData.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/2/2012 16:10'!
filmData: aFilmData
	filmData := aFilmData.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 8/18/2011 23:04'!
freezed
	^ freezed ifNil: [ freezed := false ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 8/18/2011 23:05'!
freezed: lock
	freezed := lock.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:47'!
gospel
	^ gospel  ifNil: [ gospel := OrderedCollection new ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/29/2011 13:50'!
gospel: anObject
	gospel := anObject! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/29/2011 13:50'!
gospelFocus
	^ gospelFocus! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/29/2011 13:50'!
gospelFocus: anObject
	gospelFocus := anObject! !

!LCFChapter methodsFor: 'comments' stamp: 'efo 2/15/2012 11:05'!
hasChanges

    ^ (self allPairs select: [ :pair | pair changes isEmpty not ]) isEmpty not! !

!LCFChapter methodsFor: 'comments' stamp: 'efo 2/14/2012 11:36'!
hasComments

    ^ (self allPairs select: [ :pair | pair comments isEmpty not ]) isEmpty not! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:47'!
keySequences
	^ keySequences  ifNil: [ keySequences := OrderedCollection new ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/29/2011 13:49'!
keySequences: anObject
	keySequences := anObject! !

!LCFChapter methodsFor: 'latex' stamp: 'efo 4/16/2012 11:46'!
latex
"	self latexOn: 'LCF', FileDirectory pathNameDelimiter asString, self name, '.tex'."
	| file |
	[ 
		file  := MultiByteFileStream forceNewFileNamed: ( 'LCF', FileDirectory pathNameDelimiter asString, 
													'tex', FileDirectory pathNameDelimiter asString,
														self chapterFileName, '.tex').
"            file lineEndConvention: #crlf."
		file nextPutAll: self latexSingleChapterHeader.

		self latexOn: file.
		
		file nextPutAll: '

\end{document}
'.

	] ensure: [file close].! !

!LCFChapter methodsFor: 'latex' stamp: 'efo 5/4/2012 12:49'!
latexOn: html
	| tp |
	
	html nextPutAll: '\chapter*{', self date latex, '\hfill {\Large '; 
		nextPutAll: self parent headTitle; 
		nextPutAll: ': ';
		nextPutAll: self tiempo; 
		nextPutAll: '}}'; cr; cr.
	
	lectures latexOn: html.

	html nextPutAll: '{\Large';cr.
	self crest isMissing ifFalse: [ 
		html nextPutAll: '\emph{'.
		html nextPutAll: self crest latex; nextPutAll: '}'; cr; cr. 
	].

	self film latexOn: html with: self.
	
	self poster isMissing ifFalse: [ 
		self assurePosterImage.
		html nextPutAll: '\begin{figure}[htbp]'; cr.
		html nextPutAll: '\centering'; cr.
		html nextPutAll: '\includegraphics[width=0.4\textwidth]{V:/LigthCameraFaith/Seaside-3.0.5-final/Resources/', self chapterFileName, '.jpg}'; cr.
		html nextPutAll: '\label{fig:cicloa.christmasday}'; cr.
		html nextPutAll: '\end{figure}'; cr; cr.
	].

	self filmData latexOn: html.
	
	html nextPutAll: '\section*{Sinopsis}'; cr;  cr..
	self outline do: [ :line | line latexOn: html ].
	
	html nextPutAll: '\section*{Discusi\''on}'; cr;  cr..
	self comment do: [ :line | line latexOn: html ].
	
	html nextPutAll: '\section*{Di\''alogo con el evangelio}'; cr; cr.
	html nextPutAll: '\textbf{Foco:} '.
	self gospelFocus latexOn: html.

	self gospel do: [ :line | line latexOn: html ].

	html nextPutAll: '\section*{Algunas secuencias clave}'; cr; cr.
	html nextPutAll: '\begin{enumerate}'; cr; cr.
	self keySequences doWithIndex: [ :line :idx | 
		html nextPutAll: '\item ', line latex; cr; cr.
	].
	html nextPutAll: '\end{enumerate}'; nextPut: Character cr; nextPut: Character cr.

	(self reflection anySatisfy: [ :line | line isMissing not ]) ifTrue: [
		html nextPutAll: '\section*{Para conversar y reflexionar}'; cr; cr.
		self reflection do: [ :line | 
			line latexOn: html.
		].
	].


	html nextPutAll: '\section*{Oraci\''on}'; cr; cr.
	self prayer latexOn: html.
	
! !

!LCFChapter methodsFor: 'latex' stamp: 'efo 5/3/2012 15:39'!
latexSingleChapterHeader
	^ '\documentclass[a4paper,spanish, 11pt]{report}
\usepackage[activeacute]{babel}
\usepackage{makeidx}
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage{subfigure}
\usepackage{psfrag}
\usepackage{amsthm}
\usepackage{amssymb,latexsym}
\usepackage{hyperref}

\addtolength{\oddsidemargin}{-1cm}
\addtolength{\textwidth}{2cm}
\addtolength{\textheight}{1cm}
%\addtolength{\topmargin}{-2cm}
%\addtolength{\textheight}{4cm}

\makeindex

\begin{document}

\DeclareGraphicsExtensions{.eps}



%\frontmatter
%should be the very first command after \begin{document}
%It will switch page numbering to Roman numerals. It is common to
%use the starred sectioning commands (eg \chapter*{Preface}) for
%frontmatter as this stopps LATEX from enumerating them.

\pagestyle{headings}

%% TITULO %%

\title {
\Huge\textbf{Lights, Camera, Faith!!}\\
\vspace{10mm}
\Large A Movie Lectionary Guide to Scripture series\\
\vspace{10mm}
%\vspace{10mm}
}

\author{traducci\''on organizada por miembros de la Comunidad Barat\\
\href{www.comunidadbarat.org}{www.comunidadbarat.org}
}

\maketitle



%\mainmatter
%comes after right befor the first chapter of the book. It turns
%on Arabic page numbering and restarts the page counter.

%\makeindex
%\MakeIndex{}

\hbadness = 10000
\tolerance = 10000

'.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 2/24/2012 14:01'!
lectures
	^ lectures ifNil: [ lectures := OrderedCollection new ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 4/3/2012 15:47'!
lectures: anObject
	lectures := anObject! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:58'!
outline
	^ outline   ifNil: [ outline := OrderedCollection new ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:57'!
outline: anObject
	outline := anObject! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 4/20/2012 14:25'!
poster
	^ poster.! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:19'!
poster: anObject
	poster := anObject! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:48'!
prayer
	^ prayer! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 6/2/2011 15:48'!
prayer: aByteString 
	prayer := aByteString! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 4/3/2012 12:01'!
reflection
"	^ reflection ifNil: [ reflection := OrderedCollection new ]."
		^ reflection ifNil: [ reflection := OrderedCollection with: (TransPair on: '<sin definir>' and: '') with: (TransPair on: '<sin definir>' and: '') with: (TransPair on: '<sin definir>' and: '') ].! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 4/3/2012 12:17'!
reflection: aByteString 
	reflection := aByteString! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/22/2011 23:54'!
summary
	^ 'resumen'! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 12/10/2011 23:57'!
tiempo
	^ tiempo! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 12/10/2011 15:27'!
tiempo: aByteString 
	tiempo := aByteString! !

!LCFChapter methodsFor: 'counting' stamp: 'efo 12/20/2011 09:02'!
translationProgress
	^ ( ( ( self wordCount - self wordsPendant ) / self wordCount  ) * 100 ) asInteger 

	
! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/27/2011 16:30'!
viewComponentClass
	^ LCFChapterHtmlView! !

!LCFChapter methodsFor: 'counting' stamp: 'efo 12/19/2011 15:38'!
wordCount

	^ self date wordCount + 
		self film wordCount + 
		(self outline inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) + 
		(self comment inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) +
		self gospelFocus wordCount +
		(self gospel inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) +
		(self keySequences inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) + 
		self prayer wordCount.


	
! !

!LCFChapter methodsFor: 'counting' stamp: 'efo 12/19/2011 15:53'!
wordsPendant

	^ self date wordsPendant + 
		self film wordsPendant + 
		(self outline inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) + 
		(self comment inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) +
		self gospelFocus wordsPendant +
		(self gospel inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) +
		(self keySequences inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) + 
		self prayer wordsPendant.


	
! !

!LCFChapter methodsFor: 'accessing' stamp: 'efo 5/3/2012 10:04'!
writeOn: html
	| tp |

	self freezed ifTrue: [ html nextPutAll: 'Locked;' ].
	html nextPutAll:  ' Tiempo<', self tiempo, '>;'; cr.
	
	self date writeOn: html.

	self lectures writeOn: html.
	self crest writeOn: html.
	self film writeOn: html.
	self filmData writeOn: html.
	self poster writeOn: html.
	
	html nextPutAll: 'Outline'; cr; cr.
	self outline do: [ :line | line writeOn: html ].
	
	html nextPutAll: 'Comment'; cr; cr.
	self comment do: [ :line | line writeOn: html ].
	
	html nextPutAll: 'Dialogue with the Gospel'; cr; cr.	
	html nextPutAll: 'Focus:'; cr; cr.	
	self gospelFocus writeOn: html.
	self gospel do: [ :line | line writeOn: html ].

	html nextPutAll: 'Some key sequences.'; cr; cr.
	self keySequences doWithIndex: [ :line :idx | 
		line idx: idx.
		line writeOn: html ].

	html nextPutAll: 'For reflection and conversation'; cr; cr.
	self reflection do: [ :line | line writeOn: html ].

	html nextPutAll: 'Prayer'; cr; cr.
	self prayer writeOn: html.! !

PRCase subclass: #LCFComments
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFComments class methodsFor: 'as yet unclassified' stamp: 'efo 2/13/2012 15:34'!
isAbstract
	^ false! !

!LCFComments methodsFor: 'as yet unclassified' stamp: 'efo 2/13/2012 15:33'!
viewComponentClass
	^ LCFCommentsView! !

PRCase subclass: #LCFGlosarios
	instanceVariableNames: 'active glosarios'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFGlosarios class methodsFor: 'as yet unclassified' stamp: 'efo 5/4/2012 15:29'!
isAbstract
	^ false! !

!LCFGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 15:10'!
active
	^ active ifNil: [ active := self glosarios values first ].! !

!LCFGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 11:09'!
active: aGlosario
	active := aGlosario! !

!LCFGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/22/2012 13:55'!
finalize
	glosarios ifNotNil: [ glosarios removeAll ].
	glosarios := nil.
! !

!LCFGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 15:42'!
glosarios
	^ glosarios ifNil: [ glosarios := Dictionary new.
		Glosario glosarios do: [ :glosario |
			glosarios at: glosario title put: (	glosario read: (self parent propertyAt: 'distro' )chapters).
		].
		glosarios.
	].

! !

!LCFGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 10:02'!
viewComponentClass
	^ LCFGlosariosView! !

PRCase subclass: #LCFProgress
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFProgress class methodsFor: 'as yet unclassified' stamp: 'efo 12/20/2011 10:56'!
isAbstract
	^ false! !

!LCFProgress class methodsFor: 'as yet unclassified' stamp: 'efo 2/26/2012 22:19'!
isValidIn: aContext
	^ aContext isLoggedIn! !

!LCFProgress methodsFor: 'as yet unclassified' stamp: 'efo 12/20/2011 12:07'!
viewComponentClass
	^ LCFProgressView! !

PRCase subclass: #LCFSessions
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFSessions class methodsFor: 'as yet unclassified' stamp: 'efo 3/7/2012 15:19'!
isAbstract
	^ false! !

!LCFSessions methodsFor: 'as yet unclassified' stamp: 'efo 3/7/2012 15:17'!
viewComponentClass
	^ LCFSessionsView! !

PRListWidget subclass: #PRLogOutCommandsWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!PRLogOutCommandsWidget class methodsFor: 'accessing-defaults' stamp: 'efo 6/12/2011 00:10'!
defaultCommandClasses
	^ (Array withAll: PRCommand withAllConcreteClasses)
		sort: [ :a :b | a label caseInsensitiveLessOrEqual: b label ];
		yourself! !

!PRLogOutCommandsWidget class methodsFor: 'accessing-description' stamp: 'efo 6/12/2011 00:10'!
descriptionCommandClasses
	^ MAMultipleOptionDescription new
		default: [ self defaultCommandClasses ] magritteDynamicObject;
		options: [ self defaultCommandClasses ] magritteDynamicObject;
		componentClass: MAListCompositonComponent;
		reference: MAClassDescription new;
		accessor: #commandClasses;
		label: 'Command Classes';
		priority: 200;
		beOrdered;
		beDistinct;
		beSorted;
		yourself! !

!PRLogOutCommandsWidget class methodsFor: 'testing' stamp: 'efo 6/12/2011 00:10'!
isAbstract
	^ false! !

!PRLogOutCommandsWidget class methodsFor: 'accessing' stamp: 'efo 6/12/2011 00:10'!
label
	^ 'Commands'! !

!PRLogOutCommandsWidget methodsFor: 'accessing' stamp: 'efo 6/12/2011 00:10'!
commandClasses
	^ self read: #descriptionCommandClasses! !

!PRLogOutCommandsWidget methodsFor: 'accessing' stamp: 'efo 6/12/2011 00:26'!
items
	| commands |

	commands := {PULogout}.
	^ self commandClasses select: [ :each | commands includes: each ]! !

!PRLogOutCommandsWidget methodsFor: 'accessing' stamp: 'efo 6/12/2011 00:10'!
labelFor: anObject
	^ anObject shortLabel! !

!PRLogOutCommandsWidget methodsFor: 'rendering' stamp: 'efo 6/12/2011 00:10'!
renderItem: aClass on: html
	html anchor
		class: 'active' if: (self isActive: aClass);
		accessKey: aClass accessKey;
		goto: (self context
			structure: self context structure
			command: aClass new);
		with: (self labelFor: aClass)! !

!PRLogOutCommandsWidget methodsFor: 'accessing' stamp: 'efo 6/12/2011 00:10'!
selected
	^ self context command class! !

!TimeStamp methodsFor: '*efo-lcf-model' stamp: 'efo 6/13/2012 11:09'!
printHttpFormatOn: aStream
	"Print receiver's date and time on aStream in HTTP format;
	'<day>, DD <mth> YYYY HH:MM:SS GMT' ->	'Thu, 01 Dec 1994 16:00:00 GMT'
	"
	
	| d t |
	d := self date.
	t := self time.
	aStream nextPutAll: (d weekday copyFrom: 1 to: 3).
	aStream nextPutAll: ', '.
	d printOn: aStream format: #(1 2 3 $  2 1 2).
	aStream nextPut: $ .
	t print24: true on: aStream.
"	aStream nextPutAll: ' GMT'."! !

!PRErrorView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:29'!
renderOptionExternalOn: html
	"<option: 400>"
	
	| referer |
	referer := self requestContext request referer.
	referer isNil ifFalse: [
		html listItem: [
			html text: 'If you clicked a link from an external page '.
			html anchor
				url: referer;
				with: referer.
			html text: ', please inform the webmaster of this site of his mistake.' ] ]! !

!PRErrorView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:33'!
renderOptionLinkOn: html
	<option: 100>
	
	html listItem: 'Haga click en otro enlace de esta pgina.'! !

!PRErrorView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:33'!
renderOptionRootOn: html
"	<option: 200>"
	
	| rootContext |
	rootContext := self context structure: self context root.
	rootContext isValid ifTrue: [
		html listItem: [
			html text: 'Jump to the '.
			html anchor
				goto: rootContext;
				with: rootContext structure title.
			html text: ' homepage.' ] ]! !

!PRErrorView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:33'!
renderOptionSpellingOn: html
	"<option: 300>"
	
	html listItem: 'If you typed the page address, make sure that it is spelled correctly.'! !

!PRErrorView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:34'!
renderSolutionsOn: html
	html paragraph: 'Puede intentar estas opciones'.
	html unorderedList: [ self renderOptionsOn: html ]! !

!PUUser methodsFor: '*efo-lcf-model' stamp: 'efo 4/3/2012 10:20'!
renderOn: html
	html title: (self firstName ifNotNil: [self firstName, ' ', self lastName ] );
		with: self name.
	! !

WAComponent subclass: #FlagDialog
	instanceVariableNames: 'target comm user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!FlagDialog class methodsFor: 'creation' stamp: 'efo 1/12/2012 14:49'!
on: aPair from: aUser 
	^ self new target: aPair; user: aUser; yourself.! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 1/12/2012 13:27'!
initialize

	super initialize.
	comm := 'algo'.
! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 3/15/2012 15:51'!
renderComments: html

	self target comments reverseDo: [ :comment | 
		comment comment renderOn: (	html paragraph class: 'flag-comment-content').
		comment user renderOn: (html paragraph class: 'flag-comment-user').
	].
! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 3/15/2012 15:30'!
renderContentOn: html

	html paragraph: 'Que desea informar o sugerir al corrector?'.
	html form: [ 
	html div: [ 
	html textArea
			style: 'width: 405px; height: 100px;';
"			script: (html jQuery this triggerFocus);
			value: '';
			on: #comm of: self;
"			callback: [ :value | 
				self target comments add: (PairComment new: value from: self user )
				];
			yourself.
	html submitButton
			style: 'text-align: right;';
"			disabled: aChange isEnabled not;"
"			callback: [ Transcript show: ('<',self target printString, '>'); cr; flush];"
"			on: #accept of: self;"
			with: 'Agregar';
			yourself.
	].
	].
	html break.
	html div id: 'flag-dialog-comments';
		with: [ self renderComments: html ].
		! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 1/4/2012 14:59'!
selectors
	^ #(initialize renderContentOn:)! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 1/4/2012 14:59'!
style
	^ '#count { margin: 0 0.5em; }'! !

!FlagDialog methodsFor: 'accessing' stamp: 'efo 1/5/2012 14:42'!
target
	^ target! !

!FlagDialog methodsFor: 'accessing' stamp: 'efo 1/5/2012 14:43'!
target: atarget
	target := atarget! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 1/4/2012 15:00'!
title
	^ 'Counting Up and Down'! !

!FlagDialog methodsFor: 'as yet unclassified' stamp: 'efo 1/4/2012 14:58'!
url
	^ nil! !

!FlagDialog methodsFor: 'accessing' stamp: 'efo 1/12/2012 14:50'!
user
	^ user! !

!FlagDialog methodsFor: 'accessing' stamp: 'efo 1/12/2012 14:49'!
user: aUser
	user := aUser! !

!PRNotFoundView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:41'!
renderErrorOn: html
	html paragraph: [ 
		html 
			text: 'The objeto requerido '; 
			code: self requestContext request url;
			text: ' no se encuentra en este servidor.' ]! !

PRWidget subclass: #LCFPairWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFPairWidget class methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2011 21:16'!
isAbstract
	^ false! !

!LCFPairWidget methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2011 21:19'!
renderContentOn: html
(TransPair new 
	eng: 'ingles'; 
	spa: 'espaniol'; 
	yourself) asComponent renderOn: html! !

PRWidget subclass: #LCFSideChapterTree
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFSideChapterTree class methodsFor: 'as yet unclassified' stamp: 'efo 5/22/2011 18:35'!
descriptionBook
	^ PRStructureDescription new
"		addCondition: (MACondition selector: #isBlog)
			labelled: 'Select a blog as source';
"		accessor: #book;
		label: 'Source';
		priority: 100;
		yourself! !

!LCFSideChapterTree class methodsFor: 'as yet unclassified' stamp: 'efo 2/22/2012 13:11'!
descriptionBookA
	^ PRStructureDescription new
"		addCondition: (MACondition selector: #isBlog)
			labelled: 'Select a blog as source';
"		accessor: #bookA;
		label: 'Source';
		priority: 100;
		yourself! !

!LCFSideChapterTree class methodsFor: 'as yet unclassified' stamp: 'efo 2/22/2012 13:11'!
descriptionBookB
	^ PRStructureDescription new
"		addCondition: (MACondition selector: #isBlog)
			labelled: 'Select a blog as source';
"		accessor: #bookB;
		label: 'Source';
		priority: 100;
		yourself! !

!LCFSideChapterTree class methodsFor: 'as yet unclassified' stamp: 'efo 5/22/2011 18:36'!
groupLabel
	^ 'Pier Chapter Tree'! !

!LCFSideChapterTree class methodsFor: 'as yet unclassified' stamp: 'efo 5/22/2011 18:35'!
isAbstract
	^ false! !

!LCFSideChapterTree class methodsFor: 'as yet unclassified' stamp: 'efo 5/22/2011 18:35'!
label
	^ 'Chapter tree'! !

!LCFSideChapterTree methodsFor: 'as yet unclassified' stamp: 'efo 3/6/2012 16:27'!
book

"	self context structure class == LCFBook ifTrue: [
		self context propertyAt: 'actualBook' put: self context structure.
	].
	"
	
	self context user ifNil: [
		^ self context structure class == LCFBook ifTrue: [
			self context structure.
		] ifFalse: [
			self context structure parent.
		].
	].
	^ self context user propertyAt: 'actualBook' ifAbsent: [ self context root childrenDecoration at: 'ciclob'. ].! !

!LCFSideChapterTree methodsFor: 'as yet unclassified' stamp: 'efo 12/12/2011 14:07'!
chapters
	| items |
	items := self book chapters.
"	self numberOfPosts isNil
		ifFalse: [ items := items last: (self numberOfPosts min: items size) ].
"	^ items "reversed"! !

!LCFSideChapterTree methodsFor: 'accessing' stamp: 'efo 8/18/2011 22:57'!
correctores
	^ { 'admin'. 'corrector' }.! !

!LCFSideChapterTree methodsFor: 'as yet unclassified' stamp: 'efo 12/10/2011 00:40'!
effects
	^ #( slideDown slideUp)! !

!LCFSideChapterTree methodsFor: 'as yet unclassified' stamp: 'efo 3/6/2012 16:30'!
renderContentOn: html

	html heading: 'Tiempos Litrgicos'.
	html html: self book headTitle; break.
		
	TiempoLiturgico sectionsKeys do: [ :key |
		self book times at: key ifPresent: [ :tiempos |
			tiempos renderContentOn: html using: self. ]
	].! !

PRWidget subclass: #LCFSideGlosarios
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFSideGlosarios class methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 10:11'!
isAbstract
	^ false! !

!LCFSideGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 11:47'!
active
	^ self context structure active.! !

!LCFSideGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 11:47'!
active: aGlosario

	self context structure active: aGlosario.! !

!LCFSideGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 14:51'!
glosarios
	^ self context structure glosarios.! !

!LCFSideGlosarios methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 14:48'!
renderContentOn: html

	html heading: 'Glosario por...'.
		
	self glosarios do: [ :glosario |
		glosario renderNodeOn: html using: self. 
	].! !

PRWidget subclass: #LCFUserStatus
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFUserStatus class methodsFor: 'accessing' stamp: 'efo 7/31/2011 22:52'!
descriptionBook
	^ PRStructureDescription new
"		addCondition: (MACondition selector: #isBlog)
			labelled: 'Select a blog as source';
"		accessor: #book;
		label: 'Source';
		priority: 100;
		yourself! !

!LCFUserStatus class methodsFor: 'accessing' stamp: 'efo 8/6/2011 09:59'!
isAbstract
	^ false! !

!LCFUserStatus methodsFor: 'as yet unclassified' stamp: 'efo 7/25/2011 23:27'!
renderContentOn: html
	self renderUser: html.

! !

!LCFUserStatus methodsFor: 'as yet unclassified' stamp: 'efo 2/10/2012 12:44'!
renderUser: html
	html text: ( 
		self context isLoggedIn 
			ifTrue: [ 'Usuario: ', self context user name, ' (', self context user group name, ')' ]
			ifFalse: [ 'Visitante' ] )
! !

PRWidget subclass: #PRVisitorUserGroup
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!PRVisitorUserGroup class methodsFor: 'as yet unclassified' stamp: 'efo 8/7/2011 21:42'!
isAbstract
	^ false! !

!PRVisitorUserGroup methodsFor: 'as yet unclassified' stamp: 'efo 8/7/2011 21:24'!
renderContentOn: html
	self renderUser: html.

! !

!PRVisitorUserGroup methodsFor: 'as yet unclassified' stamp: 'efo 8/7/2011 21:54'!
renderUser: html
	 self context isLoggedIn ifFalse: [ 
	 	html text: 'Visitante: '.
	].! !

PRWidget subclass: #TiempoLiturgico
	instanceVariableNames: 'chapters key collapsed'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!TiempoLiturgico class methodsFor: 'creation' stamp: 'efo 12/13/2011 11:23'!
isAbstract
	^ false! !

!TiempoLiturgico class methodsFor: 'accessing' stamp: 'efo 1/5/2012 12:30'!
keyFrom: aLine
"	^ self sectionsKeys detect: [ :section | aLine includesSubString: section ] ifNone: [ #Unknown ]."
	| matcher |
		matcher := RxMatcher forString: '.*(Tiempo<(\w+)>);.*'.
	^ ( (matcher matches: aLine) and: [
		(self sectionsKeys includes: (matcher subexpression: 3) asSymbol) ] ) 
		ifTrue: [ (matcher subexpression: 3) asSymbol. ] 
		ifFalse: [ #Unknown ] 


! !

!TiempoLiturgico class methodsFor: 'creation' stamp: 'efo 12/13/2011 11:24'!
label
	^ 'liturgic time'! !

!TiempoLiturgico class methodsFor: 'accessing' stamp: 'efo 12/16/2011 15:47'!
new: aKey
	^ (self new) key: aKey.

! !

!TiempoLiturgico class methodsFor: 'accessing' stamp: 'efo 12/11/2011 00:01'!
on: aLine
	^ self sections detect: [ :section | aLine includesSubString: section ] ifNone: [ #Unknown ].

! !

!TiempoLiturgico class methodsFor: 'creation' stamp: 'efo 2/27/2012 10:26'!
sections
	^ {  #Adviento -> 'Adviento'. 
		#Navidad -> 'Navidad'. 
		#Cuaresma -> 'Cuaresma'.
		#Triduo -> 'Semana Santa'.
		#Pascua -> 'Pascua'.
		#Ordinario -> 'Tiempo Ordinario'. 
		#Fija -> 'Otras Celebraciones' } asDictionary! !

!TiempoLiturgico class methodsFor: 'creation' stamp: 'efo 2/27/2012 11:24'!
sectionsKeys
	^ # ( Adviento Navidad Cuaresma Triduo Pascua Ordinario Fija Unknown )! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 10:44'!
addChap: aLCFChapter 
	self chapters add: aLCFChapter ! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 10:43'!
chapters 
	^ chapters ifNil: [ chapters := OrderedCollection new ].! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 12:13'!
collapse
	self collapsed: true
! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 11:57'!
collapsed
	^ collapsed! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 11:48'!
collapsed: aBolean
	collapsed := aBolean.! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 11:06'!
description 
	^ self class sections at: self key.! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 12:13'!
expand
	self collapsed: false
! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 11:48'!
initialize
	super initialize.
	self collapsed: true.! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 11:19'!
key
	^ key! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/13/2011 11:11'!
key: aByteSymbol 
	key := aByteSymbol ! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/16/2011 15:53'!
name
	^ self key! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/16/2011 15:33'!
renderBox: aString chapters: chaps on: html using: view
	html div id: aString; 
			class: 'lcfbox'; 
			style: ('overflow: visible; ',  (self collapsed ifTrue: ['display: none;'] ifFalse: ['']) ); 
			with: [
		chaps do: [ :each |
			html listItem: [
				self renderChapter: each on: html using: view] ]
"		html div
			class: 'content';
			with: 'Smalltalk Enterprise Aubergines' "]! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/16/2011 14:32'!
renderChapter: aPost on: html
 
	(self context user notNil and: [self correctores includes: self context user group name]) 	ifTrue: [ 
		aPost freezed ifTrue: [ 
			(html anchor)
				callback: [ aPost freezed: false ];
				with: [ html image title: 'desbloquear edicin'; height: 20; url: (PRBlueprintLibrary  / #lockopenPng).] ]
		ifFalse: [ (html anchor)
				callback: [ aPost freezed: true ];
				with: [ html image title: 'bloquear edicin'; height: 20; url: (PRBlueprintLibrary  / #lockclosedPng).
					] ] 
	] .
	
	html anchor
		goto: (self context structure: aPost);
		with: [ html html: aPost title ].
	html div
		class: 'summary';
		with: [ html html: '(', aPost film eng, ')' ]! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 2/28/2012 16:26'!
renderChapter: aPost on: html using: view
 
	(view context user notNil and: [view correctores includes: view context user group name]) 	ifTrue: [ 
		aPost freezed ifTrue: [ 
			(html anchor)
				callback: [ aPost freezed: false ];
				with: [ html image title: 'desbloquear edicin para todo el captulo'; height: 20; url: (PRBlueprintLibrary  / #lockopenPng).] ]
		ifFalse: [ (html anchor)
				callback: [ aPost freezed: true ];
				with: [ html image title: 'bloquear edicin para todo el captulo'; height: 20; url: (PRBlueprintLibrary  / #lockclosedPng).
					] ] 
	] .
	
	html anchor
		goto: (view context structure: aPost);
		title: aPost date spa;
		with: [ html html: aPost date eng ].
	html div
		class: 'summary';
		with: [ html html: '(', aPost film eng, ')' ]! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/16/2011 15:32'!
renderContentOn: html using: view
		self collapsed ifTrue: [
			html anchor onClick: (html scriptaculous effect id: self key; perform: #blindDown);
						callback: [ self expand ];
						with: '+ ', self description. 
		] ifFalse: [
			html anchor onClick: (html scriptaculous effect id: self key; perform: #blindUp);
						callback: [ self collapse ];
						with: '- ', self description.
		].
		html break.
		self renderBox: self key chapters: self chapters on: html using: view.
! !

!TiempoLiturgico methodsFor: 'accessing' stamp: 'efo 12/16/2011 15:49'!
title
	^ self key! !

WAAlphabeticBatchedList subclass: #LCFOrigenBatchedList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFOrigenBatchedList methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 16:09'!
allPages
"	^ 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"
	" ^ { 'Australia'. 'Belgium' right parenthesis expected ->. 'Canada'. 'Denmark'. 'France'. 'Germany'. 'Italy'. 'New Zealand'. 'Otros'. 'Russia'.  'Scotland'. 'Taiwan'. 'UK'. 'USA'. 'Wales' }."
	^(((items collect: [ :each | each key  ]) asSet removeAll: self otros; yourself) asSet add: 'Otros'; yourself  )sorted ! !

!LCFOrigenBatchedList methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 16:02'!
batch
	^ ( self currentPage = 'Otros' ) ifTrue: [
		items select: [ :each | self otros includes: each key ].
	] ifFalse: [ 
		items select: [ :each | each key = self currentPage ].
	]! !

!LCFOrigenBatchedList methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 16:05'!
otros 
	^ {'Russia'. 'Scotland'. 'Taiwan'. 'New Zealand'. 'Belgium'. 'Canada'. 'France'. 'Denmark'. 'Germany'. 'Italy'. 'Wales'} ! !

!LCFOrigenBatchedList methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 15:56'!
validPages
	^ 
	"(items collect: [ :each | each key ]) asSet sorted"
	self allPages! !

!WATagBrush methodsFor: '*efo-lcf-model' stamp: 'efo 3/15/2012 15:48'!
text: aText
	self with: aText .! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 5/7/2012 15:51'!
correctPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 115 66 73 84 8 8 8 8 124 8 100 136 0 0 0 9 112 72 89 115 0 0 1 187 0 0 1 187 1 58 236 227 226 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 119 119 119 46 105 110 107 115 99 97 112 101 46 111 114 103 155 238 60 26 0 0 1 154 73 68 65 84 120 218 133 83 187 74 3 65 20 189 179 27 187 224 23 136 96 35 22 166 72 26 77 12 18 173 125 229 11 132 168 31 16 136 96 111 147 202 66 107 65 196 15 80 16 237 196 64 16 68 145 36 88 152 88 40 62 208 168 1 13 203 198 53 217 92 239 78 118 119 134 29 193 3 135 189 204 220 115 238 99 25 134 136 192 24 11 3 64 4 122 96 240 63 144 88 35 109 35 228 30 12 213 235 111 69 4 212 8 64 116 76 5 129 224 198 4 254 157 74 165 210 20 238 135 132 37 242 219 242 237 51 55 16 34 193 232 240 128 219 162 248 120 6 92 228 96 239 248 178 39 116 43 121 200 204 197 65 211 117 229 92 49 88 156 25 227 177 198 152 210 65 133 186 115 16 29 25 84 12 124 193 238 209 133 168 226 205 47 85 93 94 152 0 93 211 84 3 230 46 46 51 59 206 99 45 80 93 152 252 61 130 47 216 57 60 87 18 87 210 73 136 81 219 146 80 53 160 75 94 121 105 62 193 99 119 39 60 150 25 132 24 38 208 182 3 57 190 186 121 224 148 206 240 207 17 182 15 206 164 36 117 129 157 78 7 90 173 22 24 134 241 45 27 248 155 167 36 49 130 100 208 104 124 192 251 203 35 92 255 124 194 73 161 80 169 86 171 167 202 14 64 116 32 139 249 94 194 154 5 241 233 36 108 108 110 221 175 102 179 147 136 200 59 240 30 83 196 52 205 50 85 101 165 218 147 178 7 203 178 64 167 202 133 98 241 110 45 151 75 144 230 21 60 56 6 132 81 195 52 219 148 136 237 118 155 147 102 69 219 182 177 219 237 226 87 179 137 235 249 124 137 242 250 157 124 137 126 7 125 116 25 147 254 10 11 60 93 155 88 166 92 11 2 248 5 36 223 167 12 71 164 156 101 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 4/3/2012 14:52'!
editPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 28 0 0 0 28 8 6 0 0 0 114 13 223 148 0 0 0 9 112 72 89 115 0 0 14 195 0 0 14 195 1 199 111 168 100 0 0 4 10 73 68 65 84 72 137 173 214 91 76 83 119 28 7 112 96 92 250 160 5 246 226 30 96 99 226 46 62 152 144 240 160 201 10 84 42 100 211 44 1 7 113 184 77 138 200 168 84 228 34 2 147 48 216 20 40 2 197 210 90 90 185 26 46 225 82 46 165 5 218 66 185 181 92 6 148 209 138 108 184 77 12 219 195 178 129 75 24 225 128 155 249 238 156 51 88 140 193 9 109 127 201 247 181 159 243 235 255 123 254 57 14 14 118 30 55 233 156 87 136 168 107 40 85 82 183 81 84 81 135 236 234 246 141 16 249 128 150 81 126 223 203 222 150 3 67 58 231 29 45 168 92 21 86 55 160 125 96 20 218 73 51 116 100 238 42 53 224 137 26 86 221 236 137 190 38 153 142 72 43 146 62 85 105 116 24 159 177 160 94 221 7 133 222 8 229 240 4 148 35 19 16 215 181 226 61 161 74 107 23 204 93 118 159 115 73 88 243 151 172 170 6 243 223 125 143 245 245 117 204 206 47 160 66 161 66 109 103 47 29 121 179 18 220 175 68 27 118 192 230 56 167 42 135 8 190 114 22 45 125 35 88 94 94 161 243 240 225 34 244 198 9 20 85 214 211 17 200 239 34 62 35 7 54 99 39 43 6 137 11 74 11 110 152 86 144 105 248 5 154 73 11 250 7 6 97 154 249 22 43 143 31 99 202 50 143 60 105 53 174 75 42 16 145 118 195 250 13 153 36 246 190 92 79 196 118 90 112 237 155 223 145 69 230 162 126 9 31 53 153 32 106 236 192 15 63 254 132 181 181 53 44 45 253 140 142 30 29 146 114 5 56 146 219 96 221 25 50 203 73 76 214 79 196 118 152 105 232 234 248 111 72 32 177 211 173 22 28 147 14 226 96 118 61 26 117 70 140 141 141 65 173 238 134 88 42 67 104 98 206 159 46 18 203 222 91 202 44 191 199 9 45 239 35 206 119 204 254 135 241 158 193 94 255 178 9 174 113 66 188 122 161 0 95 20 148 226 115 30 31 225 231 249 79 93 196 22 111 171 176 16 169 142 72 80 154 145 63 179 66 131 9 59 96 251 98 11 193 250 186 22 199 83 5 248 32 38 241 111 143 18 67 164 85 216 137 219 90 226 34 217 198 221 96 236 43 55 113 248 179 180 77 70 209 232 201 61 99 251 165 247 56 28 113 47 193 85 204 236 18 43 196 187 214 99 22 206 241 178 30 34 90 97 162 161 221 96 239 124 114 197 122 140 45 234 38 162 91 167 119 108 227 243 88 16 141 165 90 143 5 221 82 17 231 90 166 233 247 236 69 109 220 198 2 201 130 188 125 214 74 108 223 109 11 39 176 84 69 196 181 153 232 27 228 101 127 99 96 74 1 222 138 74 217 116 179 14 51 115 2 74 148 68 12 185 89 238 212 50 50 39 254 189 65 254 15 59 20 149 188 233 118 211 184 119 140 26 254 245 210 39 183 100 85 200 30 121 4 254 200 175 136 239 127 49 22 64 98 190 31 219 128 249 249 249 69 151 149 137 209 213 165 66 155 186 7 113 234 121 124 216 108 222 17 99 37 231 195 247 76 146 245 24 53 201 201 201 139 179 179 102 116 116 42 209 210 170 64 77 99 19 78 72 122 225 253 60 150 148 143 131 103 46 219 134 249 248 248 4 201 229 119 232 219 125 108 124 2 101 98 9 68 162 50 228 21 11 225 149 80 244 12 150 135 55 35 19 109 195 168 225 114 185 131 147 147 83 88 88 120 128 209 177 113 114 203 46 164 93 77 71 122 70 6 82 50 174 33 52 71 182 133 93 218 116 181 21 243 240 240 120 163 184 184 24 139 139 143 48 61 61 3 253 192 16 186 84 221 168 170 174 197 185 104 46 46 39 37 33 38 62 1 62 17 36 86 104 176 13 163 38 44 44 172 134 60 63 104 52 90 12 15 27 160 235 211 211 233 37 63 136 238 84 84 33 34 34 18 172 211 159 62 177 11 198 96 48 220 211 211 211 225 239 239 15 22 139 5 133 162 13 35 6 35 20 109 237 40 41 41 1 85 36 170 189 54 67 219 195 102 179 115 162 162 162 104 144 10 159 207 135 64 32 0 117 166 84 145 236 6 109 79 102 102 230 31 212 102 20 154 149 149 133 240 240 240 102 79 79 207 195 142 142 142 12 187 99 212 240 120 188 7 36 186 26 28 28 92 205 100 50 79 185 186 186 6 110 37 128 204 177 173 28 117 113 113 57 226 236 236 124 136 140 175 147 147 211 1 50 238 84 200 7 219 79 254 140 243 86 94 121 153 247 15 31 221 84 101 146 125 202 77 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 1/5/2012 09:11'!
flagredPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 1 104 244 207 247 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 222 73 68 65 84 120 218 98 92 186 116 41 3 8 48 129 136 240 222 245 6 0 1 196 112 70 71 39 245 255 255 255 12 44 215 202 202 250 190 51 50 254 3 8 32 6 144 154 45 137 137 255 255 164 229 61 63 192 192 144 201 2 82 123 64 88 248 251 71 67 67 201 232 89 12 12 0 1 4 82 161 242 41 33 33 10 164 15 132 153 62 124 248 80 255 242 212 169 165 215 228 100 254 131 141 23 16 16 152 112 170 186 154 81 198 213 5 110 223 57 32 54 224 159 183 144 17 8 24 0 2 136 17 100 203 203 151 47 111 232 173 91 167 174 205 206 206 32 110 97 229 195 216 210 180 245 0 35 35 167 195 255 255 223 193 46 20 23 23 175 253 153 154 250 254 213 205 155 254 95 158 60 94 255 212 195 229 63 51 3 195 97 144 28 35 212 47 194 119 239 222 125 163 172 172 44 8 100 127 136 138 138 98 128 1 176 9 209 209 209 95 129 224 204 222 189 123 157 129 108 29 160 221 74 64 204 1 114 3 64 0 129 252 193 179 182 170 202 228 161 153 217 204 255 13 13 204 48 255 192 253 5 52 64 133 89 95 255 216 215 55 111 210 126 188 125 251 7 100 226 97 70 198 4 100 43 158 62 125 243 134 245 243 223 191 12 223 158 60 97 248 154 156 8 114 224 124 100 5 111 222 190 121 243 235 141 174 110 254 151 167 79 151 177 124 103 96 96 102 96 64 113 228 127 22 86 214 199 31 34 35 239 31 201 207 143 102 250 240 239 18 59 55 215 23 20 95 240 240 240 28 228 224 224 0 135 37 235 182 133 250 6 95 190 242 162 40 16 22 22 222 250 231 207 31 119 112 192 128 130 23 9 51 175 91 183 142 81 94 94 94 24 200 9 75 79 79 223 3 82 15 82 7 196 223 65 26 0 2 12 22 146 170 111 222 188 153 162 240 247 175 133 200 162 69 124 98 191 126 49 8 169 171 51 240 171 171 111 90 169 171 235 143 28 178 232 128 9 137 205 247 85 76 140 231 163 152 24 195 183 207 159 25 128 62 102 248 246 226 133 95 196 161 51 231 62 37 39 116 93 224 225 94 119 132 145 241 255 65 70 70 51 108 6 60 226 231 231 95 253 224 209 35 166 255 54 54 12 31 217 216 24 128 1 207 240 245 241 99 134 223 127 127 200 177 254 99 44 229 83 87 13 100 134 184 61 13 155 1 63 89 89 89 47 254 253 251 247 237 15 109 237 23 143 155 154 236 206 55 55 51 238 75 74 98 252 253 240 229 41 230 111 204 12 124 106 170 12 44 16 3 194 113 121 225 1 48 168 175 63 121 242 68 12 24 96 234 64 62 56 3 108 74 8 246 98 91 57 135 145 147 139 135 215 244 255 127 70 219 255 255 121 113 25 240 68 84 84 116 21 208 0 70 78 78 78 144 45 210 200 10 185 231 206 255 130 55 16 129 201 244 47 48 201 222 97 97 97 121 255 238 221 59 131 135 15 31 234 0 197 68 128 88 20 232 34 17 32 22 4 98 110 32 102 97 132 0 112 60 179 32 25 198 184 101 203 150 75 42 42 42 129 103 207 158 229 184 124 249 242 83 160 24 7 40 169 1 49 40 21 255 197 230 2 0 254 142 34 222 78 73 252 184 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 7/24/2011 16:09'!
imdbJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 1 0 0 1 0 1 0 0 255 254 0 59 67 82 69 65 84 79 82 58 32 103 100 45 106 112 101 103 32 118 49 46 48 32 40 117 115 105 110 103 32 73 74 71 32 74 80 69 71 32 118 54 50 41 44 32 113 117 97 108 105 116 121 32 61 32 57 53 10 255 219 0 67 0 2 1 1 1 1 1 2 1 1 1 2 2 2 2 2 4 3 2 2 2 2 5 4 4 3 4 6 5 6 6 6 5 6 6 6 7 9 8 6 7 9 7 6 6 8 11 8 9 10 10 10 10 10 6 8 11 12 11 10 12 9 10 10 10 255 219 0 67 1 2 2 2 2 2 2 5 3 3 5 10 7 6 7 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 255 192 0 17 8 0 50 0 50 3 1 34 0 2 17 1 3 17 1 255 196 0 31 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 16 0 2 1 3 3 2 4 3 5 5 4 4 0 0 1 125 1 2 3 0 4 17 5 18 33 49 65 6 19 81 97 7 34 113 20 50 129 145 161 8 35 66 177 193 21 82 209 240 36 51 98 114 130 9 10 22 23 24 25 26 37 38 39 40 41 42 52 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 225 226 227 228 229 230 231 232 233 234 241 242 243 244 245 246 247 248 249 250 255 196 0 31 1 0 3 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 1 2 3 4 5 6 7 8 9 10 11 255 196 0 181 17 0 2 1 2 4 4 3 4 7 5 4 4 0 1 2 119 0 1 2 3 17 4 5 33 49 6 18 65 81 7 97 113 19 34 50 129 8 20 66 145 161 177 193 9 35 51 82 240 21 98 114 209 10 22 36 52 225 37 241 23 24 25 26 38 39 40 41 42 53 54 55 56 57 58 67 68 69 70 71 72 73 74 83 84 85 86 87 88 89 90 99 100 101 102 103 104 105 106 115 116 117 118 119 120 121 122 130 131 132 133 134 135 136 137 138 146 147 148 149 150 151 152 153 154 162 163 164 165 166 167 168 169 170 178 179 180 181 182 183 184 185 186 194 195 196 197 198 199 200 201 202 210 211 212 213 214 215 216 217 218 226 227 228 229 230 231 232 233 234 242 243 244 245 246 247 248 249 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 253 61 55 142 120 94 158 212 191 107 111 126 57 173 13 43 195 211 221 166 244 137 155 253 213 38 174 15 8 93 21 200 129 200 255 0 116 215 249 213 71 132 243 10 176 83 81 118 103 233 82 197 82 78 215 48 133 211 28 182 15 61 51 74 46 166 10 67 2 51 91 107 225 43 134 95 150 221 200 39 168 90 81 225 43 146 55 37 187 227 28 97 43 95 245 63 49 123 69 253 194 250 221 35 11 237 142 57 80 77 39 219 89 79 204 58 28 230 182 199 133 174 11 108 72 88 144 58 1 89 218 158 131 45 176 32 166 8 245 21 207 95 133 177 244 41 243 56 149 28 77 57 50 176 190 227 146 191 141 21 73 162 148 18 54 158 190 244 87 147 253 155 91 249 77 249 226 126 88 255 0 193 216 191 24 126 44 124 38 240 95 236 251 55 194 159 138 62 34 240 211 95 222 120 168 95 55 135 245 185 236 141 200 68 210 54 9 60 151 93 251 119 182 51 156 110 56 234 107 224 31 248 43 15 237 53 251 81 248 119 246 205 58 47 130 255 0 104 79 31 88 219 47 194 223 3 93 53 166 155 226 219 216 163 14 254 19 210 166 154 77 169 40 25 102 103 118 110 229 153 143 36 154 251 83 254 14 250 148 77 224 111 217 204 175 65 125 226 220 255 0 223 26 53 124 175 251 72 124 48 31 24 255 0 224 170 26 167 128 214 223 205 150 127 217 82 27 187 88 182 228 180 246 191 9 214 234 32 6 14 79 153 10 99 190 113 95 232 7 5 210 166 184 99 9 120 175 133 255 0 233 71 231 121 131 151 214 231 175 83 141 255 0 130 176 127 193 67 191 104 127 140 255 0 183 111 138 190 45 252 49 248 245 227 77 27 195 154 181 166 136 44 108 116 79 19 221 218 217 197 34 232 214 34 85 72 226 144 34 147 38 231 108 1 243 57 36 2 107 215 255 0 106 43 207 218 67 246 136 255 0 130 224 252 97 253 155 252 61 251 95 124 67 240 102 153 5 215 138 53 61 62 77 27 196 183 158 93 169 211 52 43 173 74 56 146 21 157 21 85 218 212 33 193 27 67 146 50 70 43 226 207 25 124 55 58 55 236 31 240 227 226 212 241 254 255 0 196 127 22 252 93 167 249 141 201 120 172 180 239 14 58 243 215 134 188 144 126 126 245 246 135 142 190 32 120 27 225 135 252 28 81 241 159 198 127 17 188 95 166 232 90 76 22 62 62 134 93 71 85 188 72 33 18 205 225 29 74 24 99 220 228 2 242 75 34 70 138 57 119 117 85 4 144 43 233 125 141 42 118 80 138 209 59 105 232 114 115 73 189 89 229 215 63 240 82 79 219 83 226 135 252 18 115 196 222 18 241 159 237 47 227 107 235 207 5 124 120 240 176 209 60 69 55 137 46 127 180 133 173 254 141 226 51 53 171 221 7 243 100 135 125 140 78 17 216 133 57 199 96 62 249 253 130 127 224 187 191 23 252 17 241 27 246 113 253 129 62 61 126 203 83 197 101 227 15 9 120 103 77 177 241 198 163 226 227 119 169 234 70 250 52 138 223 85 101 10 202 98 146 83 147 27 183 154 23 36 182 239 150 191 37 60 17 105 114 159 240 76 223 138 87 111 3 8 159 227 167 128 213 36 43 242 177 26 55 139 201 0 250 141 195 243 175 167 180 27 251 61 95 254 10 129 251 6 13 42 238 43 163 109 224 143 133 81 92 11 121 3 152 164 75 148 44 141 183 59 89 123 131 200 175 63 51 202 50 204 126 18 116 171 210 82 142 175 107 89 219 125 58 154 209 175 90 157 68 227 43 31 209 196 218 124 75 43 46 15 12 71 221 162 139 171 240 46 100 1 191 140 250 122 209 95 202 51 203 112 234 111 67 236 149 73 88 249 227 246 158 253 141 127 99 63 219 207 73 240 230 151 251 93 252 31 95 23 67 225 55 187 127 15 168 241 14 161 167 253 149 174 132 34 115 254 135 60 69 247 11 120 126 254 236 108 227 25 57 143 77 255 0 130 125 127 193 62 116 143 218 2 215 246 163 176 248 1 26 248 230 207 195 137 160 219 235 50 120 167 84 117 26 114 233 31 216 194 3 3 92 152 88 125 131 247 59 138 22 63 124 146 255 0 53 58 15 19 220 91 166 209 41 250 3 79 255 0 132 190 236 112 37 62 217 53 120 46 61 206 240 120 88 225 233 85 146 140 85 146 79 77 119 55 169 148 225 231 55 39 20 219 56 255 0 16 255 0 193 35 191 224 149 158 43 248 69 225 127 128 218 255 0 236 188 147 248 83 193 186 174 165 169 120 115 75 30 54 214 144 218 221 106 2 216 93 200 101 91 193 36 155 197 165 184 195 179 5 242 254 80 185 108 199 241 175 254 9 1 255 0 4 163 253 162 62 43 107 191 27 126 49 126 203 43 171 120 159 196 151 205 121 173 106 67 199 90 229 184 184 152 128 11 121 112 222 172 105 192 28 42 129 237 93 160 241 117 207 83 41 62 224 208 124 93 119 142 101 110 188 87 82 241 35 136 19 186 175 47 188 143 236 108 47 88 163 154 188 255 0 130 85 255 0 193 46 175 127 103 216 255 0 101 166 253 148 180 232 124 13 31 137 226 241 11 105 22 190 36 213 34 154 109 74 56 38 183 142 121 110 214 232 92 205 182 41 229 85 71 145 145 67 156 40 170 127 11 255 0 224 148 95 240 76 79 128 159 27 52 79 218 43 225 15 236 201 99 163 248 159 195 86 208 199 161 202 186 237 244 246 214 178 197 16 137 46 132 19 78 200 247 1 64 38 86 4 151 204 167 247 132 189 118 3 197 215 103 39 204 62 192 26 71 241 85 203 46 12 172 79 214 179 159 136 153 252 169 74 30 222 86 119 190 189 247 41 100 248 85 36 249 81 233 178 120 230 2 236 76 171 156 156 243 69 121 73 215 165 207 250 225 255 0 125 81 95 41 253 175 93 179 183 234 145 50 65 59 1 207 113 252 168 61 91 219 20 81 94 74 59 186 33 73 62 95 83 214 140 156 49 207 249 226 138 41 245 6 11 247 135 251 180 128 157 228 103 140 31 229 69 20 11 170 28 58 10 40 162 168 163 255 217) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 3/30/2012 13:08'!
lcfIco
	^ #(0 0 1 0 1 0 16 16 0 0 1 0 32 0 104 4 0 0 22 0 0 0 40 0 0 0 16 0 0 0 32 0 0 0 1 0 32 0 0 0 0 0 0 4 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 252 252 252 253 247 247 247 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 103 117 237 253 42 51 220 253 229 230 239 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 72 116 250 253 0 51 246 253 73 95 225 253 247 247 247 253 255 255 255 253 255 255 255 253 255 255 255 253 253 253 253 253 249 249 249 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 83 137 252 253 0 87 254 253 0 88 252 253 126 146 226 253 251 251 251 253 242 242 247 253 164 164 233 253 70 70 222 253 30 30 216 253 226 226 237 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 95 152 252 253 0 126 255 253 0 111 255 253 3 103 251 253 63 97 231 253 17 55 231 253 0 45 236 253 0 11 226 253 32 33 220 253 242 242 245 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 252 252 252 253 79 145 249 253 0 158 255 253 0 98 255 253 0 149 255 253 0 149 254 253 0 106 250 253 0 33 233 253 2 31 232 253 185 185 233 253 254 254 254 253 255 255 255 253 255 255 255 253 254 254 254 253 232 237 245 253 148 184 243 253 58 136 245 253 0 136 254 253 0 163 255 253 0 113 255 253 0 134 255 253 0 118 255 253 0 84 250 253 0 92 250 253 107 113 225 253 253 253 253 253 255 255 255 253 255 255 255 253 254 254 254 253 107 164 246 253 7 108 252 253 0 118 255 253 0 135 255 253 0 134 255 253 0 128 255 253 0 104 255 253 0 82 255 253 0 110 255 253 0 146 255 253 4 77 240 253 231 231 237 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 80 153 251 253 1 113 254 253 0 129 255 253 0 143 255 253 0 147 255 253 0 144 255 253 0 116 255 253 0 89 255 253 0 96 255 253 0 144 255 253 0 114 250 253 143 149 220 253 253 253 253 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 227 238 251 253 158 199 250 253 88 171 251 253 9 149 254 253 0 167 255 253 0 121 255 253 0 143 255 253 0 136 255 253 0 89 255 253 0 104 253 253 7 60 235 253 187 187 226 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 138 184 251 253 0 155 255 253 0 109 255 253 0 162 255 253 0 143 255 253 0 133 255 253 0 88 251 253 0 30 233 253 25 31 219 253 223 223 236 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 161 197 252 253 0 137 255 253 0 115 255 253 4 140 253 253 154 182 242 253 163 188 251 253 89 130 247 253 19 37 230 253 0 0 222 253 151 151 227 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 169 201 252 253 0 109 255 253 0 117 255 253 113 161 240 253 253 253 253 253 255 255 255 253 254 254 254 253 250 250 252 253 212 212 245 253 249 249 251 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 177 205 252 253 0 94 255 253 38 115 246 253 241 243 247 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 227 236 253 253 61 127 250 253 197 213 243 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 254 254 254 253 254 254 254 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 255 255 255 253 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 7/24/2011 13:27'!
lockclosedPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 48 0 0 0 48 8 6 0 0 1 32 5 201 17 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 10 225 105 84 88 116 88 77 76 58 99 111 109 46 97 100 111 98 101 46 120 109 112 0 0 0 0 0 60 63 120 112 97 99 107 101 116 32 98 101 103 105 110 61 34 239 187 191 34 32 105 100 61 34 87 53 77 48 77 112 67 101 104 105 72 122 114 101 83 122 78 84 99 122 107 99 57 100 34 63 62 10 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 34 97 100 111 98 101 58 110 115 58 109 101 116 97 47 34 32 120 58 120 109 112 116 107 61 34 65 100 111 98 101 32 88 77 80 32 67 111 114 101 32 52 46 49 45 99 48 51 54 32 52 54 46 50 55 54 55 50 48 44 32 77 111 110 32 70 101 98 32 49 57 32 50 48 48 55 32 50 50 58 49 51 58 52 51 32 32 32 32 32 32 32 32 34 62 10 32 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 34 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 34 62 10 32 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 34 34 10 32 32 32 32 120 109 108 110 115 58 100 99 61 34 104 116 116 112 58 47 47 112 117 114 108 46 111 114 103 47 100 99 47 101 108 101 109 101 110 116 115 47 49 46 49 47 34 10 32 32 32 32 120 109 108 110 115 58 120 97 112 82 105 103 104 116 115 61 34 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 114 105 103 104 116 115 47 34 10 32 32 32 120 97 112 82 105 103 104 116 115 58 77 97 114 107 101 100 61 34 194 169 32 32 32 32 32 32 32 32 32 32 32 38 35 120 65 59 32 50 48 48 57 32 98 121 32 79 108 105 118 101 114 32 84 119 97 114 100 111 119 115 107 105 34 10 32 32 32 120 97 112 82 105 103 104 116 115 58 87 101 98 83 116 97 116 101 109 101 110 116 61 34 104 116 116 112 58 47 47 98 108 111 103 46 97 100 100 105 99 116 101 100 116 111 99 111 102 102 101 101 46 100 101 34 62 10 32 32 32 60 100 99 58 114 105 103 104 116 115 62 10 32 32 32 32 60 114 100 102 58 65 108 116 62 10 32 32 32 32 32 60 114 100 102 58 108 105 32 120 109 108 58 108 97 110 103 61 34 120 45 100 101 102 97 117 108 116 34 62 194 169 32 32 32 32 32 32 32 32 32 32 32 38 35 120 65 59 32 50 48 48 57 32 98 121 32 79 108 105 118 101 114 32 84 119 97 114 100 111 119 115 107 105 60 47 114 100 102 58 108 105 62 10 32 32 32 32 60 47 114 100 102 58 65 108 116 62 10 32 32 32 60 47 100 99 58 114 105 103 104 116 115 62 10 32 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 32 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 60 63 120 112 97 99 107 101 116 32 101 110 100 61 34 119 34 63 62 73 170 52 224 0 0 12 25 73 68 65 84 120 218 98 252 255 255 63 3 54 192 132 204 249 243 231 207 127 12 137 35 135 15 253 103 97 97 97 124 243 234 205 63 20 9 77 142 57 12 223 238 246 255 255 115 211 139 17 69 226 255 63 113 6 110 149 34 6 38 70 109 84 163 62 62 94 194 240 108 79 60 195 159 239 16 107 0 2 136 145 160 171 46 156 59 247 237 240 225 67 31 49 36 12 140 140 184 95 188 120 169 11 215 2 50 234 227 173 130 255 159 111 180 255 127 119 33 25 100 110 30 72 12 172 227 215 43 86 134 175 175 79 48 124 127 119 149 225 227 181 185 19 225 70 125 121 189 151 225 199 251 135 12 44 76 246 12 31 238 205 7 187 6 32 128 112 186 10 23 96 65 23 184 116 225 194 255 45 219 182 49 232 233 233 212 222 186 121 167 89 83 75 227 163 167 167 151 0 138 99 97 24 100 227 178 101 203 254 195 248 85 85 85 220 223 190 125 251 143 172 6 197 73 47 15 133 255 103 231 213 98 96 98 101 102 248 243 235 22 195 175 111 55 24 254 255 97 100 224 150 142 100 224 83 45 96 196 112 210 255 191 2 12 95 94 237 103 248 251 231 9 131 130 207 93 134 23 7 19 25 152 89 165 24 126 191 123 3 55 21 197 6 70 70 198 6 32 197 7 196 28 64 204 12 196 191 129 248 59 16 127 6 170 107 2 169 1 8 32 146 67 137 137 129 68 128 161 97 223 190 125 169 239 94 191 253 247 226 233 179 63 103 207 158 229 66 151 71 113 210 134 13 27 4 180 53 52 223 95 187 121 109 13 80 202 64 91 67 75 69 69 93 141 17 69 7 114 24 175 94 179 250 205 138 149 43 190 193 248 55 175 223 248 191 106 213 42 78 100 53 40 78 186 123 231 182 240 189 187 119 57 97 124 89 121 25 134 123 247 46 243 99 117 18 48 72 101 94 28 118 125 204 193 111 192 192 202 41 203 240 239 207 43 134 239 31 207 50 252 250 242 144 65 218 249 42 35 182 180 20 196 194 170 1 212 40 204 240 251 219 3 134 95 223 175 48 252 254 254 130 129 137 69 22 95 40 241 49 252 250 124 155 65 64 191 143 225 231 215 103 12 140 76 178 12 172 172 218 184 83 235 207 207 55 25 254 252 190 9 53 73 142 129 133 89 3 232 52 38 220 26 64 110 102 100 250 199 240 104 187 7 3 51 179 58 195 191 95 127 25 126 125 189 198 128 203 211 229 64 74 16 136 185 129 152 21 102 41 40 29 1 113 7 80 221 23 144 0 64 0 214 170 166 37 129 48 8 207 126 234 74 29 76 44 163 162 18 235 224 177 236 7 116 233 32 30 58 248 43 162 16 130 232 95 4 29 130 174 65 30 100 89 58 100 16 123 8 130 186 72 22 84 96 236 37 60 180 154 137 72 154 238 247 54 187 39 137 180 93 232 133 97 15 179 204 243 204 251 60 51 175 111 47 249 61 180 215 31 121 158 119 220 206 114 28 71 80 20 101 166 211 105 205 246 192 238 79 115 139 226 229 129 166 105 246 218 106 202 48 13 163 39 73 210 23 73 18 74 93 174 89 247 229 114 191 88 44 134 70 22 24 180 225 207 16 4 225 228 174 84 178 243 249 83 155 63 227 55 6 115 5 190 112 252 252 248 100 75 149 23 29 237 204 14 171 49 178 3 69 233 103 63 187 174 86 189 236 102 86 28 204 181 91 237 221 196 242 18 204 199 23 233 106 181 202 12 171 241 171 200 232 16 7 120 203 231 126 16 176 214 155 87 145 183 229 171 245 67 58 24 3 58 128 193 70 112 132 56 176 9 3 44 179 13 166 254 14 134 90 7 83 107 162 241 113 195 89 44 140 205 101 156 23 130 240 236 34 103 78 41 42 236 174 75 83 83 64 87 107 16 73 29 185 57 249 122 5 44 203 192 246 66 64 146 179 64 208 81 20 115 198 175 77 199 145 101 7 108 165 138 172 155 96 98 236 239 229 224 252 66 4 75 103 16 124 26 187 154 196 201 156 64 218 28 88 125 197 31 128 218 169 96 225 15 140 22 216 184 232 9 130 129 120 34 9 185 92 18 116 227 6 24 54 138 2 6 17 76 197 144 145 204 43 138 185 227 29 64 233 62 224 221 170 200 48 128 15 215 4 178 141 65 102 225 22 191 97 4 155 114 175 205 217 137 150 214 64 77 26 174 54 158 93 244 159 231 91 0 226 171 166 167 137 32 12 79 119 203 46 93 250 37 20 202 65 130 65 52 161 137 68 111 198 64 210 4 66 60 17 140 137 183 254 2 19 77 212 112 211 120 227 100 8 28 136 36 254 5 175 54 42 90 14 74 212 131 196 136 196 131 22 177 128 161 182 182 221 133 126 205 206 172 207 76 241 2 137 118 155 16 55 153 238 110 103 246 125 103 222 143 231 121 223 99 87 160 144 99 190 142 93 65 211 104 186 190 190 174 165 211 105 185 222 239 247 215 227 241 184 221 212 135 127 3 59 49 86 86 86 124 169 84 234 213 230 215 111 148 2 85 205 98 201 249 244 113 173 182 180 244 236 222 191 190 61 82 79 29 190 4 20 247 70 163 249 254 190 254 246 244 70 154 188 121 247 150 24 62 31 25 29 25 69 78 156 38 203 203 47 103 39 38 46 223 106 57 138 146 201 39 197 51 3 131 161 247 31 86 9 119 156 138 225 51 238 114 206 206 231 242 249 107 99 241 49 205 178 74 36 155 203 133 199 199 199 75 174 157 12 6 211 186 35 221 29 154 166 17 69 85 173 225 115 195 225 201 201 201 7 83 83 87 18 186 166 119 38 159 38 109 74 41 177 44 107 190 165 40 42 20 10 222 161 161 152 87 211 117 148 14 246 112 44 22 171 255 153 75 36 18 229 80 56 68 203 149 50 96 131 78 180 164 192 52 77 79 155 214 70 58 35 93 226 57 123 56 54 128 203 142 205 56 148 211 96 75 97 202 152 25 96 140 225 137 19 48 214 17 156 199 127 134 224 165 76 230 187 225 218 201 96 52 1 238 87 93 228 147 104 171 22 32 139 55 171 224 198 78 234 210 156 87 143 18 201 106 237 61 64 209 16 144 85 69 231 181 79 88 45 43 9 200 174 98 212 139 36 112 114 132 132 206 46 244 65 214 86 83 62 40 126 190 61 167 168 160 73 181 27 67 16 10 138 55 238 0 247 139 82 40 173 111 67 240 15 180 19 166 92 111 101 86 101 181 218 188 15 156 0 168 16 132 34 41 211 0 214 51 244 40 37 224 127 94 242 49 163 32 34 123 79 186 90 241 224 100 216 140 187 40 226 29 80 0 98 1 31 115 70 65 46 191 200 245 251 203 164 243 194 67 114 115 102 19 239 38 76 229 129 41 131 56 97 20 163 215 173 2 29 63 58 226 176 14 123 231 9 173 110 17 175 127 80 78 181 5 209 148 114 5 202 195 216 132 16 14 255 120 194 238 20 56 12 246 182 107 176 115 78 10 167 149 12 153 157 62 37 231 102 167 7 100 81 45 77 40 6 9 1 212 20 119 10 88 205 196 230 127 66 48 156 9 5 118 53 75 94 63 127 36 231 102 230 95 72 231 55 132 7 165 169 56 221 115 151 104 180 42 4 111 163 246 129 51 185 136 20 70 202 93 119 200 226 162 33 142 7 193 107 130 21 26 39 101 166 44 192 220 41 216 223 64 40 238 64 0 132 123 56 114 32 64 46 158 120 76 212 158 40 186 91 212 66 168 153 136 205 145 237 22 118 143 200 170 239 186 84 80 65 177 101 23 26 54 84 17 178 158 72 195 153 74 68 230 4 231 20 1 96 33 92 27 194 109 234 226 4 200 98 63 110 162 205 214 100 40 145 93 220 191 168 7 107 5 38 57 7 208 192 14 218 111 129 178 162 172 243 253 151 178 229 183 0 237 90 93 104 28 85 20 62 119 118 103 119 103 127 154 108 254 118 179 105 74 170 20 204 67 212 16 106 251 80 16 65 2 190 68 95 130 79 197 87 209 34 40 130 104 66 240 197 63 136 15 181 62 168 15 125 201 131 105 41 70 197 104 137 47 1 99 193 86 77 243 215 96 164 166 26 163 38 54 217 252 236 236 236 236 204 189 215 115 238 204 134 53 136 36 144 81 41 206 230 48 201 204 222 123 191 115 238 185 231 158 239 220 4 62 64 208 215 255 10 220 49 10 140 143 143 135 145 76 71 117 93 127 24 67 223 163 184 90 78 226 242 60 194 48 164 11 33 109 28 234 43 33 196 101 219 182 47 100 48 147 235 234 234 114 254 19 10 140 141 141 37 52 13 94 78 165 106 158 234 236 236 140 89 5 83 163 62 203 101 135 242 37 149 155 134 67 97 240 146 55 164 140 201 4 204 206 204 90 107 235 107 239 225 187 190 238 238 110 243 95 81 128 44 110 89 214 147 169 84 242 141 227 199 31 136 255 254 219 42 102 144 91 48 59 63 7 243 55 230 33 145 72 240 154 116 45 151 92 176 237 66 65 219 200 231 181 186 250 122 118 242 196 9 200 53 231 32 211 156 133 107 215 174 22 183 183 11 47 24 134 241 206 158 153 192 65 40 64 69 157 136 17 121 60 21 79 158 111 168 107 136 98 236 133 205 173 77 184 62 117 29 154 115 185 109 180 248 115 134 177 245 126 36 210 106 47 44 44 176 83 167 210 44 159 207 69 87 86 87 250 76 211 124 166 181 229 176 145 78 83 58 193 224 246 250 154 93 176 10 167 237 162 253 65 111 111 47 15 140 59 237 186 34 188 204 95 60 118 239 177 200 242 242 50 180 228 90 96 106 118 186 220 216 216 212 223 126 79 251 217 234 20 28 45 91 249 149 158 189 52 124 105 248 243 31 151 126 250 36 155 201 198 242 27 121 56 122 164 45 242 237 244 228 0 17 29 191 166 27 60 187 68 206 192 92 215 185 43 147 205 178 146 93 130 134 198 6 208 195 97 119 117 117 245 221 106 240 127 149 105 133 100 232 235 104 68 23 72 32 129 218 102 115 205 140 187 238 81 234 243 31 163 199 182 93 140 184 174 27 247 200 41 64 40 28 198 196 130 199 163 209 40 223 131 242 46 70 165 120 99 166 73 237 236 161 112 136 78 90 18 212 39 35 95 12 82 1 230 93 181 35 35 23 155 174 92 249 114 29 67 162 53 57 57 105 225 205 154 152 152 88 27 28 28 60 68 239 255 78 232 59 244 221 114 185 228 183 181 45 234 139 250 164 146 243 126 149 216 243 34 198 126 169 154 126 250 214 84 255 185 186 68 17 19 210 4 138 225 223 73 98 72 14 48 31 98 120 103 17 252 59 236 29 87 168 244 9 73 133 116 84 209 73 72 116 115 110 98 198 102 226 227 2 38 180 150 162 74 200 189 33 111 214 64 219 125 175 82 41 107 8 113 109 30 180 2 103 110 77 14 156 77 39 75 154 185 252 13 78 125 18 243 212 42 9 197 149 2 154 134 201 31 130 247 204 232 32 224 50 2 44 42 176 28 153 144 192 28 86 226 157 147 18 46 61 167 247 92 185 83 234 240 67 144 183 50 178 237 254 62 58 240 122 251 160 163 144 150 54 28 173 248 243 28 130 39 62 72 160 137 93 197 113 195 69 171 83 246 42 195 8 70 42 192 224 3 39 75 11 129 150 38 192 188 114 183 241 29 189 199 172 22 249 10 99 134 106 111 254 50 15 117 45 89 182 31 215 222 95 24 149 73 85 118 37 224 12 129 51 22 83 167 17 82 34 99 230 174 114 17 144 37 184 58 189 8 231 47 78 194 167 227 139 240 200 131 89 120 226 177 44 116 182 235 62 104 199 91 249 232 94 84 97 5 114 61 48 84 127 234 116 67 214 6 184 15 8 178 54 21 74 163 56 168 174 232 165 32 223 230 232 10 8 28 208 143 5 90 189 247 204 103 184 177 121 172 252 194 232 18 92 254 98 3 110 124 216 6 158 179 234 216 7 206 22 89 157 197 61 67 16 112 230 27 68 196 130 139 66 130 171 83 21 143 73 34 173 229 238 166 34 124 170 70 129 36 209 177 136 129 46 193 232 199 67 208 211 211 163 218 116 116 116 192 232 71 67 216 6 93 69 146 1 14 169 195 48 162 189 154 214 228 75 189 87 33 80 85 4 39 184 25 144 142 45 17 56 83 135 87 104 113 65 17 4 138 202 175 165 44 170 72 2 152 120 182 194 243 48 55 235 21 223 103 102 102 192 90 232 7 184 27 249 34 75 120 162 85 92 208 240 102 18 215 129 164 15 186 24 47 173 203 192 20 112 74 183 85 93 101 7 176 31 254 60 65 255 6 87 229 55 111 94 106 128 155 63 124 191 211 238 217 183 202 48 118 174 73 1 215 42 107 71 234 202 1 168 98 37 113 81 11 97 123 209 10 13 18 152 2 110 241 22 184 214 10 250 189 233 71 154 18 14 88 166 255 54 160 56 139 63 232 98 90 20 94 25 120 26 94 127 45 135 170 96 56 101 56 4 211 97 251 230 8 2 229 94 164 82 149 18 15 184 196 25 19 28 13 128 235 136 162 148 230 178 224 20 112 172 69 85 143 163 5 203 148 197 5 130 68 48 154 174 172 234 45 202 4 108 126 55 172 194 44 35 161 205 78 189 11 171 225 164 218 212 80 113 178 56 129 22 197 63 133 88 238 184 1 42 96 255 138 134 43 75 2 78 231 133 76 109 90 113 8 81 8 84 123 66 74 129 214 42 174 130 179 1 204 171 102 80 204 87 174 198 75 234 46 200 13 119 118 100 211 83 68 148 212 254 113 224 169 132 95 107 137 249 226 215 91 148 232 85 18 218 37 172 234 12 80 250 194 119 137 83 37 182 47 149 58 77 169 114 188 125 71 147 250 63 0 186 25 172 40 123 125 172 200 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 12/27/2011 10:26'!
lockclosedgrayPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 48 0 0 0 48 8 0 0 0 0 114 105 166 91 0 0 0 2 116 82 78 83 0 255 91 145 34 181 0 0 0 9 112 72 89 115 0 0 14 195 0 0 14 195 1 199 111 168 100 0 0 2 211 73 68 65 84 72 137 237 210 201 110 211 80 20 6 224 250 1 80 31 130 37 136 23 1 9 33 177 167 75 84 117 205 142 5 27 170 74 80 64 66 136 70 234 166 42 105 99 55 131 51 52 141 103 251 122 140 99 39 78 98 59 78 210 210 137 52 81 39 137 162 86 13 72 225 166 5 133 46 110 82 16 236 56 171 252 210 255 229 248 94 123 172 247 155 51 246 31 252 49 224 120 65 228 249 107 3 161 184 121 240 245 219 231 150 11 174 5 24 163 123 124 212 222 221 105 29 28 119 45 122 52 160 204 110 231 163 190 244 102 54 148 243 219 93 139 26 9 228 243 109 151 120 246 98 62 52 251 244 181 182 117 46 143 2 89 167 30 224 207 35 100 175 151 32 231 95 110 212 157 236 8 192 57 101 240 54 118 249 59 190 200 151 28 110 56 136 153 133 205 112 244 103 34 222 85 11 65 124 56 216 214 182 63 12 226 130 175 174 199 134 130 232 23 176 135 15 98 56 144 246 137 161 0 239 10 167 145 65 92 222 225 79 241 161 32 220 229 187 225 95 226 249 149 248 55 192 204 217 210 217 244 32 78 195 56 51 20 76 157 204 158 76 14 226 36 140 83 67 193 232 185 2 172 90 99 125 115 231 83 187 179 127 120 120 116 184 223 217 219 221 218 104 6 190 133 4 30 43 42 134 93 246 106 141 102 179 89 247 202 118 94 17 121 58 231 161 64 161 198 3 189 80 170 250 65 163 81 15 188 138 157 87 37 142 161 40 207 70 0 151 149 212 188 93 118 253 32 168 249 85 167 223 231 25 26 78 13 1 60 94 134 11 42 174 95 243 221 74 201 202 171 128 103 25 154 97 185 0 5 250 11 32 112 171 21 199 54 117 69 130 125 88 231 197 58 2 248 178 110 22 157 114 185 236 44 220 187 113 119 78 224 152 126 95 144 0 10 120 170 81 40 150 74 69 187 240 16 195 176 7 151 143 35 72 178 138 220 160 229 45 219 182 204 188 54 14 193 56 60 45 203 139 64 81 117 228 6 61 111 154 121 67 83 164 9 8 38 40 154 225 4 160 104 186 129 58 180 171 27 134 161 201 64 224 196 251 216 29 129 162 127 244 13 31 1 42 154 170 40 176 78 231 170 79 176 91 85 138 225 37 248 60 134 161 87 17 192 145 101 137 135 245 108 38 115 19 195 222 211 156 40 95 244 213 34 2 88 240 226 251 245 84 242 21 60 195 99 86 4 170 14 71 5 38 2 232 240 223 87 211 73 50 65 62 130 224 182 32 193 3 232 240 253 9 10 2 200 253 122 34 30 143 39 22 67 161 208 28 45 171 26 60 21 252 158 68 4 224 50 201 68 44 186 18 141 145 235 173 86 187 163 41 170 170 2 137 163 179 20 2 172 145 241 21 130 32 162 137 84 38 7 111 72 86 46 239 44 155 206 32 64 42 74 224 56 190 18 35 211 107 52 124 197 178 12 36 129 165 86 83 241 4 2 196 240 200 114 164 191 32 75 177 240 19 146 129 200 51 185 213 36 92 139 0 68 36 2 251 100 250 162 15 0 16 57 38 151 129 125 60 130 0 61 12 49 61 20 184 206 252 123 240 29 138 56 34 236 25 126 49 51 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 7/24/2011 13:27'!
lockopenPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 48 0 0 0 48 8 6 0 0 1 32 5 201 17 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 10 225 105 84 88 116 88 77 76 58 99 111 109 46 97 100 111 98 101 46 120 109 112 0 0 0 0 0 60 63 120 112 97 99 107 101 116 32 98 101 103 105 110 61 34 239 187 191 34 32 105 100 61 34 87 53 77 48 77 112 67 101 104 105 72 122 114 101 83 122 78 84 99 122 107 99 57 100 34 63 62 10 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 34 97 100 111 98 101 58 110 115 58 109 101 116 97 47 34 32 120 58 120 109 112 116 107 61 34 65 100 111 98 101 32 88 77 80 32 67 111 114 101 32 52 46 49 45 99 48 51 54 32 52 54 46 50 55 54 55 50 48 44 32 77 111 110 32 70 101 98 32 49 57 32 50 48 48 55 32 50 50 58 49 51 58 52 51 32 32 32 32 32 32 32 32 34 62 10 32 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 34 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 34 62 10 32 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 34 34 10 32 32 32 32 120 109 108 110 115 58 100 99 61 34 104 116 116 112 58 47 47 112 117 114 108 46 111 114 103 47 100 99 47 101 108 101 109 101 110 116 115 47 49 46 49 47 34 10 32 32 32 32 120 109 108 110 115 58 120 97 112 82 105 103 104 116 115 61 34 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 114 105 103 104 116 115 47 34 10 32 32 32 120 97 112 82 105 103 104 116 115 58 77 97 114 107 101 100 61 34 194 169 32 32 32 32 32 32 32 32 32 32 32 38 35 120 65 59 32 50 48 48 57 32 98 121 32 79 108 105 118 101 114 32 84 119 97 114 100 111 119 115 107 105 34 10 32 32 32 120 97 112 82 105 103 104 116 115 58 87 101 98 83 116 97 116 101 109 101 110 116 61 34 104 116 116 112 58 47 47 98 108 111 103 46 97 100 100 105 99 116 101 100 116 111 99 111 102 102 101 101 46 100 101 34 62 10 32 32 32 60 100 99 58 114 105 103 104 116 115 62 10 32 32 32 32 60 114 100 102 58 65 108 116 62 10 32 32 32 32 32 60 114 100 102 58 108 105 32 120 109 108 58 108 97 110 103 61 34 120 45 100 101 102 97 117 108 116 34 62 194 169 32 32 32 32 32 32 32 32 32 32 32 38 35 120 65 59 32 50 48 48 57 32 98 121 32 79 108 105 118 101 114 32 84 119 97 114 100 111 119 115 107 105 60 47 114 100 102 58 108 105 62 10 32 32 32 32 60 47 114 100 102 58 65 108 116 62 10 32 32 32 60 47 100 99 58 114 105 103 104 116 115 62 10 32 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 32 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 60 63 120 112 97 99 107 101 116 32 101 110 100 61 34 119 34 63 62 73 170 52 224 0 0 12 47 73 68 65 84 120 218 98 252 255 255 63 3 54 192 130 46 112 248 240 161 143 188 220 60 172 76 232 18 47 94 188 212 53 48 50 226 102 0 25 5 194 111 78 197 254 255 122 167 239 255 243 67 166 255 65 124 184 142 255 255 196 25 184 85 138 24 152 24 181 193 124 184 196 199 199 75 24 158 237 137 103 248 243 29 226 24 128 0 98 196 229 42 12 203 255 252 249 243 31 67 226 205 171 55 255 88 88 88 24 143 28 62 244 31 236 143 79 183 11 255 51 1 45 103 254 113 135 129 81 124 110 30 208 120 70 176 142 95 175 88 25 190 190 62 193 240 253 221 85 134 143 215 230 78 132 27 245 229 245 94 134 31 239 31 50 176 48 217 51 124 184 55 31 108 7 64 0 225 116 21 46 192 130 79 114 251 246 109 31 174 95 187 193 175 166 174 82 123 233 210 149 102 31 47 47 6 120 16 98 195 223 190 125 251 95 85 85 197 13 227 239 219 183 239 63 138 147 94 30 10 255 207 206 171 197 192 196 202 204 240 231 215 45 134 95 223 110 48 252 255 195 200 192 45 29 201 192 167 90 192 136 225 164 255 127 5 24 190 188 218 207 240 247 207 19 6 5 159 187 12 47 14 38 50 48 179 74 49 252 126 247 6 110 42 138 13 140 140 140 13 64 138 15 136 57 128 152 25 136 127 3 241 119 32 254 12 84 215 4 82 3 16 64 36 135 18 19 3 137 0 175 134 179 103 207 114 189 120 250 236 207 187 215 111 255 1 67 40 149 160 147 238 220 188 245 255 234 141 107 119 128 193 113 65 75 93 43 228 234 141 235 130 56 53 172 94 189 154 83 95 87 239 155 154 134 58 56 56 87 174 90 249 141 153 153 249 27 78 39 221 187 119 153 95 86 94 6 145 94 127 255 230 252 245 243 167 48 220 6 96 144 202 188 56 236 250 152 131 223 128 129 149 83 150 225 223 159 87 12 223 63 158 101 248 245 229 33 131 180 243 85 70 108 105 41 136 133 85 3 168 81 152 225 247 183 7 12 191 190 95 97 248 253 253 5 3 19 139 44 190 80 226 99 248 245 249 54 131 128 126 31 195 207 175 207 24 24 153 100 25 88 89 181 113 167 214 159 159 111 2 221 122 19 106 146 28 3 11 179 6 208 105 76 184 53 128 220 204 200 244 143 225 209 118 15 6 102 102 117 134 127 191 254 50 252 250 122 13 69 3 178 167 203 129 148 32 16 115 3 49 43 204 82 80 58 2 226 14 160 186 47 32 1 128 0 180 85 61 75 3 65 16 157 75 46 103 20 45 84 212 4 21 53 248 1 130 34 26 123 109 172 82 88 36 254 6 17 52 32 136 109 126 129 96 97 97 107 107 4 193 24 52 133 40 104 25 173 84 76 35 135 152 139 26 66 48 31 119 183 119 123 241 229 64 176 80 240 34 46 12 91 12 204 155 55 251 230 173 99 45 57 61 226 95 11 128 137 144 76 38 37 206 185 91 85 109 251 98 145 72 132 55 44 238 207 147 72 36 90 174 211 105 53 151 85 44 151 75 208 50 153 76 133 155 102 117 118 38 104 50 198 106 169 212 201 86 195 35 130 140 165 169 137 201 10 51 12 241 246 225 110 119 41 188 180 252 153 139 31 198 23 88 85 63 29 27 25 37 249 233 105 175 33 6 178 44 123 6 2 67 226 240 232 8 21 11 197 245 175 185 240 98 56 133 171 250 94 46 147 166 169 225 111 25 96 172 117 224 21 135 35 60 64 173 103 155 69 124 63 166 40 202 156 223 239 63 255 9 96 45 123 54 191 45 122 125 36 54 33 164 78 172 80 51 213 4 147 44 94 36 110 188 144 169 231 136 179 60 132 15 135 179 36 106 237 15 193 72 99 194 175 85 84 223 83 183 187 221 182 75 206 52 50 116 133 58 131 59 118 46 123 49 77 150 101 130 94 11 185 92 125 36 136 93 176 160 94 167 50 109 67 151 37 170 105 50 186 206 19 71 108 110 68 233 232 56 69 150 225 1 184 31 172 186 177 153 29 36 80 51 89 170 230 12 64 47 221 163 240 27 162 64 53 24 189 32 120 40 48 60 78 209 232 56 25 230 37 121 164 46 72 208 11 48 29 145 69 51 143 152 245 234 239 1 180 242 13 102 171 163 195 38 124 92 29 232 214 71 161 193 43 220 237 0 235 177 199 86 247 68 139 189 226 77 94 237 183 249 118 17 255 219 42 62 4 32 190 122 126 154 8 162 240 219 221 218 74 97 187 133 46 96 136 38 218 24 19 154 168 193 131 18 227 129 120 48 193 112 192 120 230 200 201 131 49 26 142 134 132 3 71 2 38 68 130 127 129 137 103 162 150 180 9 200 85 19 177 154 8 40 22 212 34 216 178 45 253 53 187 83 191 153 133 3 137 34 91 67 108 50 221 221 153 205 123 51 239 189 253 190 239 29 185 3 149 142 248 119 228 14 254 25 77 147 201 164 175 80 40 248 197 125 52 26 181 99 177 88 117 223 11 7 233 163 191 141 120 252 197 195 119 111 23 43 86 110 187 198 128 160 171 203 159 89 34 145 152 95 88 88 104 216 123 167 238 36 11 56 238 233 185 126 111 101 105 153 230 230 231 168 88 42 81 247 229 43 20 61 19 5 138 174 150 191 103 50 145 190 190 190 98 93 14 226 241 184 209 102 154 57 93 55 104 54 57 91 53 35 145 167 170 170 189 41 150 138 35 170 162 52 92 186 216 69 31 87 150 182 123 123 111 134 235 202 65 62 159 159 104 54 12 154 121 62 99 235 186 222 210 223 127 107 71 204 167 82 169 71 169 247 169 77 191 223 175 183 154 173 141 130 55 234 170 34 102 179 27 216 45 25 97 131 13 12 12 20 247 230 69 130 109 102 95 240 7 2 212 217 25 243 101 179 89 95 93 39 128 174 10 217 14 7 200 145 136 239 190 24 91 150 181 209 98 70 246 238 149 186 28 164 211 95 130 130 147 192 108 193 223 161 131 235 83 161 142 142 102 253 79 132 35 192 253 182 7 159 28 99 18 182 56 104 114 120 122 122 186 71 76 14 14 14 30 192 104 137 171 227 190 64 59 73 86 59 222 6 20 53 128 172 26 58 175 29 114 42 27 146 128 236 50 70 53 71 250 201 107 100 156 155 60 5 91 107 135 130 138 220 135 251 227 170 6 154 212 90 49 4 161 64 188 241 26 112 63 39 141 178 234 58 12 127 67 59 97 185 85 149 126 45 213 234 225 161 162 166 131 10 65 40 146 50 131 192 122 7 61 202 54 240 127 75 242 177 195 64 68 54 148 97 77 65 15 137 147 105 17 143 96 199 27 225 0 196 2 62 230 14 3 185 252 164 59 195 73 106 233 122 76 119 71 87 241 108 33 84 10 66 25 194 9 219 49 78 120 117 16 192 95 0 109 87 21 241 222 34 86 94 35 95 211 89 185 116 44 116 30 235 42 156 135 177 9 97 28 249 81 194 222 28 212 28 196 219 174 32 206 155 210 56 43 165 105 108 232 180 92 27 27 138 74 81 45 67 40 6 25 0 53 213 155 3 167 98 97 243 63 96 24 201 132 3 187 188 65 175 94 62 145 107 163 19 179 50 249 174 241 144 12 21 103 5 111 124 192 202 194 240 58 180 15 146 201 69 165 56 84 140 60 160 169 169 160 56 30 12 47 98 174 201 61 169 99 73 1 230 205 193 206 39 148 226 87 24 128 113 133 227 27 208 169 187 249 25 105 109 237 232 110 161 133 160 153 200 230 208 74 121 236 30 149 85 205 120 116 80 130 216 178 179 110 12 53 148 172 98 186 201 84 77 249 77 112 206 80 0 121 148 171 107 220 102 30 78 128 175 184 9 23 209 102 251 101 41 81 6 215 37 109 247 93 101 23 220 184 140 155 219 126 11 138 20 178 174 225 191 200 150 95 2 180 107 117 161 113 84 81 248 220 153 157 221 236 238 108 146 77 210 100 173 10 169 218 74 52 161 245 161 250 34 54 190 20 125 176 104 65 196 7 17 124 16 193 130 8 130 136 37 244 193 248 3 85 176 21 81 16 31 204 139 45 66 172 80 149 32 40 24 75 219 36 132 26 171 168 212 196 166 217 180 33 63 141 201 206 255 204 245 59 119 102 219 52 20 52 216 141 63 56 155 195 221 236 236 189 243 157 115 207 61 247 59 231 110 205 31 240 175 167 69 255 43 80 107 222 248 87 174 145 145 17 227 2 216 89 38 147 121 68 211 180 251 176 190 238 66 194 157 97 70 136 221 237 44 156 251 56 86 229 17 223 247 191 0 15 114 187 187 187 131 127 196 26 24 24 24 200 35 90 244 54 55 53 63 217 217 213 153 181 150 43 8 152 17 121 158 71 65 24 112 36 33 35 101 80 58 109 168 247 89 51 31 141 142 142 58 75 75 139 111 71 17 237 219 185 115 103 229 111 81 128 89 190 109 219 79 21 10 230 107 219 183 223 153 187 48 125 158 202 211 101 58 126 226 4 205 207 205 201 198 98 49 42 152 102 36 116 77 46 46 92 212 43 149 138 222 113 91 7 117 118 220 78 133 66 61 109 40 181 210 208 208 73 107 105 105 249 249 108 54 251 14 207 200 186 41 0 10 172 103 114 153 221 102 214 236 107 105 106 206 176 151 128 181 210 228 212 57 59 159 207 31 104 107 109 235 45 22 203 238 224 224 130 220 178 101 139 244 188 201 140 109 215 63 138 25 121 99 186 92 46 108 219 186 141 26 234 27 226 66 249 252 172 187 100 45 63 225 217 222 161 245 92 3 105 223 245 123 54 221 218 158 62 63 115 158 138 141 69 100 40 103 29 40 245 192 238 135 118 127 153 108 46 160 230 151 201 53 228 61 228 2 31 128 170 63 51 113 246 215 151 118 220 125 79 122 170 60 69 155 111 217 156 30 26 30 126 1 247 251 215 45 10 193 218 34 12 130 77 165 141 215 9 199 117 200 52 77 202 164 141 72 151 250 112 21 252 213 46 206 53 102 102 102 222 53 82 169 160 101 67 11 113 223 182 82 73 4 129 127 19 143 185 46 10 112 189 208 117 173 116 16 4 121 61 165 171 29 125 67 91 43 56 131 204 1 68 240 71 253 17 165 66 92 57 29 105 82 213 227 49 86 142 199 212 214 10 4 87 3 164 113 45 130 174 13 253 253 135 91 143 29 251 102 222 117 93 27 17 197 246 60 199 30 28 28 156 219 191 127 127 253 138 239 242 216 226 106 28 22 215 172 109 89 204 93 172 164 157 107 105 49 51 127 122 17 243 224 104 30 155 56 181 247 96 83 222 2 33 205 67 178 73 203 82 135 228 0 124 72 160 21 105 252 159 138 143 43 20 125 66 82 33 125 85 116 138 164 13 26 133 176 137 244 72 134 203 32 180 182 74 149 36 62 95 168 52 80 251 214 151 185 148 213 7 92 139 87 20 173 144 143 173 198 84 87 151 221 183 22 5 246 76 140 246 188 89 52 29 173 50 53 66 122 202 4 79 93 33 122 78 41 160 105 32 127 0 31 155 209 7 96 15 0 45 5 54 68 38 20 129 195 74 180 33 43 17 240 231 124 63 84 110 85 184 225 94 90 176 219 100 251 182 23 249 192 235 173 107 189 19 107 197 172 175 89 231 78 3 60 231 131 12 154 179 171 28 248 48 172 206 236 85 194 71 145 31 50 96 74 128 179 165 163 8 150 102 192 97 181 117 113 143 239 99 237 34 95 17 34 171 250 87 202 63 80 211 245 37 177 22 138 179 182 48 42 77 85 118 101 224 2 192 133 168 83 167 17 82 34 99 198 14 202 46 66 210 161 147 223 142 211 251 135 71 233 211 175 198 233 254 29 37 122 252 193 18 221 209 97 36 160 125 138 87 162 174 42 172 196 174 71 89 53 158 58 221 144 141 53 228 66 17 91 155 11 165 25 60 212 80 233 101 196 190 29 194 21 0 156 224 199 17 172 254 240 158 207 104 241 183 56 43 63 116 116 146 62 255 250 34 125 255 113 123 82 38 49 48 6 102 139 173 46 114 177 33 24 184 72 12 18 213 213 142 141 70 161 174 18 29 149 73 34 173 13 131 69 149 240 169 26 5 146 68 223 230 12 116 146 142 126 210 71 187 118 237 82 125 186 186 186 232 232 145 62 244 129 171 72 54 64 189 58 12 227 180 87 211 90 19 105 142 43 4 170 138 224 215 110 6 164 239 74 0 23 234 240 10 22 143 56 130 144 165 252 90 74 75 69 18 146 46 221 72 207 209 233 239 226 226 251 216 216 24 217 63 237 37 186 25 249 162 200 199 162 85 93 48 27 207 36 214 1 83 11 118 177 208 153 151 53 83 192 119 102 85 93 229 18 224 36 252 197 2 255 198 238 47 240 122 253 163 22 58 243 203 207 151 250 61 123 192 163 129 131 173 10 184 86 93 59 210 80 14 32 101 132 241 16 94 35 55 142 86 100 213 110 6 2 107 130 2 251 2 252 190 146 68 26 7 15 244 248 215 6 28 103 241 7 23 211 50 212 219 243 52 189 250 202 70 168 130 112 202 53 64 97 208 210 153 126 0 13 227 72 165 42 37 49 112 137 25 139 66 24 0 235 136 163 148 22 136 218 41 224 219 227 170 30 199 11 86 40 139 115 25 19 96 52 67 89 53 94 148 121 90 252 241 67 21 102 5 11 111 118 234 94 74 61 78 170 77 13 138 179 197 25 116 100 93 17 98 67 63 168 161 2 238 52 12 231 73 6 206 191 246 16 106 211 202 145 206 33 80 237 9 5 5 90 171 186 10 102 131 68 92 205 224 152 175 92 45 116 84 27 177 27 94 218 145 43 177 34 145 163 246 143 107 94 149 72 106 45 117 137 36 245 22 37 198 10 209 87 137 72 132 232 114 177 57 92 37 254 10 113 19 169 214 105 156 234 241 246 127 186 172 242 59 76 135 116 237 251 100 61 89 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 3/30/2012 13:48'!
logoPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 36 0 0 0 36 8 6 0 0 0 225 0 152 152 0 0 0 9 112 72 89 115 0 0 14 195 0 0 14 195 1 199 111 168 100 0 0 9 64 73 68 65 84 88 133 157 152 11 92 205 105 26 199 255 145 88 76 134 165 48 99 71 116 209 57 157 83 167 156 114 74 185 37 229 54 110 21 50 35 180 136 137 24 115 249 104 102 151 153 93 246 51 236 184 12 209 184 148 98 103 89 98 205 140 92 150 113 255 48 218 181 36 35 194 200 101 66 110 209 77 234 183 207 243 234 61 254 117 46 107 188 159 207 195 233 252 223 255 255 253 254 159 223 243 62 207 243 30 69 177 49 0 52 34 139 37 43 174 173 173 133 180 103 207 158 225 198 141 27 216 189 59 7 139 22 125 129 184 184 177 24 58 100 8 134 12 30 132 81 35 71 34 101 238 92 100 103 111 195 249 243 231 81 85 85 5 245 189 53 53 53 229 100 139 232 153 205 109 173 107 117 60 124 248 176 53 45 188 155 110 174 149 15 163 239 176 118 237 26 68 14 24 0 173 198 31 222 221 6 194 211 243 47 232 208 97 35 218 187 110 135 171 203 14 250 188 25 157 58 45 131 70 51 22 26 239 64 244 8 234 129 249 243 231 161 168 168 136 97 212 47 85 68 80 1 47 5 67 19 245 116 243 77 121 115 89 89 25 86 172 248 10 65 129 70 2 9 64 135 246 63 160 105 211 135 112 112 168 5 207 182 110 181 112 116 172 64 171 86 249 4 30 11 95 189 14 211 18 19 113 253 250 117 181 183 42 105 173 4 50 7 155 48 229 229 229 38 162 47 149 55 157 57 115 6 253 250 245 197 136 225 195 224 235 171 71 199 142 155 237 64 88 183 215 95 191 72 47 162 71 55 175 15 224 111 240 199 55 223 252 77 200 94 7 85 243 244 233 211 143 172 66 61 120 240 192 64 215 31 213 77 196 230 205 127 71 160 177 59 178 178 50 113 236 216 49 122 104 111 52 110 92 245 171 129 26 55 174 164 123 131 209 174 237 41 180 105 157 75 82 134 97 214 172 100 84 84 84 152 161 42 43 43 103 214 131 57 124 248 112 187 234 234 234 91 18 38 53 117 37 233 31 136 188 188 179 226 166 105 137 83 241 230 27 171 126 53 140 52 239 110 211 224 214 121 169 248 236 228 244 144 254 30 137 248 248 241 32 16 9 245 244 222 189 123 81 2 38 50 50 178 41 237 134 189 18 102 203 150 45 2 230 242 229 203 224 65 160 232 221 43 12 191 109 83 248 202 64 46 237 118 145 103 162 204 113 231 232 88 70 18 142 18 113 69 146 201 64 47 201 201 201 233 160 220 190 125 123 188 220 77 121 121 121 66 166 179 20 59 114 148 150 62 66 128 191 17 77 154 84 188 50 144 179 243 207 98 103 58 57 149 153 191 115 114 122 66 144 225 72 93 185 194 28 232 36 227 14 133 200 110 243 31 20 208 136 232 31 142 140 140 116 168 7 197 22 5 180 145 222 234 217 43 3 137 56 210 26 208 188 249 149 122 223 183 114 46 132 94 231 47 114 86 157 66 213 138 164 75 91 189 154 118 211 112 33 145 122 60 122 244 8 6 63 246 80 229 43 3 177 249 104 35 208 166 205 113 139 239 221 220 86 138 93 92 93 253 92 58 1 84 90 90 10 83 143 32 252 247 244 105 52 28 172 113 104 207 16 202 41 55 94 17 166 86 196 140 206 39 129 18 105 134 197 117 71 199 74 130 53 225 228 201 147 47 128 50 51 51 17 19 61 74 4 117 195 193 215 223 25 23 71 57 40 243 165 33 26 53 170 70 139 22 55 208 190 253 62 120 122 76 160 196 104 162 196 26 72 59 45 217 234 252 78 157 86 137 53 120 125 133 255 25 58 100 48 246 237 221 107 1 35 199 190 125 123 69 0 118 236 248 35 92 92 174 161 101 203 98 252 166 217 109 10 214 95 224 234 122 149 74 198 17 42 31 27 209 233 205 69 228 137 137 226 141 253 13 1 24 71 117 46 35 61 29 119 238 220 193 226 197 139 9 110 178 240 88 67 32 39 167 251 4 29 0 218 250 224 93 70 187 200 128 251 247 239 219 4 226 34 57 33 62 30 161 33 33 180 144 65 72 24 18 108 18 255 247 237 211 27 131 6 70 97 116 108 44 62 73 73 193 247 223 127 135 252 252 124 81 114 212 133 117 213 170 84 184 119 141 179 10 228 224 80 67 105 96 24 37 99 170 4 251 247 255 11 17 17 225 86 229 106 40 221 161 67 7 49 48 42 82 44 198 153 150 19 27 199 24 151 2 117 241 180 102 27 54 100 160 107 151 81 86 129 216 186 116 89 135 57 239 207 134 194 228 243 231 205 179 11 195 139 238 220 185 19 35 222 30 10 189 143 22 103 207 158 85 231 14 28 167 210 242 87 146 100 215 174 93 118 128 54 16 80 180 77 160 214 173 143 163 95 223 62 80 166 76 153 140 245 235 215 217 132 97 73 71 142 24 142 120 189 30 199 189 180 152 233 235 135 119 223 25 39 188 242 248 241 99 225 177 238 1 254 248 106 249 114 92 185 114 197 38 80 90 218 106 184 187 91 151 140 237 181 215 46 137 142 66 225 28 176 117 235 63 172 194 20 23 255 130 190 97 161 216 64 213 186 176 179 39 18 9 102 236 216 49 34 126 78 156 56 33 100 250 58 45 13 231 206 229 217 149 139 109 233 210 37 20 212 9 54 129 156 157 75 68 124 42 195 135 13 67 246 182 109 22 48 28 31 188 251 54 18 204 207 111 121 96 146 159 1 203 151 45 19 137 115 27 205 239 67 193 252 228 201 147 255 27 59 210 62 255 252 51 116 113 75 178 83 94 238 61 7 98 247 111 220 152 101 1 196 109 199 116 189 47 174 255 206 29 155 180 122 188 55 125 154 185 143 225 152 226 118 149 23 121 89 160 153 51 146 224 225 145 106 7 168 136 164 15 128 178 112 225 2 17 144 234 193 139 68 134 247 195 127 220 53 184 70 222 137 162 248 225 54 148 31 204 41 224 52 101 244 11 23 46 136 216 225 0 231 249 5 5 5 40 44 44 180 9 20 57 32 130 114 216 97 59 64 185 8 11 13 133 242 237 183 59 69 208 242 77 114 220 188 121 19 3 124 124 4 204 79 110 158 24 72 112 188 40 123 102 252 248 119 49 101 242 100 60 166 114 179 102 205 26 12 136 232 143 132 73 19 225 71 29 101 127 154 199 221 129 108 190 164 177 252 6 63 63 180 108 113 201 38 208 27 29 179 69 174 83 46 93 122 30 221 229 229 101 102 160 127 238 216 129 25 148 105 89 174 60 119 111 140 137 142 22 15 46 185 123 87 44 46 147 30 123 139 83 254 31 62 253 84 188 68 226 212 41 244 150 61 69 15 174 6 186 122 245 42 181 31 6 52 107 86 106 179 222 121 121 197 139 13 162 200 226 201 174 151 131 51 230 98 83 136 0 186 208 249 133 135 100 19 167 94 76 54 88 178 72 135 211 220 79 82 230 214 155 179 59 39 135 186 196 190 34 35 91 3 226 226 235 163 237 33 36 23 197 117 225 130 5 72 122 111 186 89 182 237 219 183 99 166 255 115 15 201 24 82 159 24 26 90 113 113 49 110 210 89 141 63 207 155 247 71 232 180 26 236 217 179 199 124 125 6 5 180 123 215 63 219 148 139 139 112 84 100 164 216 52 2 136 221 205 157 226 93 146 132 7 31 4 35 235 98 136 161 50 53 58 241 80 185 203 212 150 159 127 14 131 7 13 194 182 173 91 133 247 226 40 79 173 14 50 193 100 240 195 209 163 71 69 252 176 2 109 219 30 176 10 195 94 211 106 70 96 211 166 77 47 218 15 126 16 47 248 225 135 31 152 101 225 93 118 186 171 55 254 77 49 20 67 9 145 23 98 73 212 48 12 152 156 60 83 148 5 153 185 195 168 31 47 32 153 115 186 249 32 144 60 187 110 221 90 234 0 252 69 223 99 13 200 197 101 63 122 134 4 139 156 38 128 168 117 229 134 26 183 110 221 130 177 123 0 78 157 58 37 188 148 73 139 68 233 116 232 21 20 132 57 115 222 23 71 101 150 198 94 174 201 204 220 128 201 58 95 20 145 87 217 179 63 116 211 33 144 228 115 119 79 176 10 227 228 84 74 222 233 41 234 164 116 132 146 158 158 126 89 62 112 203 150 205 226 132 193 199 102 118 245 199 31 127 132 146 146 18 113 45 43 43 75 184 126 123 118 54 237 174 74 11 152 187 212 243 4 27 141 248 209 67 35 96 100 252 245 38 47 185 186 90 182 174 138 82 67 165 36 17 191 79 72 48 135 2 213 194 114 197 217 217 89 161 24 170 146 18 204 158 61 139 178 240 8 177 181 27 142 139 23 11 68 45 235 211 187 151 144 247 192 129 253 34 73 230 230 230 98 204 232 88 44 241 209 155 97 216 118 80 49 214 120 155 168 201 175 176 136 27 55 183 47 17 78 167 98 62 68 200 20 18 22 22 246 252 160 200 31 40 153 213 202 118 130 15 113 49 49 209 66 215 134 227 224 193 131 232 73 45 200 151 20 232 179 189 53 152 106 12 196 212 238 70 124 161 161 77 160 130 97 217 162 169 244 184 117 94 105 9 211 121 9 130 77 38 92 187 118 173 94 45 7 79 145 35 41 41 73 145 174 99 185 56 201 113 22 230 164 38 7 23 86 46 184 105 4 163 246 132 53 59 234 169 133 94 235 71 201 240 190 25 166 73 147 199 36 211 116 241 123 1 195 168 170 67 57 217 169 122 64 14 14 14 74 74 74 138 162 46 160 220 227 112 189 250 154 122 25 118 41 255 38 212 75 175 195 101 218 69 246 96 216 59 113 58 61 201 242 167 58 175 212 210 233 245 16 201 23 138 73 19 39 152 101 170 3 122 74 86 192 48 245 128 36 84 114 114 178 162 254 161 137 79 179 111 15 29 34 2 154 143 216 25 122 3 138 222 178 239 157 239 40 118 124 52 70 58 24 22 83 243 127 4 26 77 12 130 169 135 202 166 13 33 95 88 58 157 211 158 132 177 0 146 35 34 34 66 225 147 130 186 60 28 61 114 68 52 242 70 242 208 112 74 154 169 4 182 203 83 131 92 47 31 252 228 165 195 5 79 31 156 161 109 190 215 195 27 225 116 93 171 241 19 191 122 244 15 15 71 122 250 122 115 14 83 141 42 53 136 93 32 213 4 241 4 9 198 121 130 91 90 238 149 248 135 130 94 148 34 140 36 105 0 85 114 127 63 95 116 167 211 11 119 147 163 99 99 68 129 61 79 167 15 142 59 245 253 117 195 2 68 218 255 0 165 13 60 136 79 147 92 203 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!PRBlueprintLibrary methodsFor: '*efo-lcf-model' stamp: 'efo 2/15/2012 12:19'!
screenCss
	^ '/* -----------------------------------------------------------------------

   Blueprint CSS Framework 0.7.1
   http://blueprintcss.googlecode.com

   * Copyright (c) 2007-2008. See LICENSE for more info.
   * See README for instructions on how to use Blueprint.
   * For credits and origins, see AUTHORS.
   * This is a compressed file. See the sources in the ''src'' directory.

----------------------------------------------------------------------- */
/* HEADER */
.search input.text {
	border: 1px solid white;
	color: black;}
.search input.text:focus {
	border: 1px solid #ff6633;
	color: black;}
.search input {
	color: #ff6633;
	font-size: 1em;
	outline: none;
	width: 98%;
	border: 0;
	margin-top: 0.1em;
	padding: 0.3em;
	padding-top: 0;
	background: 0;}
.search ul {
	margin: 0;
	padding: 0;
	background: white;
	list-style-type: none;
	border: 1px solid #ff6633;
	border-top: 0;}
.search li.selected a {color: #fff;}
.search li.selected {
	background-color: #ff6633;
	color: white;}
.search li {
	margin: 0;
	display: block;
	padding: 0.2em;
	cursor: pointer;
	list-style-type: none;}
.menu ul {
	margin: 0;
	margin-top: 0.2em;
	padding-bottom: 0.2em;
	list-style-type: none;}
.menu ul li {
	display: inline;
	margin: 0;
	margin-right: 1.5em;
	list-style-type: none;}
.menu li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.5em;
	padding-bottom: 0.3em;}

/*BLOG*/
div.post {margin-bottom: 4.5em;}
div.comment {margin-bottom: 3em;}
.meta {font-size: 80%; color: #aaa;}
.leavecomment {margin-top: 4.5em; margin-bottom: 4.5em;}
.comments {margin-top: 4.5em;}

/* NAVIGATION */
.sidebar ul {
	margin-top: 0;
	margin-left: 0;
	list-style-type: none;}
.sidebar ul ul {
	margin-bottom: 0;
	margin-left: 1.5em;}
.sidebar ul li {
	margin-top: 1.5em;}
.sidebar ul li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.3em;
	padding-bottom: 0.3em;}
.sidebar p,
.sidebar h1, .sidebar h2, .sidebar h3,
.sidebar .postticker .timestamp,
.sidebar .postticker .summary {padding-left: 0.3em;}
.sidebar .active,
.menu li a.active {
	color: white;
	background: #ff6633;}


/*MAIN BODY*/
.mainbody {
	padding-top: 4em;
	padding-bottom: 15em;}
.postticker ul {
	font-size: 80%;
	color: #aaa;
	list-style: none;
	margin-left: 0;}
.postticker ul li {
	margin-bottom: 1.5em;}
.postticker .timestamp {color: #aaa; font-size: 80%;}
.postticker .subscribe,
.postticker .timestamp .time,
.postticker .timestamp .author {display: none;}
.postticker a.post {color: #aaa;}


/* FOOTER */
.footer {
	color: #aaa;
	font-size: 80%;
	text-align: left;}
.footer a { color: #aaa;}
.footer ul {list-style: none; margin-left: 0em;}
.footer ul ul {margin-left: 1.5em;}
.footer .commands ul, .footer .views ul {display: inline;}
.footer .commands ul li, .footer .views ul li {display: inline; padding-right: 1em;}


/* META */
.metaenvironment h1.heading {display: none;}
.metaheader {background: #C3D9FF; font-size: 200%}
.metaheader ul {display: inline; margin: 0;}
.metaheader li {list-style: none; display: inline; margin: 0;}
.metaheader li:after {content: "/"}
.metaenvironment.container {border: 1px solid #C3D9FF; margin-top: 0;}
.metafooter {background: #C3D9FF;}
.metafooter li {list-style: none;}

/* PIER */
.broken { color: red; font-weight: bold;}
.protected { 
	color: #aaa; 
	display: none;
	margin: 0; 
	padding: 0;
}


/* reset.css */
html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, code, del, dfn, em, img, q, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td {
	margin:0;
	padding:0;
	border:0;
	font-weight:inherit;
	font-style:inherit;
	font-size:inherit;
	font-family:inherit;
	vertical-align:baseline;
}
body {line-height:1.5;}
table {border-collapse:separate;border-spacing:0;}
caption, th, td {text-align:left;font-weight:normal;}
table, td, th {vertical-align:middle;}
blockquote:before, blockquote:after, q:before, q:after {content:"";}
blockquote, q {quotes:"" "";}
a img {border:none;}

/* typography.css */
body {margin-top: 0;font-size:75%;color:#222;background:#fff;font-family:"Helvetica Neue", Helvetica, Arial, sans-serif;}
h1, h2, h3, h4, h5, h6 { margin: 0; font-weight: inherit; font-size: 100%; line-height: inherit; }
h1.heading { font-size: 2em; margin-bottom: 1.5em; }
h1 {font-size: 1.5em; line-height: 1; margin-bottom: 1em; }
.maincontents {font-size: 1.5em;}
h2 { font-size: 1.2em; height: 1.25em; line-height: 1.25; margin-bottom: 1.25em; }
h3 { font-size: 1em; font-weight: bold; margin-bottom: 1.5em; }
h4 { font-size: 1em; font-weight: bold; }
h5 {font-size:1em;font-weight:bold;margin-bottom:1.5em;}
h6 {font-size:1em;font-weight:bold;}
h1 img, h2 img, h3 img, h4 img, h5 img, h6 img {margin:0;}
p {margin:0 0 1.5em;}
p img {float:left;margin:1.5em 1.5em 1.5em 0;padding:0;}
p img.right {float:right;margin:1.5em 0 1.5em 1.5em;}
a:focus {color:#000;}
a:hover {
	color: white;
	background: #ff6633; }
a:hover.nobackground {background: white;}
a {color:#FF6633;}
a.view, a.command {color: gray;}
a {text-decoration: none;}
a.environment:after {content: "*";}
.right {text-align: right;}
.left {text-align: left;}
.center {text-align: center;}
.float {float: right;}
.nobullets ul {list-style: none; margin-left: 0;}
.nobullets ul li {list-style: none; margin-left: 0;}
tr th {background: #eee; font-weight: normal;}
label {font-weight: normal;}
tr.group th {background: white; font-size: 1em; font-weight: bold; margin-top: 1.5em; }
td.required:after {color: #ff6633; content: "*"; margin-left: 0.5em;}

blockquote {margin:1.5em;color:#666;font-style:italic;}
strong {font-weight:bold;}
em, dfn {font-style:italic;}
dfn {font-weight:bold;}
sup, sub {line-height:0;}
abbr, acronym {border-bottom:1px dotted #666;}
address {margin:0 0 1.5em;font-style:italic;}
del {color:#666;}
pre, code {margin:1.5em 0;white-space:pre;}
pre, code, tt {font:1em ''andale mono'', ''lucida console'', monospace;line-height:1.5;}
li ul, li ol {margin:0 1.5em;}
ul, ol {margin:0 1.5em 1.5em 1.5em;}
ul {list-style-type:disc;}
ol {list-style-type:decimal;}
dl {margin:0 0 1.5em 0;}
dl dt {font-weight:bold;}
dd {margin-left:1.5em;}
table {margin-bottom:1.4em;width:100%;}
th {font-weight:bold;background:#C3D9FF;}
th, td {padding:4px 10px 4px 5px;}
tr.even td {background:#E5ECF9;}
tfoot {font-style:italic;}
caption {background:#eee;}
.small {font-size:.8em;margin-bottom:1.875em;line-height:1.875em;}
.large {font-size:1.2em;line-height:2.5em;margin-bottom:1.25em;}
.hide {display:none;}
.quiet {color:#666;}
.loud {color:#000;}
.highlight {background:#ff0;}
.added {background:#060;color:#fff;}
.removed {background:#900;color:#fff;}
.first {margin-left:0;padding-left:0;}
.last {margin-right:0;padding-right:0;}
.top {margin-top:0;padding-top:0;}
.bottom {margin-bottom:0;padding-bottom:0;}

/* grid.css */
.container {width:950px;margin:0 auto;}
.showgrid {background:url(src/grid.png);}
body {margin:1.5em 0;}
div.span-1, div.span-2, div.span-3, div.span-4, div.span-5, div.span-6, div.span-7, div.span-8, div.span-9, div.span-10, div.span-11, div.span-12, div.span-13, div.span-14, div.span-15, div.span-16, div.span-17, div.span-18, div.span-19, div.span-20, div.span-21, div.span-22, div.span-23, div.span-24 {float:left;margin-right:10px;}
div.last {margin-right:0;}
.span-1 {width:30px;}
.span-2 {width:70px;}
.span-3 {width:110px;}
.span-4 {width:150px;}
.span-5 {width:190px;}
.span-6 {width:230px;}
.span-7 {width:270px;}
.span-8 {width:310px;}
.span-9 {width:350px;}
.span-10 {width:390px;}
.span-11 {width:430px;}
.span-12 {width:470px;}
.span-13 {width:510px;}
.span-14 {width:550px;}
.span-15 {width:590px;}
.span-16 {width:630px;}
.span-17 {width:670px;}
.span-18 {width:710px;}
.span-19 {width:750px;}
.span-20 {width:790px;}
.span-21 {width:830px;}
.span-22 {width:870px;}
.span-23 {width:910px;}
.span-24, div.span-24 {width:950px;margin:0;}
.append-1 {padding-right:40px;}
.append-2 {padding-right:80px;}
.append-3 {padding-right:120px;}
.append-4 {padding-right:160px;}
.append-5 {padding-right:200px;}
.append-6 {padding-right:240px;}
.append-7 {padding-right:280px;}
.append-8 {padding-right:320px;}
.append-9 {padding-right:360px;}
.append-10 {padding-right:400px;}
.append-11 {padding-right:440px;}
.append-12 {padding-right:480px;}
.append-13 {padding-right:520px;}
.append-14 {padding-right:560px;}
.append-15 {padding-right:600px;}
.append-16 {padding-right:640px;}
.append-17 {padding-right:680px;}
.append-18 {padding-right:720px;}
.append-19 {padding-right:760px;}
.append-20 {padding-right:800px;}
.append-21 {padding-right:840px;}
.append-22 {padding-right:880px;}
.append-23 {padding-right:920px;}
.prepend-1 {padding-left:40px;}
.prepend-2 {padding-left:80px;}
.prepend-3 {padding-left:120px;}
.prepend-4 {padding-left:160px;}
.prepend-5 {padding-left:200px;}
.prepend-6 {padding-left:240px;}
.prepend-7 {padding-left:280px;}
.prepend-8 {padding-left:320px;}
.prepend-9 {padding-left:360px;}
.prepend-10 {padding-left:400px;}
.prepend-11 {padding-left:440px;}
.prepend-12 {padding-left:480px;}
.prepend-13 {padding-left:520px;}
.prepend-14 {padding-left:560px;}
.prepend-15 {padding-left:600px;}
.prepend-16 {padding-left:640px;}
.prepend-17 {padding-left:680px;}
.prepend-18 {padding-left:720px;}
.prepend-19 {padding-left:760px;}
.prepend-20 {padding-left:800px;}
.prepend-21 {padding-left:840px;}
.prepend-22 {padding-left:880px;}
.prepend-23 {padding-left:920px;}
div.border {padding-right:4px;margin-right:5px;border-right:1px solid #eee;}
div.colborder {padding-right:24px;margin-right:25px;border-right:1px solid #eee;}
.pull-1 {margin-left:-40px;}
.pull-2 {margin-left:-80px;}
.pull-3 {margin-left:-120px;}
.pull-4 {margin-left:-160px;}
.pull-5 {margin-left:-200px;}
.pull-6 {margin-left:-240px;}
.pull-7 {margin-left:-280px;}
.pull-8 {margin-left:-320px;}
.pull-9 {margin-left:-360px;}
.pull-10 {margin-left:-400px;}
.pull-11 {margin-left:-440px;}
.pull-12 {margin-left:-480px;}
.pull-13 {margin-left:-520px;}
.pull-14 {margin-left:-560px;}
.pull-15 {margin-left:-600px;}
.pull-16 {margin-left:-640px;}
.pull-17 {margin-left:-680px;}
.pull-18 {margin-left:-720px;}
.pull-19 {margin-left:-760px;}
.pull-20 {margin-left:-800px;}
.pull-21 {margin-left:-840px;}
.pull-22 {margin-left:-880px;}
.pull-23 {margin-left:-920px;}
.pull-24 {margin-left:-960px;}
.pull-1, .pull-2, .pull-3, .pull-4, .pull-5, .pull-6, .pull-7, .pull-8, .pull-9, .pull-10, .pull-11, .pull-12, .pull-13, .pull-14, .pull-15, .pull-16, .pull-17, .pull-18, .pull-19, .pull-20, .pull-21, .pull-22, .pull-23, .pull-24 {float:left;position:relative;}
.push-1 {margin:0 -40px 1.5em 40px;}
.push-2 {margin:0 -80px 1.5em 80px;}
.push-3 {margin:0 -120px 1.5em 120px;}
.push-4 {margin:0 -160px 1.5em 160px;}
.push-5 {margin:0 -200px 1.5em 200px;}
.push-6 {margin:0 -240px 1.5em 240px;}
.push-7 {margin:0 -280px 1.5em 280px;}
.push-8 {margin:0 -320px 1.5em 320px;}
.push-9 {margin:0 -360px 1.5em 360px;}
.push-10 {margin:0 -400px 1.5em 400px;}
.push-11 {margin:0 -440px 1.5em 440px;}
.push-12 {margin:0 -480px 1.5em 480px;}
.push-13 {margin:0 -520px 1.5em 520px;}
.push-14 {margin:0 -560px 1.5em 560px;}
.push-15 {margin:0 -600px 1.5em 600px;}
.push-16 {margin:0 -640px 1.5em 640px;}
.push-17 {margin:0 -680px 1.5em 680px;}
.push-18 {margin:0 -720px 1.5em 720px;}
.push-19 {margin:0 -760px 1.5em 760px;}
.push-20 {margin:0 -800px 1.5em 800px;}
.push-21 {margin:0 -840px 1.5em 840px;}
.push-22 {margin:0 -880px 1.5em 880px;}
.push-23 {margin:0 -920px 1.5em 920px;}
.push-24 {margin:0 -960px 1.5em 960px;}
.push-1, .push-2, .push-3, .push-4, .push-5, .push-6, .push-7, .push-8, .push-9, .push-10, .push-11, .push-12, .push-13, .push-14, .push-15, .push-16, .push-17, .push-18, .push-19, .push-20, .push-21, .push-22, .push-23, .push-24 {float:right;position:relative;}
.box {padding:1.5em;margin-bottom:1.5em;background:#E5ECF9;}
div.lcfbox{
/*	background:#E5ECF9;*/
	padding-bottom: 1em;
	padding-right: 0;
	padding-top: 0;
	padding-left: 2em;
}
hr {background:#ddd;color:#ddd;clear:both;float:none;width:100%;height:.1em;margin:0 0 1.45em;border:none;}
hr.space {background:#fff;color:#fff;}
.clearfix:after, .container:after {content:".";display:block;height:0;clear:both;visibility:hidden;}
.clearfix, .container {display:inline-block;}
* html .clearfix, * html .container {height:1%;}
.clearfix, .container {display:block;}
.clear {clear:both;}

/* forms.css */
label {font-weight:bold;}
fieldset {padding:1.4em;margin:0 0 1.5em 0;border:1px solid #ccc;}
legend {font-weight:bold;font-size:1.2em;}
input.text, input.password {width: 200px;}
input[type="button"], input[type="submit"], input[type="reset"], input[type="file"], button { margin-left: 0.5em;}

input.text, input.title, input.password, textarea, select {margin:0.5em 0;border:1px solid #bbb;}
input.text:focus, input.title:focus, input.password:focus, textarea:focus, select:focus {border:1px solid #666;}
input.text, input.password, input.title {width:300px;padding:5px;}
input.title {font-size:1.5em;}
textarea {width:100%;height:250px;padding:5px;}
.error, .notice, .success {padding:.8em;margin-bottom:1em;border:2px solid #ddd;}
.error {background:#FBE3E4;color:#8a1f11;border-color:#FBC2C4;}
.notice {background:#FFF6BF;color:#514721;border-color:#FFD324;}
.success {background:#E6EFC2;color:#264409;border-color:#C6D880;}
.error a {color:#8a1f11;}
.notice a {color:#514721;}
.success a {color:#264409;}

element.style {
    position: relative;
    width: 500px;
}

ul.evolutionTree li {
    cursor: move;
    padding: 10px;
    list-style: none outside none;
}

'! !

WASession subclass: #LCFSession
	instanceVariableNames: 'origen lastAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LCFSession methodsFor: 'accessing' stamp: 'efo 5/31/2012 15:59'!
handleFiltered: aRequestContext
	self lastAction: TimeStamp current.
	super handleFiltered: aRequestContext.
! !

!LCFSession methodsFor: 'accessing' stamp: 'efo 5/31/2012 16:00'!
lastAction
	^ lastAction
! !

!LCFSession methodsFor: 'accessing' stamp: 'efo 5/31/2012 15:59'!
lastAction: time 
	lastAction := time.
! !

!LCFSession methodsFor: 'accessing' stamp: 'efo 3/12/2012 10:17'!
origen
	^ origen! !

!LCFSession methodsFor: 'accessing' stamp: 'efo 3/12/2012 10:17'!
origen: anObject
	origen := anObject! !

!LCFSession methodsFor: 'accessing' stamp: 'efo 5/31/2012 15:52'!
start
	self origen: ( self requestContext request headers at: 'x-forwarded-for' ifAbsent: 'local').
	super start.

"
	self origen: (self requestContext request headers at: 'x-forwarded-for' ifAbsent: '').
"
! !

Object subclass: #CrewMate
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!CrewMate class methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:18'!
from: aString
	^ self new name: aString! !

!CrewMate methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 14:05'!
<= other
	^ name <= other name! !

!CrewMate methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:17'!
name 
	^ name! !

!CrewMate methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:17'!
name: aString
	name := aString trimBoth ! !

!CrewMate methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:17'!
renderHtml: html
	html anchor target: 'imdbpage' ;
				title: (self name, ' en IMDB');
				url: 'http://www.imdb.com/find?s=all&q=', self name asHTMLString;
				with: [ html small: self name ].! !

!CrewMate methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:33'!
renderLatex: aStream
	aStream nextPutAll: '\href{http://www.imdb.com/find?s=all&q=', self name asHTMLString, '}{', self name, '}'.! !

!CrewMate methodsFor: 'as yet unclassified' stamp: 'efo 5/22/2012 15:33'!
renderOn: html
	self renderHtml: html! !

Object subclass: #FilmData
	instanceVariableNames: 'lines'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!FilmData class methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 11:26'!
read: file
	| data line |
	
	data := self new.

	"info"
	data lines add: file nextLine.

	"Actors"
	data lines add: file nextLine.

	"Writer"
	data lines add: file nextLine.

	"Director"
	data lines add: file nextLine.

	(line := file nextLine) isEmpty ifFalse: [
		"info"
		data lines add: line.

		"Actors"
		data lines add: file nextLine.

		"Writer"
		data lines add: file nextLine.

		"Director"
		data lines add: file nextLine.
		
		file nextLine.
	].


	^ data.! !

!FilmData methodsFor: 'glosarios' stamp: 'efo 5/7/2012 14:59'!
actors

	^ self crewsFrom: (
		(self lines size > 4 ) ifTrue: [ 
			(lines at: 2), ', ',  (lines at: 6)
		] ifFalse: [
			(lines at: 2)
		] ).
	
! !

!FilmData methodsFor: 'glosarios' stamp: 'efo 5/30/2012 14:42'!
countrys
"
'Australia-Canada, 1991, 101minutes' subStrings: ','
"
	^ ( (lines at: 1) subStrings: ',') first subStrings: '/'.
! !

!FilmData methodsFor: 'glosarios' stamp: 'efo 5/7/2012 12:15'!
crewsFrom: line

	^ ( line subStrings: ',') collect: [ :actor |
		CrewMate from: actor.
	].
! !

!FilmData methodsFor: 'glosarios' stamp: 'efo 5/7/2012 14:59'!
directors

	^ self crewsFrom: (
		(self lines size > 4 ) ifTrue: [ 
			(lines at: 4), ', ',  (lines at: 8)
		] ifFalse: [
			(lines at: 4)
		] ).
	
! !

!FilmData methodsFor: 'accessing' stamp: 'efo 5/4/2012 13:28'!
latexOn: aStream

	aStream nextPutAll: '\noindent ',(lines at: 1); cr; cr..
	self renderAsLatexLink: (lines at: 2) on: aStream with: 'Actors:'.
	self renderAsLatexLink: (lines at: 3) on: aStream with: 'Writer:'.
	self renderAsLatexLink: (lines at: 4) on: aStream with: 'Director:'.
	
	(self lines size > 4 ) ifTrue: [ 
		aStream cr; cr.
		aStream nextPutAll: '\noindent ',(lines at: 5); cr; cr..
		self renderAsLatexLink: (lines at: 6) on: aStream with: 'Actors:'.
		self renderAsLatexLink: (lines at: 7) on: aStream with: 'Writer:'.
		self renderAsLatexLink: (lines at: 8) on: aStream with: 'Director:'.
	].

	aStream "nextPutAll: '\\';" cr;  cr..! !

!FilmData methodsFor: 'accessing' stamp: 'efo 5/2/2012 16:05'!
lines
	^ lines ifNil: [ lines := OrderedCollection new ].! !

!FilmData methodsFor: 'accessing' stamp: 'efo 5/7/2012 12:37'!
renderAsImdbLink: aString on: html with: label

	html strong: (label, ': ').
	(self crewsFrom: aString) do: [ :actor |
		actor renderHtml: html.
	] separatedBy: [
		html text: ', '
	].
	html break.
! !

!FilmData methodsFor: 'accessing' stamp: 'efo 5/7/2012 12:32'!
renderAsLatexLink: line on: aStream with: label

	aStream nextPutAll: '\noindent \emph{', label, ' } '; cr.

	(self crewsFrom: line) do: [ :actor |
		actor renderLatex: aStream. 
	] separatedBy: [
		aStream nextPutAll: ', '; cr.
	].
	aStream cr; cr.! !

!FilmData methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:32'!
renderViewOn: html with: chapterView
"	html anchor target: 'imdbpage';
				url: 'http://www.imdb.com/find?s=all&q=', self eng asHTMLString;
				with: [ html image altText: 'buscar en IMDB'; height: 20; url: (PRBlueprintLibrary  / #imdbJpg).].
"
	html text: (lines at: 1); break.
	self renderAsImdbLink: (lines at: 2) on: html with:  'Actors'.
	self renderAsImdbLink: (lines at: 3) on: html with:  'Writer'.
	self renderAsImdbLink: (lines at: 4) on: html with:  'Director'.
		
	(self lines size > 4 ) ifTrue: [ 
		html break.
		html text: (lines at: 5); break.
		self renderAsImdbLink: (lines at: 6) on: html with:  'Actors'.
		self renderAsImdbLink: (lines at: 7) on: html with:  'Writer'.
		self renderAsImdbLink: (lines at: 8) on: html with:  'Director'.
	].

	html break.	! !

!FilmData methodsFor: 'accessing' stamp: 'efo 5/3/2012 12:45'!
writeOn: html.
	html nextPutAll: (lines at: 1); cr.
	((lines at: 2) endsWith: '.') ifTrue:[ 
	html nextPutAll: ((lines at: 2) allButLast); cr.
		] ifFalse: [
	html nextPutAll: (lines at: 2); cr.
		].
	 
	((lines at: 3) endsWith: '.') ifTrue:[ 
	html nextPutAll: ((lines at: 3) allButLast); cr.
		] ifFalse: [
	html nextPutAll: (lines at: 3); cr.
	].

	((lines at: 4) endsWith: '.') ifTrue:[ 
	html nextPutAll: ((lines at: 4) allButLast); cr.
		] ifFalse: [
	html nextPutAll: (lines at: 4); cr.
	].
		
	(self lines size > 4 ) ifTrue: [ 
		html nextPutAll: (lines at: 5); cr.
		html nextPutAll: (lines at: 6); cr.
		html nextPutAll: (lines at: 7); cr.
		html nextPutAll: (lines at: 8); cr.
	].

	html cr.
! !

!FilmData methodsFor: 'glosarios' stamp: 'efo 5/7/2012 14:59'!
writers

	^ self crewsFrom: (
		(self lines size > 4 ) ifTrue: [ 
			(lines at: 3), ', ',  (lines at: 7)
		] ifFalse: [
			(lines at: 3)
		] ).
	
! !

Object subclass: #Glosario
	instanceVariableNames: 'title selector batcher headers batcherClass items'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

Glosario class
	instanceVariableNames: 'all'!

Glosario class
	instanceVariableNames: 'all'!

!Glosario class methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 15:26'!
glosarios
	 
	^ { 
		self new title: 'Actores'; selector: #actors; yourself.
		self new title: 'Directores'; selector: #directors; yourself.
		self new title: 'Escritores'; selector: #writers; yourself.
		self new title: 'Origen'; selector: #countrys; 
				headers: {'Origen'. 'Fiesta'. 'Pelcula'}; 
				batcherClass: LCFOrigenBatchedList; yourself 
		}.! !

!Glosario methodsFor: 'as yet unclassified' stamp: 'efo 5/29/2012 15:46'!
batcherClass 
	^ batcherClass ifNil: [ batcherClass := WAAlphabeticBatchedList ].! !

!Glosario methodsFor: 'as yet unclassified' stamp: 'efo 5/29/2012 15:46'!
batcherClass: aClass
	batcherClass := aClass.! !

!Glosario methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 15:06'!
batcherFrom: root
	^ batcher ifNil:[ batcher := self batcherClass new items: self items" (root glosarios at: self title) "].! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/22/2012 15:00'!
finalize
	batcher ifNotNil: [ batcher items removeAll].
	batcher := nil.
! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/29/2012 15:44'!
headers
	^ headers ifNil: [  headers := {'Artista'. 'Fiesta'. 'Pelcula'} ].! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/29/2012 15:42'!
headers: aHeader
	headers := aHeader! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/30/2012 15:06'!
items
	^ items.
! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/30/2012 15:03'!
read: chapters
	items := SortedCollection new.
	chapters do: [ :chapter | 
		(chapter filmData perform: self selector) do: [ :actor | 
			items add: (GlosarioItem new key: actor; chapter: chapter ) 
		]  
	].

! !

!Glosario methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 11:05'!
renderNodeOn: html using: view
	html listItem: [
		html anchor
			callback: [ view active: self ];
			title: self title;
			with: [ view active title = self title ifTrue: [
						html emphasis with: [ html big: self title ].
					] ifFalse: [
						html html: self title
					]
				].

	]
! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/7/2012 14:54'!
selector
	^ selector.
! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/7/2012 14:55'!
selector: aSelector
	selector := aSelector
! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/7/2012 10:41'!
title
	^ title.
! !

!Glosario methodsFor: 'accessing' stamp: 'efo 5/7/2012 10:38'!
title: aByteString 
	title := aByteString 
! !

Object subclass: #GlosarioItem
	instanceVariableNames: 'key chapter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 14:06'!
<= other
	^ key <= other key! !

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:08'!
chapter
	^ chapter! !

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:08'!
chapter: aChapter
	chapter := aChapter! !

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/30/2012 13:38'!
greaseString.
	^ self key name! !

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:07'!
key 
	^ key! !

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:07'!
key: aKey
	key := aKey! !

!GlosarioItem methodsFor: 'as yet unclassified' stamp: 'efo 5/7/2012 12:03'!
renderRowOn: html

	html tableRow: [
		html tableData with: [ self renderDateContentOn: html with: self ].
		html tableData title: self film fineSpa;
					with: self film eng.
		html tableData with: [ self renderExtrasOn: html with: self ].
	]
! !

Object subclass: #GoogleTranslate
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!GoogleTranslate methodsFor: 'as yet unclassified' stamp: 'efo 6/4/2011 01:22'!
doPost: text

"	GoogleTranslate new translate: 'open the door' "
	"'open the door' asHtmlString"
	
	 ^ ( HTTPSocket httpGet: 'http://translate.google.com/translate_a/t?client=t&text=', text encodeForHTTP, '&hl=es&sl=en&tl=es' ) ! !

!GoogleTranslate methodsFor: 'as yet unclassified' stamp: 'efo 4/18/2012 10:22'!
find: text

"	GoogleTranslate new find: 'open the door' "
	"'open the door' asHtmlString"
	
	 
 	( self doPost: text ) contents
			 regex: '\[\[\[\"([[:alnum:][:space:][:punct:]\\]+)\"]\]*' matchesDo: [ :var | ^self split: var ].
			
	^  '<hay problemas para procesar parte de la respuesta de google>'! !

!GoogleTranslate methodsFor: 'as yet unclassified' stamp: 'efo 3/27/2012 13:40'!
split: text

"	GoogleTranslate new find: 'open the door'   "

	| idx |
	idx := text findString: '","' startingAt: 0 caseSensitive: false.
 	^ (  ( ( ( ( text copyFrom: 5 to: ( idx -1 )) 
			copyReplaceAll: ' , ' with: ', ')
			copyReplaceAll: ' : ' with: ': ' )
			copyReplaceAll: '\"' with: '"' )
			copyReplaceAll: ' '' ' with: ' ''' )! !

!GoogleTranslate methodsFor: 'as yet unclassified' stamp: 'efo 4/18/2012 09:55'!
translate: text
	| res |

 	[ [
		res := ''.
		( text subStrings: '.' ) do: [ :each |
			res := res, ' ', (self find: each ) , '.' .
		].
		
		^ (text last = $.) ifTrue: [ 
			res allButFirst.
		] ifFalse: [ 
			res allButFirst allButLast.
		].

		
	] on: Error do: [^'<hay problemas para acceder a google>'. ] 
	] valueWithin: (Duration seconds: 2) onTimeout: [^'<hay demoras para acceder a google>'. ] ! !

Object subclass: #LatexWriter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!LatexWriter methodsFor: 'as yet unclassified' stamp: 'efo 8/9/2011 23:26'!
endOn: aStream
        aStream nextPutAll:'\end{tabular}'; cr.
        aStream cr; cr.
        aStream nextPutAll: '\end{document}'; cr

! !

!LatexWriter methodsFor: 'as yet unclassified' stamp: 'efo 8/9/2011 23:28'!
generateLaTeX: aFileName
        | aFile |
        aFile := CrLfFileStream fileNamed: aFileName, '.tex'.
        aFile lineEndConvention: #crlf.
        self startOn: aFile.
 "       self usecases do: [:each| self printUseCase: each on: aFile]."
        self endOn: aFile.
        aFile close

! !

!LatexWriter methodsFor: 'as yet unclassified' stamp: 'efo 8/9/2011 23:27'!
printUseCase: aUseCase on: aStream
        aStream nextPutAll: (aUseCase usecaseName) ,' & ',(aUseCase usecaseDescription)
! !

!LatexWriter methodsFor: 'as yet unclassified' stamp: 'efo 8/9/2011 23:26'!
startOn: aStream
        aStream nextPutAll:'\documentclass[12pt,a4paper]{article}'; cr.
        aStream nextPutAll:'\usepackage[english,dutch]{babel}'; cr.
        aStream nextPutAll:'\begin{document}'; cr.
        aStream nextPutAll: '\begin{tabular}{|l|l|}'; cr.
        aStream nextPutAll: '\hline ';cr.
! !

Object subclass: #Lectures
	instanceVariableNames: 'lines changes accurate'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!Lectures class methodsFor: 'as yet unclassified' stamp: 'efo 5/4/2012 12:22'!
booksLibrosLink
	
	^ { '<definir lecturas>'. '<definir lecturas>'. '<definir lecturas>'.
	'1 Corinthians'. '1 Corintios'. '1corintios'.
'1 John'. '1 Juan'. '1juan'.
'1 Kings'. '1 Reyes'. '1reyes'.
'1 Peter'. '1 Pedro'. '1pedro'.
'1 Samuel'. '1 Samuel'. '1samuel'.
'1 Thessalonians'. '1 Tesalonicenses'. '1tesalonicenses'.
'1 Timothy'. '1 Timoteo'. '1timoteo'.
'2 Chronicles'. '1 Crnicas'. '1cronicas'.
'2 Corinthians'. '2 Corintios'. '2corintios'.
'2 Kings'. '2 Reyes'. '2reyes'.
'2 Maccabees'. '2 Maccbeos' .'2macabeos'.
'2 Peter'. '2 Pedro'. '2pedro'.
'2 Samuel'. '2 Samuel'. '2samuel'.
'2 Thessalonians'. '2 Tesalonicenses'. '2tesalonicenses'.
'2 Timothy'. '2 Timoteo'. '2timoteo'.
'Acts'. 'Hechos'. 'hechos'.
'Amos'. 'Ams'. 'amos'.
'Baruch'. 'Baroc'. 'baroc'.
'Colossians'. 'Colosenses'. 'colosenses'.
'Daniel'. 'Daniel'. 'daniel'.
'Deuteronomy'. 'Deuteronomio'. 'deuteronomio'.
'Ecclesiasticus'. 'Eclesiasts'. 'eclesiastes'.
'Ephesians'. 'Efesios'. 'efesios'.
'Exodus'. 'xodo'. 'exodo'.
'Ezekiel'. 'Ezequiel'. 'ezequiel'.
'Galatians'. 'Glatas'. 'galatas'.
'Genesis'. 'Gnesis'. 'genesis'.
'Habbakuk'. 'Habacuc'. 'habacuc'.
'Hebrews'. 'Hebreos'. 'hebreos'.
'Hosea'. 'Oseas'. 'oseas'.
'Isaiah'. 'Isaas'. 'isaias'.
'James'. 'Santiago'. 'santiago'.
'Jeremiah'. 'Jeremas'. 'jeremias'.
'Job'. 'Job'. ' job'.
'Joel'. 'Joel'. 'joel'.
'John'. 'Juan'. 'juan'.
'Jonah'. 'Jons'. 'jonas'.
'Joshua'. 'Josu'. 'josue'.
'Leviticus'. 'Levtico'. 'levitico'.
'Luke'. 'Lucas'. 'lucas'.
'Malachi'. 'Malaquas'. 'malaquas'.
'Mark'. 'Marcos'. 'marcos'.
'Matthew'. 'Mateo'. 'mateo'.
'Micah'. 'Miqueas'. 'miqueas'.
'Nehemiah'. 'Nehemas'. 'nehemias'.
'Numbers'. 'Nmeros'. 'numeros'.
'Philemon'. 'Filemn'. 'filemon'.
'Philippians'. 'Filipenses'. 'filipenses'.
'Proverbs'. 'Proverbios'. 'proverbios'.
'Revelation'. 'Apocalipsis'. 'apocalipsis'.
'Romans'. 'Romanos'. 'romanos'.
'Titus'. 'Tito'. 'tito'.
'Wisdom'. 'Sabidura'. 'sabiduria'.
'Zephaniah'. 'Sofonas'. 'sofonias'.
'Zechariah'. 'Zacaras'. 'zacaras'
}! !

!Lectures class methodsFor: 'as yet unclassified' stamp: 'efo 4/17/2012 09:05'!
eng2Spa
	" self eng2Spa"
	| dic ternas |

	ternas := self booksLibrosLink.
	dic := Dictionary new.
	
	1 to: ternas size by: 3 do: [ :i |
		dic at: (ternas at: i) put: (ternas at: i + 1)
	].

	^ dic.! !

!Lectures class methodsFor: 'as yet unclassified' stamp: 'efo 4/17/2012 11:26'!
esp2link
	" self eng2Spa"
	| dic ternas |

	ternas := self booksLibrosLink.
	dic := Dictionary new.
	
	1 to: ternas size by: 3 do: [ :i |
		dic at: (ternas at: i+1) put: (ternas at: i + 2)
	].

	^ dic.! !

!Lectures class methodsFor: 'as yet unclassified' stamp: 'efo 4/17/2012 11:44'!
read: file
	| line lects commands tokens ternas bkey |
	
	lects := self new.
"	ternas := self eng2Spa."
	
	[ (line := file nextLine) isEmpty or: [ line includesSubString: 'Accurate;' ] ] whileFalse: [
"		bkey := ternas keys detect: [ :key | line includesSubString: key ] ifNone: [ 
			ternas keys detect: [ :key | line includesSubString: (ternas at: key ) ]
		].
		lects lines add: ( line copyReplaceAll: bkey with: ( ternas at: bkey ) ).
"	
		lects lines add: line.
	].
	lects accurate: (line includesSubString: 'Accurate;').

	self assert: ( file nextLine isEmpty ).
	
	^ lects.! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:47'!
accurate
	^ accurate ifNil: [ accurate := false ]! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:42'!
accurate: anObject
	accurate := anObject! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:15'!
change: aText to: newText for: user
	self changes add: (TextUpdate user: user from: aText to: newText ).
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:15'!
changes
	^ changes ifNil: [ changes := OrderedCollection new ]! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:19'!
comments
	^ OrderedCollection new.! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/3/2012 15:52'!
descriptionEdit
	^ MAMemoDescription new
 		selectorAccessor: #paragraph;
 		label: 'Lecturas del da';
		lineCount: 4;
 		priority: 5;
		yourself! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/17/2012 11:41'!
isMissing
	^ self lines first = self missingText! !

!Lectures methodsFor: 'accessing' stamp: 'efo 5/4/2012 12:47'!
latexOn: aStream 

	self isMissing ifFalse: [ 
		 lines do: [ :line | 
			aStream nextPutAll: (	self lineAsLink: line do: [ :url | '\href{', url, '}{', line, '}'. ] 
														ifMissing: [ line ] ).
		] separatedBy: [
			aStream cr; cr.
		].
		aStream nextPutAll: '\\'; cr; cr.
	].
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 5/4/2012 12:43'!
lineAsLink: line do: renderLinkBlock ifMissing: renderPlainBlock 
	| links bkey chapter url |

	links :=  self class esp2link.

	bkey := links keys detect: [ :key | line includesSubString: key ]
				ifNone: [ self missingText ].

	^ bkey = self missingText ifTrue: 
		renderPlainBlock 
	ifFalse: [ 
		chapter := (line subStrings: ':') first substrings last .
		renderLinkBlock value: 'http://iglesia.net/biblia/libros/',  (links at: bkey), '.html#cap', chapter.
	]! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/3/2012 15:40'!
lines
	^ lines ifNil: [ lines := OrderedCollection new ]! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/3/2012 15:39'!
lines: anObject
	lines := anObject! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/17/2012 11:41'!
missingText
	^ '<definir lecturas>'! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/3/2012 16:03'!
paragraph
	^ '
' join: self lines
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:12'!
paragraph: paragraph

	lines := paragraph withBlanksTrimmed withBlanksCondensed subStrings: '
'
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 5/4/2012 12:38'!
renderAsLink: line on: html 

	self lineAsLink: line do: [ :url | 
		html anchor target: 'lecturespage';
				url: url;
				with: [ html text: line ]. 
				
	] ifMissing: [
		html text: line.
	] 
	
	
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:31'!
renderEditControlOn: chapterView with: html 
	( chapterView shouldRenderControls and: [ self accurate not ] ) ifTrue: [ 
		(html anchor)
			callback: [ | oldText |
				oldText := self paragraph.
				(chapterView call: ((MAContainer with: self descriptionEdit ) asComponentOn: self ) addValidatedForm)
					ifNotNil: [ self change: oldText to: self paragraph for: chapterView context user ] ];
			with: [ 
				(html image)
					title: 'completar lecturas';
					height: 16;
					url: PRBlueprintLibrary / #editPng ]
	].! !

!Lectures methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:32'!
renderViewOn: html with: chapterView

	(self shouldHide: chapterView) ifTrue: [ ^self ].
	
	html div: [ 
		self lines do: [ :line | self renderAsLink: line on: html ] 
				separatedBy: [ html break ].
		self renderEditControlOn: chapterView with: html.
		html break; break.
	].
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/3/2012 15:45'!
shouldHide: aChapter
	^ self isMissing and: [ aChapter context isLoggedIn not ] .
! !

!Lectures methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:54'!
writeOn: html.
	self lines do: [ :line | 
				html nextPutAll: line. 
				html nextPutAll: '
'.
	].
	self accurate ifTrue: [ 
		html nextPutAll: 'Accurate;'.
	].
	html nextPutAll: '

'.

! !

Object subclass: #PairComment
	instanceVariableNames: 'comment user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!PairComment class methodsFor: 'as yet unclassified' stamp: 'efo 1/12/2012 15:55'!
from: aLine
"	^ self sectionsKeys detect: [ :section | aLine includesSubString: section ] ifNone: [ #Unknown ]."
	| matcher |
	matcher := RxMatcher forString: '.*Comment<((<[^<>]+\|[^<>]+>)+)>;.*'.
	^ (matcher matches: aLine)
		ifTrue: [ self fromTokens: (matcher subexpression: 2) ]  
		ifFalse: [ OrderedCollection new ] 


! !

!PairComment class methodsFor: 'as yet unclassified' stamp: 'efo 1/5/2012 14:33'!
fromTokens: aLine
	| matcher comments |
	
	comments := OrderedCollection new.
	matcher := RxMatcher forString: '<([^<>]+)\|([^<>]+)>'.
	
	matcher matchesIn: aLine do: [ :match | 
		comments add: (PairComment new: (matcher subexpression: 2) from: (matcher subexpression: 3) ).
	].

	^ comments.


! !

!PairComment class methodsFor: 'as yet unclassified' stamp: 'efo 1/5/2012 14:00'!
new: comment from: user

	^ self new 
		comment: comment; 
		user: user; yourself


! !

!PairComment class methodsFor: 'as yet unclassified' stamp: 'efo 4/3/2012 12:03'!
write: comments on: file

	comments isEmpty ifFalse: [
		file nextPutAll: 'Comment<'.
		comments  do: [ :each| 
			each writeOn: file.
		].
		file nextPutAll: '>;'
	].
! !

!PairComment methodsFor: 'as yet unclassified' stamp: 'efo 1/5/2012 14:00'!
comment
	^ comment! !

!PairComment methodsFor: 'as yet unclassified' stamp: 'efo 2/13/2012 14:14'!
comment: aComment
	comment := aComment inline! !

!PairComment methodsFor: 'as yet unclassified' stamp: 'efo 1/5/2012 14:01'!
user
	^ user! !

!PairComment methodsFor: 'as yet unclassified' stamp: 'efo 3/15/2012 16:01'!
user: aUser
	user := aUser isString ifTrue: [
		(PRKernel instanceNamed: 'pier' )userNamed: aUser ifNone: [].
	] ifFalse: [
		aUser.
	]
! !

!PairComment methodsFor: 'as yet unclassified' stamp: 'efo 3/15/2012 15:39'!
writeOn: file
	file nextPut: $<;
		nextPutAll: self comment;
		nextPut: $|;
		nextPutAll: self user name;
		nextPut: $>.! !

Object subclass: #Poster
	instanceVariableNames: 'changes accurate link'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!Poster class methodsFor: 'as yet unclassified' stamp: 'efo 4/20/2012 14:06'!
read: file
	|  poster |
	
	poster := self new.
	
	poster link: file nextLine.
	poster accurate: (file nextLine includesSubString: 'Accurate;').

	self assert: ( file nextLine isEmpty ).
	
	^ poster.! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 11:57'!
accurate
	^ accurate ifNil: [ accurate := false ]! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 11:57'!
accurate: anObject
	accurate := anObject! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 11:57'!
change: aText to: newText for: user
	self changes add: (TextUpdate user: user from: aText to: newText ).
! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 11:57'!
changes
	^ changes ifNil: [ changes := OrderedCollection new ]! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 11:57'!
comments
	^ OrderedCollection new.! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/23/2012 11:27'!
descriptionEdit
	^ MAStringDescription new
 		selectorAccessor: #link;
 		label: 'link a la imagen';
 		priority: 5;
		yourself! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:38'!
isMissing
	^ self link = self missingText! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:38'!
latexOn: aStream

	self isMissing ifFalse: [ 
		aStream nextPutAll: self link.
		aStream nextPutAll: '\\'; cr; cr.
	].
! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:37'!
link
	^ link ifNil: [ link := self missingText  ].! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:36'!
link: anObject
	link := anObject! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:37'!
missingText
	^ '<sin definir>'! !

!Poster methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:30'!
renderEditControlOn: chapterView with: html
	( chapterView shouldRenderControls and: [ self accurate not ] ) ifTrue: [ 
		(html anchor)
			callback: [ | oldText |
				oldText := self link.
				(chapterView call: ((MAContainer with: self descriptionEdit ) asComponentOn: self ) addValidatedForm)
					ifNotNil: [ self change: oldText to: self link for: chapterView context user ] ];
			with: [ 
				(html image)
					title: 'cambiar imagen';
					height: 16;
					url: PRBlueprintLibrary / #editPng ]
	].! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/24/2012 10:04'!
renderPosterOn: html with: chapterView
	| links file chapter |

	self isMissing ifFalse: [
		chapterView class = LCFChapterHtmlView  ifTrue: [
			chapterView chapter assurePosterImage.
			html image altText: 'poster'; url: 'http://lcf.seasidehosting.st/resources/', chapterView chapter chapterFileName, '.jpg'
			
		] ifFalse: [
			html text: self link.
		]
	] ifTrue: [
		html text: '<Poster sin definir>'
	].
! !

!Poster methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:33'!
renderViewOn: html with: chapterView

	(self shouldHide: chapterView) ifTrue: [ ^self ].
	
	html div: [ 
		self renderPosterOn: html with: chapterView.
		self renderEditControlOn: chapterView with: html.
		html break; break.
	].
! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 11:57'!
shouldHide: aChapter
	^ self isMissing and: [ aChapter context isLoggedIn not ] .
! !

!Poster methodsFor: 'accessing' stamp: 'efo 4/20/2012 12:50'!
writeOn: html.
	html nextPutAll: self link; cr. 
	self accurate ifTrue: [ 
		html nextPutAll: 'Accurate;'.
	].
	html cr; cr.
! !

Object subclass: #SessionLog
	instanceVariableNames: 'rol origen lastAction structure visits user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!SessionLog class methodsFor: 'as yet unclassified' stamp: 'efo 6/1/2012 15:50'!
newOn: aSession
	| sessionLog |

	sessionLog := self new.

	aSession presenter context user ifNil: [
		sessionLog user: '<anonimo>'.
		sessionLog rol: 'visitante'.
	]  ifNotNil: [
		sessionLog user: aSession presenter context user.
		sessionLog rol: sessionLog user group name.
	].
	sessionLog origen: aSession origen.
	sessionLog lastAction: aSession lastAction.	
	sessionLog structure: aSession presenter context structure.
	sessionLog visits: 0.
	
	^ sessionLog ! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
lastAction
	^ lastAction! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
lastAction: anObject
	lastAction := anObject! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
origen
	^ origen! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
origen: anObject
	origen := anObject! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
rol
	^ rol! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
rol: anObject
	rol := anObject! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
structure
	^ structure! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:49'!
structure: anObject
	structure := anObject! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:54'!
updateWith: aSession

	self lastAction < aSession lastAction ifTrue: [
		self structure: aSession presenter context structure.
	].

	self visits: self visits + 1.
	
! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:59'!
user
	^ user! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:59'!
user: u
	user := u! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:53'!
visits
	^ visits
	
! !

!SessionLog methodsFor: 'accessing' stamp: 'efo 6/1/2012 15:53'!
visits: number
	visits := number.
	
! !

Object subclass: #TextUpdate
	instanceVariableNames: 'user from to time'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!TextUpdate class methodsFor: 'as yet unclassified' stamp: 'efo 3/26/2012 15:45'!
user: aUser from: oldText to: newText
	^ self new
		user: aUser;
		from: oldText;
		to: newText;
		time: TimeStamp current;
		yourself.! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:04'!
from
	^ from! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:04'!
from: anObject
	from := anObject! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 5/11/2012 14:07'!
renderHtmlOn: html like: style

	(html div) style: 'float: right;', style;
		with: [ html emphasis with: ( self time utcOffset: -3 hours ) printHttpFormat ].
	(html div) class: 'change-user';
		with: [ self user renderOn: html paragraph.].
	(html div) class: 'change-text';
		with: [ html emphasis with: self from ].
	 html break.! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 3/26/2012 15:43'!
time
	^ time! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 3/26/2012 15:43'!
time: anObject
	time := anObject! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:04'!
to
	^ to! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:04'!
to: anObject
	to := anObject! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:04'!
user
	^ user! !

!TextUpdate methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:04'!
user: anObject
	user := anObject! !

Object subclass: #TransPair
	instanceVariableNames: 'eng spa freezed help comments changes accurate anchored'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!TransPair class methodsFor: 'as yet unclassified' stamp: 'efo 6/3/2011 09:18'!
descriptionEng
	^ MAStringDescription new
		parameterName: 'eng';
"		label: 'version en ingles: ';"
		accessor: #eng;
		beReadonly;
		yourself! !

!TransPair class methodsFor: 'as yet unclassified' stamp: 'efo 3/2/2012 12:11'!
descriptionSpa
	^ MAMemoDescription new
		parameterName: 'spa';
"		label: 'castellana: ';"
		accessor: #googledSpa;
		yourself! !

!TransPair class methodsFor: 'as yet unclassified' stamp: 'efo 4/3/2012 11:23'!
on: engText and: spaText
	self assert: engText isEmpty not.
	^ self new eng: engText; spa: spaText; yourself.! !

!TransPair class methodsFor: 'as yet unclassified' stamp: 'efo 8/17/2011 23:44'!
read: file
	^ self read: file nextLine and: file.! !

!TransPair class methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:50'!
read: firstLine and: file
	| line me commands |

	me := self on: firstLine and: file nextLine.
					
	commands := file nextLine.
	me freezed: (commands includesSubString: 'Locked;').
	me accurate: (commands includesSubString: 'Accurate;').
	me comments: (PairComment from: commands).
	
	self assert: ( file nextLine isEmpty ).
	me anchored: true.
	^ me.! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:35'!
accurate
	^ accurate ifNil: [ accurate := false ]! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/4/2012 11:35'!
accurate: anObject
	accurate := anObject! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/4/2012 12:02'!
accurateOn: aChapterView
	^ self accurate or: [ aChapterView chapter freezed ]! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:54'!
anchored
	^ anchored! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:50'!
anchored: anObject
	anchored := anObject! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/4/2012 10:33'!
change: aText to: newText for: user
	self changes add: (TextUpdate user: user from: aText to: newText ).
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 2/15/2012 11:00'!
changes
	^ changes ifNil: [ changes := OrderedCollection new ]! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/3/2012 12:02'!
comments
	^ comments ifNil: [ comments := OrderedCollection new ]! !

!TransPair methodsFor: 'accessing' stamp: 'efo 1/5/2012 14:21'!
comments: someComments
	comments := someComments! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/14/2011 23:07'!
correctores
	^ { 'admin'. 'corrector' }.! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/3/2012 14:33'!
descriptionEngEdit
	^ MAMemoDescription new
 		selectorAccessor: #eng;
 		label: 'Texto a ser traducido';
		lineCount: 5;
 		priority: 5;
		propertyAt: 'width' put: 10;
		yourself! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/4/2011 01:10'!
descriptionMyEdit
	^ self description copy
 		add: (MAStringDescription new
 		selectorAccessor: #google;
 		label: 'google';
 		priority: 5;
 		beReadonly;
 		yourself);
 	yourself! !

!TransPair methodsFor: 'accessing' stamp: 'efo 5/3/2011 20:34'!
eng
	^ eng! !

!TransPair methodsFor: 'accessing' stamp: 'efo 5/3/2011 20:34'!
eng: anObject
	eng := anObject! !

!TransPair methodsFor: 'accessing' stamp: 'efo 7/5/2011 23:15'!
fineSpa
	^ self spa ifEmpty: [ '<sin traduccin>' ].
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/9/2011 22:28'!
freezed
	^ freezed ifNil: [ freezed := false ]! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/9/2011 22:27'!
freezed: anObject
	freezed := anObject! !

!TransPair methodsFor: 'accessing' stamp: 'efo 12/16/2011 13:40'!
freezedOn: aChapterView
	^ self freezed or: [ aChapterView chapter freezed ]! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/4/2011 01:27'!
google

	^ GoogleTranslate new translate: self eng   ! !

!TransPair methodsFor: 'accessing' stamp: 'efo 3/2/2012 12:11'!
googledSpa
	^ self spa ifEmpty: [ self google ].
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 3/2/2012 12:28'!
googledSpa: aText
	self spa: aText
! !

!TransPair methodsFor: 'render' stamp: 'efo 4/3/2012 11:29'!
isMissing 
	^ self eng = '<sin definir>'
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/18/2012 13:52'!
latex
	^ (((
((((((((( ' ', (self spa ifEmpty: [ self eng ])
			copyReplaceAll: '' with: '\''a')
			copyReplaceAll: '' with: '\''e')
			copyReplaceAll: '' with: '\''i')
			copyReplaceAll: '' with: '\''o')
			copyReplaceAll: '' with: '\''u')
			copyReplaceAll: ' ''' with: ' `')
			copyReplaceAll: '' with: '\~n')
			copyReplaceAll: '" ' with: '"\ ')
			copyReplaceAll: ' "' with: ' ``')
			copyReplaceAll: '' with: '?`')
			copyReplaceAll: '' with: '!!`')
			copyReplaceAll: 'xx' with: 'xx')
.! !

!TransPair methodsFor: 'accessing' stamp: 'efo 4/16/2012 12:26'!
latexOn: aStream
	self  isMissing ifFalse: [
		aStream nextPutAll: self latex; 
			nextPutAll: '\\'; cr; cr.
	].
! !

!TransPair methodsFor: 'render' stamp: 'efo 6/13/2012 14:52'!
renderAccurateEditControlOn: chapterView with: html anchor: anchor
	( chapterView shouldRenderControls and: [ (self accurateOn: chapterView) not ] ) ifTrue: [ 
		(html anchor)
			callback: [ | oldText |
				oldText := self eng.
				(chapterView call: ((MAContainer with: self descriptionEngEdit ) asComponentOn: self ) addValidatedForm)
					ifNotNil: [ self change: oldText to: self eng for: chapterView context user ].
				self anchored ifTrue: [ chapterView context session jumpToAnchor: anchor ]. 
			];
			with: [ 
				(html image)
					title: 'editar';
					height: 16;
					url: PRBlueprintLibrary / #correctPng ]
	].! !

!TransPair methodsFor: 'render' stamp: 'efo 6/13/2012 13:47'!
renderControlsOn: chapterView with: html anchor: anchor
	(self isMissing not and: [ chapterView shouldRenderControls ])
		ifTrue: [ 
"			self renderEditControlOn: chapterView with: html anchor: anchor."
			self renderLockControlOn: chapterView with: html fragment: anchor.
			self renderFlagboxOn: chapterView with: html.
			html break ]! !

!TransPair methodsFor: 'render' stamp: 'efo 6/13/2012 14:52'!
renderEditControlOn: chapterView with: html anchor: anchor
	( chapterView shouldRenderControls and: [ (self freezedOn: chapterView) not ] ) ifTrue: [ 
		(html anchor)
			callback: [ | oldText |
				oldText := self fineSpa.
				(chapterView call: (self descriptionMyEdit asComponentOn: self) addValidatedForm)
					ifNotNil: [ self change: oldText to: self spa for: chapterView context user ].
				self anchored ifTrue: [ chapterView context session jumpToAnchor: anchor ]. 
			];
			with: [ 
				(html image)
					title: 'editar';
					height: 16;
					url: PRBlueprintLibrary / #editPng ]
	].! !

!TransPair methodsFor: 'render' stamp: 'efo 4/4/2012 12:15'!
renderEng: html on: chapterView anchor: anchor
	html div: [ html text: self eng, ' '.
			self renderAccurateEditControlOn: chapterView with: html anchor: anchor.
			html break].
! !

!TransPair methodsFor: 'render' stamp: 'efo 1/12/2012 14:45'!
renderFlagboxOn: chapter with: html
	| id |
	html div
		id: (id := html nextId);
		script: (html jQuery new dialog
			html: (FlagDialog on: self from: chapter context user) ;
			title: 'Comentarios al Corrector';
			resizable: true;
			closeOnEscape: true;
			modal: true;
			closeText: '';
			width: 500).
	html anchor
		onClick: (html jQuery id: id) dialog open;
		with: [ (html image)
					title: 'Comentarios al corrector';
"					height: 20;"
					url: PRBlueprintLibrary / #flagredPng ]
				
				"'Open Lightbox'"! !

!TransPair methodsFor: 'render' stamp: 'efo 6/13/2012 15:05'!
renderLockControlOn: chapterView with: html fragment: anchor
	(self correctores includes: chapterView context user group name) ifTrue: [ 
		chapterView chapter freezed ifTrue: [
						(html image)
							title: 'edicin deshabilitada para este captulo';
							height: 20;
							url: PRBlueprintLibrary / #lockclosedgrayPng
		] ifFalse: [
			self freezed ifTrue: [ 
				(html anchor)
					callback: [ self freezed: false ];
					fragment: (self anchored ifTrue: [ anchor ] ifFalse: [ nil ] );
					with: [ 
						(html image)
							title: 'desbloquear edicin';
							height: 20;
							url: PRBlueprintLibrary / #lockopenPng ]
			] ifFalse: [ 
				(html anchor)
					callback: [ self freezed: true ];
					fragment: (self anchored ifTrue: [ anchor ] ifFalse: [ nil ] );
					with: [ 
						(html image)
							title: 'bloquear edicin';
							height: 20;
							url: PRBlueprintLibrary / #lockclosedPng ]
			]
		]
	]! !

!TransPair methodsFor: 'render' stamp: 'efo 4/4/2012 12:16'!
renderSpa: chapterView with: html anchor: anchor 
	self isMissing ifFalse: [ 
		(html div) class: 'change-text';
				with: [ html emphasis with: self fineSpa, ' '.
					self renderEditControlOn: chapterView with: html anchor: anchor ].
	].
! !

!TransPair methodsFor: 'render' stamp: 'efo 6/13/2012 14:25'!
renderViewOn: html with: chapterView
	| anchor |
	
	(self shouldHide: chapterView) ifTrue: [ ^self ].
	
	html div id: (anchor := html nextId);
		with: [ 
		self renderEng: html on: chapterView anchor: anchor.
		self renderSpa: chapterView with: html anchor: anchor.
		self renderControlsOn: chapterView with: html anchor: anchor.
		html break 
	].
! !

!TransPair methodsFor: 'render' stamp: 'efo 4/3/2012 11:34'!
shouldHide: aChapter
	^ self isMissing and: [ aChapter context isLoggedIn not ] .
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 5/3/2011 20:34'!
spa
	^ spa! !

!TransPair methodsFor: 'accessing' stamp: 'efo 2/13/2012 13:58'!
spa: anObject
	spa := anObject inline.
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:51'!
unanchored
	anchored := false! !

!TransPair methodsFor: 'accessing' stamp: 'efo 12/19/2011 15:20'!
wordCount
	^ self eng subStrings  size .
	
! !

!TransPair methodsFor: 'accessing' stamp: 'efo 12/19/2011 15:51'!
wordsPendant
	^ self spa isEmpty ifTrue: [ self wordCount ] ifFalse: [ 0 ].
	
! !

!TransPair methodsFor: 'render' stamp: 'efo 4/4/2012 11:36'!
writeOn: file 
	file nextPutAll: self eng.
	file nextPutAll: '
'.
	file nextPutAll: self spa.
	file nextPutAll: '
'.
	self freezed ifTrue: [ 
		file nextPutAll: 'Locked;'.
	].
	self accurate ifTrue: [ 
		file nextPutAll: 'Accurate;'.
	].
	PairComment write: self comments on: file.
	
	file nextPutAll: '

'.
! !

TransPair subclass: #TransPairDate
	instanceVariableNames: 'level'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!TransPairDate methodsFor: 'accessing' stamp: 'efo 6/13/2012 14:58'!
anchored
	^ false! !

!TransPairDate methodsFor: 'accessing' stamp: 'efo 7/10/2011 23:37'!
level
	^ level! !

!TransPairDate methodsFor: 'accessing' stamp: 'efo 7/10/2011 23:37'!
level: anObject
	level := anObject! !

!TransPairDate methodsFor: 'as yet unclassified' stamp: 'efo 7/25/2011 23:12'!
renderEng: html.		
	html heading level: self level; style: 'margin-bottom: 0px;';with: self eng.


! !

TransPairDate subclass: #TransPairTitle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!TransPairTitle methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 15:43'!
latexOn: aStream

	aStream nextPutAll: '\Huge\bfseries \href{lcf.seasidehosting.st/lcf/', '}{'.
	super latexOn: aStream.
	aStream nextPutAll: '}}'; cr; cr.
! !

!TransPairTitle methodsFor: 'as yet unclassified' stamp: 'efo 5/3/2012 16:08'!
latexOn: aStream with: chapter

	aStream nextPutAll: '\Huge\bfseries \href{http:/lcf.seasidehosting.st/lcf/', chapter parent name, '/', chapter name, '}{'.
	aStream nextPutAll: self latex.
	aStream nextPutAll: '}\\'; cr; cr.
	aStream nextPutAll: '}'; cr; cr.
! !

!TransPairTitle methodsFor: 'as yet unclassified' stamp: 'efo 6/13/2012 14:40'!
renderControlsOn: chapterView with: html anchor: anchor

	html anchor target: 'imdbpage';
				url: 'http://www.imdb.com/find?s=all&q=', self eng asHTMLString;
				with: [ html image altText: 'buscar en IMDB'; height: 20; url: (PRBlueprintLibrary  / #imdbJpg).].
	
	super renderControlsOn: chapterView with: html anchor: anchor.! !

TransPair subclass: #TransPairKeySeq
	instanceVariableNames: 'idx'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-LCF-Model'!

!TransPairKeySeq methodsFor: 'accessing' stamp: 'efo 6/30/2011 23:26'!
idx
	^ idx! !

!TransPairKeySeq methodsFor: 'accessing' stamp: 'efo 6/30/2011 23:26'!
idx: aNum 
	idx := aNum! !

!TransPairKeySeq methodsFor: 'as yet unclassified' stamp: 'efo 2/28/2012 16:19'!
renderEng: html.		
	html div: [ html text: self idx printString, '. ', self eng;
						break].
! !

!PRForbiddenView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:36'!
renderErrorOn: html
	html paragraph: [ 
		html text: 'No se permite su acceso a esta pgina'.
"		html text: (forbidden isNil
			ifTrue: [ 'view' ]
			ifFalse: [ forbidden command class label asLowercase ]).
		html text: ' this page.' "]! !

!PRForbiddenView methodsFor: '*EFO-LCF-Model' stamp: 'efo 2/17/2012 15:35'!
renderOptionLoginOn: html
	<option: 0>
	
	| loginContext |
	loginContext := self context
		structure: self context structure
		command: (PULogin new
			answer: forbidden;
			yourself).
	loginContext isValid ifTrue: [
		html listItem: [
			html anchor
				goto: loginContext;
				with: 'Authentquese'.
			html text: ' nuevamente en el sitio.' ] ]! !
